<?php
/**
 * Project:     WCM
 * File:        $Id: delete.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     cmf-www-mediaManager-testapp
 * @version     4.x
 */ 

/**
 * This view displays the form that allows users to
 * send a delete request.
 */
?>
<html>
    <head>
        <title>CMF Media Manager Test Application</title>
        <script type="text/javascript" src="js/jquery-1.3.2.min.js"></script>
        <link rel="stylesheet" type="text/css" href="css/form.css" />
    </head>
    
    <body>
        <div>
            <a href="?controllerName=home">Home</a>
        </div>
    
        <h1>CMF Media Manager Test Application</h1>
        
        <h2>Delete an image</h2>
        
        <?php if (isset($this['message'])): ?>
        <strong><?php echo $this['message']; ?></strong>
        <?php endif; ?>
        
        <form method="post" enctype="application/x-www-form-urlencoded">
            <input type="hidden" name="controllerName" value="delete"/>
            <input type="hidden" name="action" value="delete"/>
        
            <div>
                <label>ID *:</label>
                <div>
                    <input type="text" name="id" value="<?php echo cmfToolbox::getArrayParameter($this, 'id'); ?>"/>
                </div>
                <p>
                    The unique ID of the image to delete. The ID must be an integer value.
                </p>
            </div>
            <input type="submit" name="submit" value="Submit"/>
        </form>
    </body>
</html>