<?php
/**
 * Nstein Application Framework
 *
 * @category   Nstein
 * @package    Nstein_Http
 * @copyright  Copyright (c) 2008 Nstein Technologies (http://www.nstein.com)
 * @version    1.0
 */

/**
 * Standard Nstein exception with built-in translation mechanism.
 *
 * @category   Nstein
 * @package    Nstein_Http
 * @copyright  Copyright (c) 2008 Nstein Technologies (http://www.nstein.com)
 */
class Nstein_Http_Exception extends Nstein_Exception
{
    /**
     * @const string Error message when server requires user credentials
     */
    const MISSING_USER_CREDENTIALS = "The server requires user credentials: %code% %message%";

    /**
     * @const string Error message when server returns an unexpected response
     */
    const UNEXPECTED_RESPONSE = "The server returned an unexpected response: %code% %message%";

    /**
     * @const string Error message when server returns an unexpected response
     */
    const UNSUPPORTED_AUTH_PROTOCOL =
        "The server requires an unsupported authentication protocol: %code% %message%";
}