<?php

class cmsDebugBar {

    public static function display($plugins = array(), $display = null)
    {
        echo '<style>';
        echo file_get_contents(dirname(__FILE__) .  '/debugBar.css');
        echo '</style>';
        echo '<script type="text/javascript">';
        echo "var debugBar = {
                change: function(tab, plugin) {
                var tabs = document.getElementById('debugMenu').getElementsByTagName('li');
                for(i = 0 ; i < tabs.length ; i++) {
                    if (tabs[i].firstChild.id != tab.id) {    
                        tabs[i].className ='';
                    } else {
                        if ('selected' == tabs[i].parentNode.className) {
                            tabs[i].parentNode.className = '';
                            document.cookie = 'cmsDebugTab=undefined';
                        } else {
                            tabs[i].parentNode.className = 'selected';
                            document.cookie = 'cmsDebugTab=' + tab.id;
                        } 
                    }    
                }

                var ps = document.getElementById('debugContent').getElementsByTagName('div');

                for(i = 0 ; i < ps.length ; i++) {
                    if('debugPlugin' == ps[i].className) {
                        if (ps[i].id == plugin)
                        {
                            if (ps[i].style.display == 'block')
                            {
                                ps[i].style.display = 'none';
                            }
                            else
                            {
                                ps[i].style.display = 'block';
                            }
                        }
                        else
                        {
                            ps[i].style.display=  'none';
                        }
                    }    
                }    
                return false;
                },
                init: function()
                { 
                    
                    statusIndex = document.cookie.indexOf('cmsDebugStatus='); 
                    if (statusIndex != undefined) statusIndex+=15;
                    if (document.cookie[statusIndex] == 1) {
                        this.maximize();
                        deb = document.cookie.indexOf('cmsDebugTab='); if (deb >= 0)  deb += 12; 
                        fin = document.cookie.indexOf(';',deb); if (fin < 0) fin = document.cookie.length;
                        var el = document.getElementById(unescape(document.cookie.substring(deb,fin)));
                        if(el) el.onclick();
                    } else if (document.cookie[statusIndex] == 0){
                        this.minimize();
                    }    
                },
                minimize: function(){
                    document.getElementById('debugBar').style.display = 'none';
                    document.getElementById('maximize').style.display = 'block';
                    document.cookie = 'cmsDebugStatus=0';
                },
                maximize: function(){
                    document.getElementById('debugBar').style.display = 'block';
                    document.getElementById('maximize').style.display = 'none';
                    document.cookie = 'cmsDebugStatus=1';
                }
            }"; 
        echo '</script>';
        echo '<div id="debugBar">';
        
        $f = '<ul id="debugMenu">';
        foreach($plugins as $pluginClass)
        {
            $pluginName = call_user_func($pluginClass . '::getTitle');
            $f .= '<li'.($display === $pluginClass?' class="selected"':'').'><a href="#" onclick="javascript:debugBar.change(this, \''.$pluginClass.'\')" id="tab'.$pluginClass.'">'.$pluginName.'</a></li>';
        }
        $f .= '</ul>';
        echo '<div id="debugContent">';
        foreach($plugins as $pluginClass)
        {
            echo '<div style="display:'.($display === $pluginClass?'block':'none').'" id="' . $pluginClass . '" class="debugPlugin">';    
            echo call_user_func($pluginClass . '::display');
            echo '</div>';
        }
        echo '</div>'.$f.'<div id="debugFooter"><span onclick="debugBar.minimize()"><span style="color:#EB4C07;">WCM</span> Developer Bar</span></div>';
        echo '</div>';       
        echo '<div id="maximize"> <a href="#" onclick="javascript:debugBar.maximize()"><span style="color:#EB4C07;">WCM</span> Developer Bar</a></div>';
        echo '<script type="text/javascript">debugBar.init();</script>';
    }
}
