<?php
/**
 * Project:     WCM
 * File:        $Id: modifier.url.php 9361 2010-04-01 15:54:56Z berejeba $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-business-api
 * @version     4.x
 */

/**
 * Retrieve the URL of a bizobject 
 *
 * Type:     modifier<br>
 * Name:     constant<br>
 *
 * @param  string $string
 * @param  int    $mode    The generation mode (preview = true)
 *
 * @return string 
 */
function smarty_modifier_url(wcmObjectAssocArray $bizobject, $mode = false)
{
    $config = wcmConfig::getInstance();
    $urlGeneratorFactory = new wcmObjectUrlGeneratorFactory($config);
    $urlGenerator = $urlGeneratorFactory->getDefaultGenerator();
    return $urlGenerator->generateUrl($bizobject['this'], null, $mode);
}
