<?php
/**
 * Project:     WCM
 * File:        $Id: main.php 9387 2010-04-06 19:48:13Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-business-api
 * @version     4.x
 */

/**
* Tells WCM which language is currently defined in this constant list
*/
DEFINE('_BIZ_WCM_LANGUAGE', 'fr');

// Workflow states
DEFINE('_PUBLICATION_WORKFLOW', 'Processus de publication');
DEFINE('_MODERATION_WORKFLOW', 'Processus de modération');
DEFINE('_ANY_STATE', 'Tout état');
DEFINE('_SELF_STATE', 'Même état');
DEFINE('_APPROVED', 'Approuvé');
DEFINE('_ARCHIVED', 'Archivé');
DEFINE('_DRAFT', 'Brouillon');
DEFINE('_PUBLISHED', 'Publié');
DEFINE('_PUBLISHEDMODIFIED', 'Publié & modifié');
DEFINE('_REJECTED', 'Rejeté');
DEFINE('_SUBMITTED', 'Soumis');
DEFINE('_UNAPPROVED', 'Non vérifié');
DEFINE('_SUSPICIOUS', 'Suspect');
DEFINE('_WT_APPROVE', 'Approuver');
DEFINE('_WT_ARCHIVE', 'Archiver');
DEFINE('_WT_DEARCHIVE', 'Désarchiver');
DEFINE('_WT_PUBLISH', 'Publier');
DEFINE('_WT_REJECT', 'Rejeter');
DEFINE('_WT_RESUBMIT', 'Soumettre à nouveau');
DEFINE('_WT_SUBMIT', 'Soumettre');
DEFINE('_WT_UNPUBLISH', 'Retirer');
DEFINE('_WT_NOTIFY', 'Notifier');
DEFINE('_WT_UNAPPROVE', 'Désapprouver');
DEFINE('_WT_SUBMIT_PUBLISHED', 'Soumettre');
DEFINE('_WT_REJECT_PUBLISHED', 'Rejeter');
DEFINE('_WT_RESUBMIT_PUBLISHED', 'Soumettre à nouveau');
DEFINE('_WT_REPUBLISH', 'Republier');

// Common
DEFINE('_BIZ_ACCESS_PRIVATE', 'Privé');
DEFINE('_BIZ_ACCESS_PROTECTED', 'Protégé');
DEFINE('_BIZ_ACCESS_PUBLIC', 'Public');
DEFINE('_BIZ_ACCESS_TITLE', 'Accès');
DEFINE('_BIZ_ADD', 'Ajouter');
DEFINE('_BIZ_AJAX_PROCESSING_DONE_MSG', 'Requête terminée');
DEFINE('_BIZ_ALL', 'Tous');
DEFINE('_BIZ_ALL_DATES', 'Toutes les dates');
DEFINE('_BIZ_ASSET', 'Objet métier');
DEFINE('_BIZ_AUDIO', 'Audio');
DEFINE('_BIZ_AUTHOR', 'Auteur');
DEFINE('_BIZ_A_POSTERIORI', 'Publication automatique');
DEFINE('_BIZ_A_PRIORI', 'Requiert une approbation');
DEFINE('_BIZ_APPLY', 'Appliquer');
DEFINE('_BIZ_BY', 'Par');
DEFINE('_BIZ_BIZCLASS', 'Classe métier');
DEFINE('_BIZ_CANCEL', 'Annuler');
DEFINE('_BIZ_CAPTION', 'Légende');
DEFINE('_BIZ_CLEAR', 'Enlever');
DEFINE('_BIZ_CONTENT', 'Contenu');
DEFINE('_BIZ_CREATEDAT', 'Créé le ');
DEFINE('_BIZ_CREATEDBY', 'Créé par ');
DEFINE('_BIZ_CREDITS', 'Crédits');
DEFINE('_BIZ_CUSTOM', 'Personaliser');
DEFINE('_BIZ_DATE', 'date');
DEFINE('_BIZ_DELETE', 'Effacer');
DEFINE('_BIZ_DESCRIPTION', 'Description');
DEFINE('_BIZ_THE_DIRECTORY', 'Le répertoire ');
DEFINE('_BIZ_DOESNT_EXIST', 'n\'existe pas');
DEFINE('_BIZ_DOCUMENT', 'document');
DEFINE('_BIZ_DONE', 'Terminé');
DEFINE('_BIZ_EDIT', 'Editer');
DEFINE('_BIZ_EMAIL', 'Courriel');
DEFINE('_BIZ_EMPTY_LIST', 'Effacer');
DEFINE('_BIZ_END_DATE', 'Date fin');
DEFINE('_BIZ_ENGLISH', 'Anglais');
DEFINE('_BIZ_EXECUTION_COMMAND', 'Exécution de votre commande, patientez...');
DEFINE('_BIZ_EXPIRATIONDATE', 'Date d\'expiration');
DEFINE('_BIZ_FILE', 'Fichier');
DEFINE('_BIZ_FIND', 'Chercher');
DEFINE('_BIZ_FLASH', 'Flash');
DEFINE('_BIZ_FLAT', 'Plat');
DEFINE('_BIZ_FOR', 'pour');
DEFINE('_BIZ_FREQUENCY', 'Frequence');
DEFINE('_BIZ_FREE_HTML', 'HTML libre');
DEFINE('_BIZ_FRENCH', 'Français');
DEFINE('_BIZ_FROM', 'De');
DEFINE('_BIZ_FULLTEXT', 'Texte entier');
DEFINE('_BIZ_GENERATION_RESULT', 'Résultat de la génération');
DEFINE('_BIZ_HIERARCHICAL', 'Hiérarchique');
DEFINE('_BIZ_ID', 'Identifiant');
DEFINE('_BIZ_IMAGE', 'Image');
DEFINE('_BIZ_IMPORTATION', 'Importation');
DEFINE('_BIZ_IMPORT', 'Importer');
DEFINE('_BIZ_INDEX', 'Index');
DEFINE('_BIZ_INVALID_XML', 'Erreur. Le xml est invalide. Veuillez contacter l\'administrateur.');
DEFINE('_BIZ_INVALID_CLASSNAME', 'Nom de classe invalide : %s');
DEFINE('_BIZ_LABEL', 'Étiquette');
DEFINE('_BIZ_LANGUAGE', 'Langue');
DEFINE('_BIZ_LOCATION', 'Emplacement');
DEFINE('_BIZ_METADATA', 'Métadonnées');
DEFINE('_BIZ_MODIFIED', 'Modifié ');
DEFINE('_BIZ_MODIFIEDAT', 'Modifié le ');
DEFINE('_BIZ_MOVEDOWN', 'Descendre');
DEFINE('_BIZ_MOVEUP', 'Monter');
DEFINE('_BIZ_MY_BIN', 'Mon panier');
DEFINE('_BIZ_NAME', 'Nom');
DEFINE('_BIZ_NEW', 'Nouveau');
DEFINE('_BIZ_USERNAME', 'Surnom');
DEFINE('_BIZ_NO_RESULT', 'Aucun résultat retourné');
DEFINE('_BIZ_OBJECTS_SEARCH', 'Recherche d\'objets');
DEFINE('_BIZ_OK', 'OK');
DEFINE('_BIZ_ORIGINAL', 'Original');
DEFINE('_BIZ_OR', 'ou');
DEFINE('_BIZ_PAGE_SIZE', 'Items par page');
DEFINE('_BIZ_PAGE_LAYOUT', 'Mise en page');
DEFINE('_BIZ_PASSWORD', 'Mot de passe');
DEFINE('_BIZ_PDF', 'PDF');
DEFINE('_BIZ_PERMALINK', 'Permalien');
DEFINE('_BIZ_PHONE_NUMBER', 'Téléphone');
DEFINE('_BIZ_POSITION', 'Position');
DEFINE('_BIZ_PRESENTATION', 'Présentation');
DEFINE('_BIZ_PROCESSING', 'Traitement de');
DEFINE('_BIZ_PROPERTIES', 'Propriétés');
DEFINE('_BIZ_PUBLICATIONDATE', 'Date de publication');
DEFINE('_BIZ_PUBLISH', 'Générer');
DEFINE('_BIZ_PUBLISHED', 'Publié');
DEFINE('_BIZ_PUBLISHED_IN', 'Publié dans');
DEFINE('_BIZ_NEVER_PUBLISHED', 'N/A');
DEFINE('_BIZ_RANK', 'Position');
DEFINE('_BIZ_RELEVANCY', '@TR Relevancy'); // TODO
DEFINE('_BIZ_RELEASEDATETIME', 'Date/heure de publication');
DEFINE('_BIZ_RESET', 'Réinitialiser');
DEFINE('_BIZ_RESULTS', 'Résultats');
DEFINE('_BIZ_RESULTS_FIRST', 'Premiers');
DEFINE('_BIZ_RESULTS_LAST', 'Derniers');
DEFINE('_BIZ_RESULTS_NEXT', 'Suivants');
DEFINE('_BIZ_RESULTS_PREVIOUS', 'Précédents');
DEFINE('_BIZ_ROOT_ELEMENT', '(élément racine)');
DEFINE('_BIZ_SAVE', 'Enregistrer');
DEFINE('_BIZ_REPLACE', 'Remplacer');
DEFINE('_BIZ_SAVE_SEARCH', 'Enregistrer la recherche');
DEFINE('_BIZ_SEARCH_OBJECTS', 'Recherche d\'objets');
DEFINE('_BIZ_SELECT', 'Sélectionner');
DEFINE('_BIZ_SOURCE', 'Source');
DEFINE('_BIZ_START_DATE', 'Date de départ');
DEFINE('_BIZ_STARTING', 'Démarrage');
DEFINE('_BIZ_STATE_PROVINCE', 'État/Province');
DEFINE('_BIZ_STATISTICS', 'Statistiques');
DEFINE('_BIZ_WORKFLOW_STATE', 'État');
DEFINE('_BIZ_SUBJECT', 'Sujet');
DEFINE('_BIZ_SUBTITLE', 'Sous-titre');
DEFINE('_BIZ_SURTITLE', 'Attaque/Introduction');
DEFINE('_BIZ_SUBSCRIPTIONS', 'Souscriptions');
DEFINE('_BIZ_SUBSCRIPTION', 'Souscription');
DEFINE('_BIZ_SUBSCRIPTION_ID', 'Identifiant de la souscription');
DEFINE('_BIZ_TAGS', 'Étiquettes (tags)');
DEFINE('_BIZ_TAGS_AVAILABLE', 'Étiquettes disponibles');
DEFINE('_BIZ_TEASER', 'Chapo');
DEFINE('_BIZ_SELECTED_TEMPLATE', 'Modèle choisi');
DEFINE('_BIZ_NO_SELECTED_TEMPLATE', 'Aucun modèle choisi');
DEFINE('_BIZ_TEXT', 'Texte');
DEFINE('_BIZ_THUMBNAIL', 'Miniature');
DEFINE('_BIZ_TITLE', 'Titre');
DEFINE('_BIZ_HEADER', 'Entete');
DEFINE('_BIZ_HEADLINE', 'Titre');
DEFINE('_BIZ_CODE', 'Code');
DEFINE('_BIZ_TO', 'à');
DEFINE('_BIZ_TYPE', 'Type');
DEFINE('_BIZ_UNDETERMINED', 'Indéterminé');
DEFINE('_BIZ_UPDATE', 'Mettre à jour');
DEFINE('_BIZ_VALUE', 'Valeur');
DEFINE('_BIZ_VIDEO', 'Vidéo');
DEFINE('_BIZ_SAVED_BIZOBJECT', 'Bizobject Sauvegardé');

// Pages : website/section
DEFINE('_BIZ_SECTIONS_HIERARCHY', 'Hiérarchie des Rubriques');
DEFINE('_BIZ_SECTION_CONTENT_RULES', 'Gestion du contenu automatisé');
DEFINE('_BIZ_SECTION_CONTENT_RULES_MANAGEMENT', 'Règles');
DEFINE('_BIZ_SECTION_CONTENT_RULES_OPTIONS', 'Options');
DEFINE('_BIZ_SECTION_PROMO_PANEL', 'Panneau promotionel');

// Modules : editorial/article (tabs)
DEFINE('_BIZ_OVERVIEW', 'Aperçu');
DEFINE('_BIZ_DESIGN', 'Conception');
DEFINE('_BIZ_NEW_ARTICLE', 'Nouvel article');
DEFINE('_BIZ_TITLE_H1', 'Titre (H1)');
DEFINE('_BIZ_SUBTITLE_H2', 'Soustitre (H2)');
DEFINE('_BIZ_METACONTENT', 'Meta-contenu');
DEFINE('_BIZ_METAINFORMATION', 'Meta-information');
DEFINE('_BIZ_LIFECYCLE', 'Cycle de vie');
DEFINE('_BIZ_ATTACHED_DOCUMENTS', 'Documents attachés');
DEFINE('_BIZ_RELATED', 'Reliés');
DEFINE('_BIZ_TOTAL', 'Total :');

// Modules : shared/versioning
DEFINE('_BIZ_VERSIONS', 'Versions');
DEFINE('_BIZ_VERSION', 'Version');
DEFINE('_BIZ_REVISION', 'Révision');
DEFINE('_BIZ_VERSION_HISTORY', 'Historique');
DEFINE('_BIZ_ADD_NEW_VERSION', 'Sauvegarder et créer une nouvelle version');
DEFINE('_BIZ_VERSION_COMMENT', 'Commentaire');
DEFINE('_BIZ_VERSION_RESTORE', 'Récupérer cette version');
DEFINE('_BIZ_VERSION_ROLLBACK', 'Revenir à cette version');
DEFINE('_BIZ_NO_VERSION_STORED', 'aucune version disponible');
DEFINE('_BIZ_VERSION_ADDED', 'Une nouvelle version a été créée');
DEFINE('_BIZ_VERSION_ADDED_FAILED', ':La création de la nouvelle version à échouée');
DEFINE('_BIZ_VERSION_RESTORED', 'L\'ancienne version a été restaurée');
DEFINE('_BIZ_VERSION_RESTORE_FAILED', 'La récupération de la version à échouée');
DEFINE('_BIZ_VERSION_ROLLEDBACK', 'L\'objet a été ramené à sa version précédente');
DEFINE('_BIZ_VERSION_ROLLBACK_FAILED', 'Le retour à l\'ancienne version à échoué');
DEFINE('_BIZ_VERSION_MAX_REACHED', 'Maximum de versions atteint');

// Modules : editorial/article/Properties
DEFINE('_BIZ_OTHER_SOURCE', 'Autre source');
DEFINE('_BIZ_OTHER_SOURCE_NAME', 'Nom de la source');

// Modules : editorial/article/Referencing
DEFINE('_BIZ_REFERENCING', 'Référencement');
DEFINE('_BIZ_PERMALINKS', 'Permaliens');
DEFINE('_BIZ_DEFAULT_PERMALINK', 'Défaut (Adresse conviviale)');
DEFINE('_BIZ_NO_PERMALINK', '(aucun)');
DEFINE('_BIZ_ADDITIONAL_PERMALINKS', 'Permaliens additionels');
DEFINE('_BIZ_URL_ALIASES', 'Alias URL');
DEFINE('_BIZ_URL_ALIAS_DUPLICATE', 'Alias URL déjà existant');
DEFINE('_BIZ_OUTBOUND_LINKS', 'Contenu similaire');
DEFINE('_BIZ_INBOUND_LINKS', 'Documents référencant ce document');

// Modules : editorial/article/categorization
DEFINE('_BIZ_CATEGORIZATION', 'Catégorisation');
DEFINE('_BIZ_CATEGORIZATION_IPTC', 'IPTC');
DEFINE('_BIZ_CATEGORIZATION_TAGS', '"Tags"');

// Module : editorial/article/footprint
DEFINE('_BIZ_TME', 'Analyse sémantique');
DEFINE('_BIZ_TME_NOT_ENABLED', 'Le module TME n\'est pas activé, vérifiez votre fichier de configuration.');
DEFINE('_BIZ_TME_ENTITITES_GL', 'Lieux gégraphiques');
DEFINE('_BIZ_TME_ENTITITES_ON', 'Organisations');
DEFINE('_BIZ_TME_ENTITITES_PN', 'Personnes');
DEFINE('_BIZ_TME_CONCEPTS', 'Concepts');
DEFINE('_BIZ_TME_SENTIMENT', 'Analyse du ton et de la subjectivité');
DEFINE('_BIZ_TME_SENTIMENT_TONE', 'Ton');
DEFINE('_BIZ_TME_SENTIMENT_TONE_POSITIVE', 'Positif');
DEFINE('_BIZ_TME_SENTIMENT_TONE_NEUTRAL', 'Neutre');
DEFINE('_BIZ_TME_SENTIMENT_TONE_NEGATIVE', 'Négatif');
DEFINE('_BIZ_TME_SENTIMENT_SUBJECTIVITY', 'Subjectivité');
DEFINE('_BIZ_TME_SENTIMENT_SUBJECTIVITY_FACT', 'Fait');
DEFINE('_BIZ_TME_SENTIMENT_SUBJECTIVITY_OPINION', 'Opinion');
DEFINE('_BIZ_TAXONOMIES', 'Taxonomies');
DEFINE('_BIZ_AD_SERVER', 'Publicité');
DEFINE('_BIZ_TME_PROCESSING_FAILED', 'L\'éxecution de l\'engin Text Mining a échoué');
DEFINE('_BIZ_UPDATING_SEMANTIC_DATA_FOR', 'Mise à jour des données sémantiques pour ');
DEFINE('_BIZ_TOTAL_COMPUT_TIME', 'Temps de calcul total : ');

// Module : editorial/shared/commenting
DEFINE('_BIZ_LAST_COMMENT_TIME', 'Dernier commentaire fait le');

// Modules : editorial/sections
DEFINE('_BIZ_MANAGEMENT_BY_DATE', 'Gestion par date');
DEFINE('_BIZ_SPECIFY_QUERY', 'Précisez la requête');
DEFINE('_BIZ_EXECUTE_PROCESS', 'Lancer le processus');

// NServer and semantic metadata
DEFINE('_BIZ_SEMANTIC_DATA', 'Text-Mining Engine de Nstein');
DEFINE('_BIZ_SEMANTIC_DATA_BIZOBJECTS', 'Objets métier');
DEFINE('_BIZ_SEMANTIC_DATA_KINDS', 'Genre de données sémantiques');
DEFINE('_BIZ_SEMANTIC_DATA_WHERE', 'Clause SQL');
DEFINE('_BIZ_SEMANTIC_DATA_FORCE_UPDATE', 'Forcer la mise à jour');
DEFINE('_BIZ_UPDATE_SEMANTIC_DATA', 'Mettre à jour les données sémantiques');
DEFINE('_BIZ_UPDATE_SEMANTIC_DATA_ALERT', 'ATTENTION: Cette action va rafraichir toutes les données sémantiques de votre contenu. Ceci inclus la catégorisation IPTC, les concepts, les entités (Organisations, personnalités et lieus), la tonalité et les résumés. Ce processus peut être très long dépendamment de la quantité de contenu à rafraichir.');
DEFINE('_BIZ_UPDATE_SEMANTIC_DATA_FAILED', 'La mise à jour a échoué');
DEFINE('_BIZ_UPDATE_SEMANTIC_DATA_SUCCEEDED', 'La mise à jour a complété avec succès');
DEFINE('_BIZ_CONCEPT', 'Concept');
DEFINE('_BIZ_GEOGRAPHICAL_LOCATION', 'Lieu géographique');
DEFINE('_BIZ_PERSON_NAME', 'Nom de personne');
DEFINE('_BIZ_ORGANIZATION', 'Organisation');
DEFINE('_BIZ_CATEGORIES_SUGGESTED', 'Catégories suggerées');
DEFINE('_BIZ_SIZE', 'Taille');
DEFINE('_BIZ_NFINDER_ON', 'Organisations');
DEFINE('_BIZ_NCONCEPT_EXTRACTOR', 'Concepts');
DEFINE('_BIZ_NFINDER_PN', 'Noms de personnes');
DEFINE('_BIZ_NFINDER_GL', 'Lieux géographiques');
DEFINE('_BIZ_TONE', 'Ton');
DEFINE('_BIZ_SUBJECTIVITY', 'Subjectivité');
DEFINE('_BIZ_SUGGEST', 'Suggérer');
DEFINE('_BIZ_NO_SUGGESTION', 'TME n\'a pas trouvé de suggestion appropriée');
DEFINE('_BIZ_SIMILAR_ARTICLES', 'Articles similaires');
DEFINE('_BIZ_CONCEPTS', 'Concepts');
DEFINE('_BIZ_RELATED_ARTICLES', 'Articles reliés');
DEFINE('_BIZ_SUBJECT_MAP', 'Subject map');
DEFINE('_BIZ_LAST_ARTICLES', 'Derniers articles');
DEFINE('_BIZ_MOST_DISCUSSED_ARTICLES', 'Articles les plus commentés');
DEFINE('_BIZ_MOST_POPULAR_ARTICLES', 'Articles les plus populaires');
DEFINE('_BIZ_MOST_RECENT_ARTICLES', 'Articles les plus récents');

// Rating and hit counter
DEFINE('_BIZ_VOTES', 'Votes');

// Reindexation
DEFINE('_BIZ_REINDEX_CONTENT_TITLE', 'Réindexation des contenus éditoriaux pour le moteur de recherche');
DEFINE('_BIZ_REINDEX_CONTENT_WARNING_MSG', '<span class="warning">Avertissement :</span>  Cette action permet de ré-indexer les informations stockés dans le back-office pour synchroniser le moteur de recherche.<br/>=> N\'utilisez cette option qu\'en cas de nécessité car son traitement peut être long et coûteux.');
DEFINE('_BIZ_INDEXING_RESULT', 'Résultat de la réindexation');
DEFINE('_BIZ_KIND_ELEMENT', 'Objet métier');
DEFINE('_BIZ_NUMBER_RECORD_BUSINESS_DB', 'En base');
DEFINE('_BIZ_NUMBER_RECORD_SEARCH_ENGINE', 'Indexé');
DEFINE('_BIZ_EXECUTE_REINDEXATION', 'Exécuter la réindexation');

// Maintenance and purge
DEFINE('_BIZ_PURGE', 'Purge');
DEFINE('_BIZ_PURGE_SELECT_OBJECTS_TO_PURGE', 'Sélection des objets à purger');
DEFINE('_BIZ_PURGE_LOCKED_OBJETS', 'Purger même les objets verrouillés');
DEFINE('_BIZ_NUMBER_RECORD_TO_PURGE', 'Expiré');
DEFINE('_BIZ_EXECUTE_PURGE', 'Exécuter la purge');
DEFINE('_BIZ_PURGE_DONE', 'Purge terminée');
DEFINE('_BIZ_PURGE_NOTHING_TO_PURGE', 'Aucun objet à purger!');
DEFINE('_BIZ_PURGE_DONE_BUT_WITH_LOCKED', 'Purge terminée, toutefois quelques objets étaient verrouillés et n\'ont pas été purgés');

// Locks
DEFINE('_BIZ_OBJECT_UNLOCKED', 'Objet déverrouillé');
DEFINE('_BIZ_OBJECT_LOCKED', 'Objet verrouillé');

// Date interval
DEFINE('_BIZ_NEXT_7_DAYS', 'Les 7 prochains jours');
DEFINE('_BIZ_NEXT_3_DAYS', 'Les 3 prochains jours');
DEFINE('_BIZ_TOMORROW', 'Demain');
DEFINE('_BIZ_TODAY', 'Aujourd\'hui');
DEFINE('_BIZ_YESTERDAY', 'Hier');
DEFINE('_BIZ_LAST_3_DAYS', 'Les 3 derniers jours');
DEFINE('_BIZ_LAST_7_DAYS', 'Les 7 derniers jours');
DEFINE('_BIZ_LAST_MONTH', 'Le mois dernier');
DEFINE('_BIZ_LAST_YEAR', 'L\'année dernière');

// Error Messages
DEFINE('_BIZ_ERROR', 'Erreur : ');
DEFINE('_BIZ_ERROR_ON_UNLOCK', 'Erreur dans le déverrouillage de l\'objet : ');
DEFINE('_BIZ_ERROR_ON_LOCK', 'Erreur dans le verrouillage de l\'objet : ');
DEFINE('_BIZ_ERROR_BEG_END_DATE_FORMAT', 'La date de début doit être avant la date de fin.');
DEFINE('_BIZ_ERROR_PUBLICATION_DATE_FORMAT', 'Le format de date pour le champ date de publication doit être YYYY-MM-DD');
DEFINE('_BIZ_ERROR_EXPIRATION_DATE_FORMAT', 'Le format de date pour le champ date d\'expiration doit être YYYY-MM-DD');
DEFINE('_BIZ_ERROR_EXP_PUB_DATE_FORMAT', 'La date de publication doit être avant la date d\'expiration.');
DEFINE('_BIZ_ERROR_SAVE', 'Enregistrement impossible');
DEFINE('_BIZ_ERROR_TEXT_NOT_EMPTY', 'Le champs texte doit être rempli.');
DEFINE('_BIZ_ERROR_SCORE_NUM', 'Le score doit être un nombre entre 0 et 100.');
DEFINE('_BIZ_ERROR_UPLOAD_SIZE', 'Uploaded file exceeded maximum allowed filesize: %s');
DEFINE('_BIZ_ERROR_UPLOAD_PARTIAL', 'File was only partially uploaded.');
DEFINE('_BIZ_ERROR_UPLOAD_NO_FILE', 'No file was actually uploaded');
DEFINE('_BIZ_ERROR_UPLOAD_NO_TMP_DIR', 'No temporary directory was found to write uploaded file to.');
DEFINE('_BIZ_ERROR_UPLOAD_CANT_WRITE', 'Could not write uploaded file to disk');
DEFINE('_BIZ_ERROR_UPLOAD_EXTENSION', 'File upload stopped by extension');
DEFINE('_BIZ_ERROR_SITE_IS_MANDATORY', 'Site non renseigné');
DEFINE('_BIZ_ERROR_NAME_TOO_LONG', 'Le nom est trop long');
DEFINE('_BIZ_ERROR_TPLCATEGORY_INVALID', 'The category name has invalid characters in it.'); // TODO
DEFINE('_BIZ_ERROR_TPLCATEGORY_TOO_LONG', 'The category name is too long.');  // TODO
DEFINE('_BIZ_ERROR_TPLNAME_INVALID', 'The template name has invalid characters in it.');  // TODO
DEFINE('_BIZ_ERROR_INVALID_FILE_CHARS', 'You may only use alphanumeric characters, the forward slash, and the underscore.');  // TODO

// Errors associated to fields validation
DEFINE('_BIZ_ERROR_CODE_IS_MANDATORY', 'Code is mandatory');
DEFINE('_BIZ_ERROR_CODE_TOO_LONG', 'Code is too long');
DEFINE('_BIZ_ERROR_TITLE_IS_MANDATORY', 'Le titre est obligatoire');
DEFINE('_BIZ_ERROR_TITLE_TOO_LONG', 'Le titre est trop long');
DEFINE('_BIZ_ERROR_TITLE_ALREADY_EXISTS', 'Titre existe déjà');
DEFINE('_BIZ_ERROR_CHAPTER_TITLE_TOO_LONG', 'Le titre de la page est trop long');
DEFINE('_BIZ_ERROR_SUBTITLE_TOO_LONG', 'Le sur-titre est trop long');
DEFINE('_BIZ_ERROR_SUPTITLE_TOO_LONG', 'Le sous-titre est trop long');
DEFINE('_BIZ_ERROR_KEYWORDS_TOO_LONG', 'Les mots-cles sont trop longs');
DEFINE('_BIZ_ERROR_CREDITS_TOO_LONG', 'Les crédits sont trop longs');
DEFINE('_BIZ_ERROR_AUTHOR_TOO_LONG', 'L\'auteur est trop long');
DEFINE('_BIZ_ERROR_NICKNAME_TOO_LONG', 'Le surnom est trop long');
DEFINE('_BIZ_ERROR_USERNAME_IS_MANDATORY', 'Le nom est obligatoire');
DEFINE('_BIZ_ERROR_USERNAME_TOO_LONG', 'Le nom est trop long');
DEFINE('_BIZ_ERROR_FIRSTNAME_TOO_LONG', 'Le prénom est trop long');
DEFINE('_BIZ_ERROR_LASTNAME_TOO_LONG', 'Le nom de famille est trop long');
DEFINE('_BIZ_ERROR_EMAIL_TOO_LONG', 'L\'addresse email est trop longue');
DEFINE('_BIZ_ERROR_CITY_TOO_LONG', 'Le nom de la ville est trop long');
DEFINE('_BIZ_ERROR_COUNTRY_TOO_LONG', 'Le nom du pays est trop long');
DEFINE('_BIZ_ERROR_POSTAL_CODE_TOO_LONG', 'Le code postal est trop long');
DEFINE('_BIZ_ERROR_PHONE_TOO_LONG', 'Le numéro de téléphone est too long');
DEFINE('_BIZ_ERROR_STATE_TOO_LONG', 'Le nom de l\'état est trop long');
DEFINE('_BIZ_ERROR_SOURCE_TOO_LONG', 'Le nom de la source est trop long');
DEFINE('_BIZ_ERROR_SOURCE_ID_TOO_LONG', 'L\'identifiant de la source est trop long');
DEFINE('_BIZ_ERROR_SOURCE_VERSION_TOO_LONG', 'Le numéro de version de la source est trop long');
DEFINE('_BIZ_ERROR_SENDER_TOO_LONG', 'Le nom de l\'expéditeur est trop long');
DEFINE('_BIZ_ERROR_FROM_TOO_LONG', 'L\'adresse de l\'expéditeur est trop longue');
DEFINE('_BIZ_ERROR_REPLY_TO_TOO_LONG', 'L\'adresse de réponse est trop longue');
DEFINE('_BIZ_ERROR_PUBLICATIONNAME_IS_MANDATORY', 'Le nom de la publication est obligatoire');
DEFINE('_BIZ_ERROR_ISSUENUMBER_NUM', 'Le numéro de parution doit être égal ou supérieur à 1');
DEFINE('_BIZ_ERROR_POLL_QUESTION_IS_MANDATORY', 'La question est obligatoire');
DEFINE('_BIZ_ERROR_POLL_CHOICE_IS_MANDATORY', 'Le choix est obligatoire');

// Question Messages

// BizObject
DEFINE('_BIZ_SWITCH_TO_OBJECT_SITE', 'Pour éditer cet objet, vous devez modifier le site sélectionné pour celui qui contient l\'objet');
DEFINE('_BIZ_MOVE_OBJ_TO_WORKING_SITE', 'The site this object is associated with no longer exists. Would you like to move this object to your current working site (%s)');
DEFINE('_BIZ_TITLE_OBJ_IN_BAD_SITE', 'Object Belonds to an Invalid Site');
DEFINE('_BIZ_TITLE_OBJ_IN_DIFFERENT_SITE', 'Object is in a Different Site');

// Channel
DEFINE('_BIZ_CHANNEL', 'Rubrique');
DEFINE('_BIZ_CHANNELS', 'Rubriques');
DEFINE('_BIZ_NEW_QUERY', 'Nouvelle requête');
DEFINE('_BIZ_CHOOSE_QUERY', 'Choisir la requête');
DEFINE('_BIZ_CHANNEL_INDENT', '&nbsp;&nbsp;&nbsp;');
DEFINE('_BIZ_CHANNEL_INDENT_SYMBOL', ' :: ');
DEFINE('_BIZ_CHANNEL_MANAGE_DATE', 'Il n\'y a pas de contenu de spécifié pour la date voulue. Le contenu pour la date suivante a été chargé : ');
DEFINE('_BIZ_CHANNEL_EMPTY_CONTENT', 'Le contenu pour cette date a été vidé');
DEFINE('_BIZ_CHANNEL_MANAGE_CONTENT_OF', 'Gestion du contenu du ');
DEFINE('_BIZ_CHANNEL_REQUEST', 'Requêtes de la rubrique');
DEFINE('_BIZ_FORCED_CHANNEL', 'Contenu forcé');
DEFINE('_BIZ_DATE_MANAGEMENT', 'Gestion par date');
DEFINE('_BIZ_MIXED_MANAGEMENT', 'Gestion mixte');
DEFINE('_BIZ_ORDER_BY', 'Ordonner par');
DEFINE('_BIZ_LIMIT', 'Limiter');
DEFINE('_BIZ_BUILD_QUERY', 'Construire la requête');
DEFINE('_BIZ_IN_CHANNEL', 'Rubrique');

// Article
DEFINE('_BIZ_ARTICLE', 'Article');
DEFINE('_BIZ_ARTICLES', 'Articles');
DEFINE('_BIZ_SECTION', 'Rubrique');
DEFINE('_BIZ_SECTIONS', 'Rubriques');
DEFINE('_BIZ_CHAPTER', 'Page');
DEFINE('_BIZ_CHAPTERS', 'Pages');
DEFINE('_BIZ_NEW_CHAPTER', 'Nouvelle page');
DEFINE('_BIZ_ABSTRACT', 'Résumé');
DEFINE('_BIZ_PAGE_TITLE', 'Titre de page');
DEFINE('_BIZ_PAGE_CONTENT', 'Contenu de la page');
DEFINE('_ADD_PAGE_AFTER', 'Ajouter une page après');
DEFINE('_ADD_PAGE', 'Ajouter une page');

// Newsitem
DEFINE('_BIZ_NEWSITEM', 'Nouvelle');

// Forum
DEFINE('_BIZ_FORUM', 'Forum');
DEFINE('_BIZ_FORUMS', 'Forums');
DEFINE('_BIZ_FORUM_NOCOMMENT', 'Aucun commentaire pour ce forum');
DEFINE('_BIZ_KIND', 'Type');
DEFINE('_BIZ_POST', 'Message');

// Item
DEFINE('_BIZ_ITEM', 'Item');
DEFINE('_BIZ_ITEMS', 'Items');
DEFINE('_BIZ_ITEM_TYPE', 'Type d\'item');
DEFINE('_BIZ_UPLOAD_PHOTO', 'Télécharger une photo');
DEFINE('_BIZ_DELETE_ITEM', 'Effacer l\'item');
DEFINE('_BIZ_SELECT_ITEM', 'Sélectionner l\'item');

// Poll
DEFINE('_BIZ_KIND_OF_POLL', 'Type de sondage');
DEFINE('_BIZ_POLL', 'Sondage');
DEFINE('_BIZ_POLLS', 'Sondages');
DEFINE('_BIZ_VOTE', 'Votez');
DEFINE('_BIZ_POLL_QUESTION', 'Question du sondage');
DEFINE('_BIZ_POLL_QUESTION_TEXT', 'Question');
DEFINE('_BIZ_SINGLE_CHOICE', 'Choix unique');
DEFINE('_BIZ_MULTIPLE_CHOICE', 'Choix multiples');

// Contribution
DEFINE('_BIZ_CONTRIBUTION', 'Commentaire');
DEFINE('_BIZ_CONTRIBUTIONS', 'Commentaires');
DEFINE('_BIZ_CONTRIBUTION_NONE', 'Commentaires interdites');
DEFINE('_BIZ_CONTRIBUTION_CLOSED', 'Fermé');
DEFINE('_BIZ_CONTRIBUTION_OPEN', 'Ouvert');
DEFINE('_BIZ_NO_CONTRIBUTION', 'Aucun commentaire');
DEFINE('_BIZ_MODERATION', 'Modération');
DEFINE('_BIZ_CONTRIBUTION_NO_REFERENT', 'Pas de référent');
DEFINE('_BIZ_CONTRIBUTION_ORPHAN', 'Ce commentaire n\'a pas de parent');

// Shared media

// Photo
DEFINE('_BIZ_PHOTO', 'Photo');
DEFINE('_BIZ_PHOTOS', 'Photos');
DEFINE('_BIZ_MANAGE_CROPPING', 'Gestion des formats et des cadrages');
DEFINE('_BIZ_DIMENSIONS', 'Dimensions');
DEFINE('_BIZ_RATIO_THUMB_SQUARE', 'Vignette carrée');
DEFINE('_BIZ_RATIO_THUMB_HORIZONTAL', 'Vignette horizontale');

// Site
DEFINE('_BIZ_SITE', 'Site web');
DEFINE('_BIZ_SITES', 'Sites');
DEFINE('_BIZ_SITE_NO_RESULT', 'Aucun résultat retourné');
DEFINE('_BIZ_SITE_CANT_DELETE_CURRENT', 'Il n\'est pas permis d\'effacer le site couramment utilisé');

// Menu and recipe

// Upload
DEFINE('_BIZ_IMAGE_FILE', 'Fichier image');

// Links

// Slideshow
DEFINE('_BIZ_SLIDESHOW', 'Diaporama');
DEFINE('_BIZ_SLIDESHOWS', 'Diaporamas');
DEFINE('_BIZ_ADD_PHOTOS_MSG', 'Ajouter des photos');

// Newsletter
DEFINE('_BIZ_NEWSLETTER', 'Infolettre');
DEFINE('_BIZ_NEWSLETTERS', 'Infolettres');
DEFINE('_BIZ_SENDER', 'Expéditeur');
DEFINE('_BIZ_REPLY_TO', 'Adresse de retour');
DEFINE('_BIZ_NEWSLETTER_MSG_TEMPLATE_USED', 'Modèles de l\'infolettre');
DEFINE('_BIZ_HTML_TEMPLATE', 'HTML');
DEFINE('_BIZ_TEXT_TEMPLATE', 'Texte en clair');
DEFINE('_BIZ_NEWSLETTER_SUBSCRIBERS', 'Abonnés');
DEFINE('_BIZ_NEWSLETTER_EXISTING_SUBSCRIBERS', 'Internautes abonnés à cette infolettre');
DEFINE('_BIZ_NEWSLETTER_FORCED_CONTENT', 'Contenu forcé');
DEFINE('_BIZ_NEWSLETTER_CONFIGURATION', 'Configuration');
DEFINE('_BIZ_NEWLETTERS_TEMPLATES', 'Gabarits de courriels');

// Webuser
DEFINE('_BIZ_WEBUSER', 'Internaute');
DEFINE('_BIZ_WEBUSERS', 'Internautes');
DEFINE('_BIZ_WEBUSER_CONTRIBUTIONS', 'Commentaires de l\'internaute');
DEFINE('_BIZ_FIRSTNAME', 'Prénom');
DEFINE('_BIZ_LASTNAME', 'Nom');
DEFINE('_BIZ_ADDRESS', 'Adresse');
DEFINE('_BIZ_POSTALCODE', 'Code postal');
DEFINE('_BIZ_CITY', 'Ville');
DEFINE('_BIZ_COUNTRY', 'Pays');
DEFINE('_BIZ_BANNED', 'Bani');
DEFINE('_BIZ_WAITING', 'En attente');
DEFINE('_BIZ_VALID', 'Valide');
DEFINE('_BIZ_LAST_LOGIN', 'Derniére ouverture de session');

// Collection
DEFINE('_BIZ_COLLECTION', 'Collection');
DEFINE('_BIZ_COLLECTIONS', 'Collections');

// Questionnaire

// NServer Msg
DEFINE('_BIZ_MSG_INSERT', 'Insertion terminée');
DEFINE('_BIZ_MSG_UPDATE', 'Mise à jour terminée');
DEFINE('_BIZ_MSG_EDIT', 'Éditer un item');
DEFINE('_BIZ_MSG_INSERT_TEXT', 'Entrer une valeur ici');

// Subscriptions
DEFINE('_BIZ_SUBSCRIPTION_ADD', 'Ajouter la souscription');
DEFINE('_BIZ_SUBSCRIPTION_START', 'Début de la souscription');
DEFINE('_BIZ_SUBSCRIPTION_END', 'Fin de la souscription');
DEFINE('_BIZ_SUBSCRIPTION_TYPE', 'Type de souscription');
DEFINE('_BIZ_SUBSCRIPTION_BUTTON_ADD', 'Ajouter cette souscription');
DEFINE('_BIZ_SUBSCRIPTION_VALUE', 'Valeur de la souscription');
DEFINE('_BIZ_CUSTOMIZED_SUBSCRIPTION', 'Souscription personnalisée');

// Search
DEFINE('_BIZ_SECONDS', 'secondes');

/**
* Specific (generated web site dependant) language resources
*
* French version
*/

/* general */
DEFINE('_WEB_AUTHOR', 'Auteur');
DEFINE('_WEB_EMAIL', 'Courriel');
DEFINE('_WEB_IN', 'sous');

/* Semantic data */

/* Comments & Contributions */
DEFINE('_WEB_COMMENT', 'commentaire');
DEFINE('_WEB_COMMENT_ON', 'Commentaire sur ');

/* Request */
DEFINE('_BIZ_CHANNEL_REQUEST_NAME', 'Nom');
DEFINE('_BIZ_CHANNEL_REQUEST_CLASS', 'Table');
DEFINE('_BIZ_CHANNEL_REQUEST_WHERE', 'Où');
DEFINE('_BIZ_CHANNEL_REQUEST_ORDERBY', 'Trier par');
DEFINE('_BIZ_OPERATOR', '');
DEFINE('_BIZ_FIELDS', 'Champs');
DEFINE('_BIZ_COMPARE', 'Operateur');
DEFINE('_BIZ_ORDER', 'Ordre');
DEFINE('_BIZ_CHECK_REQUEST', 'Vérifier la validité de la requête');
DEFINE('_BIZ_CHANNEL_REQUEST_VALID', 'La requete est valide');
DEFINE('_BIZ_REQUEST_NOT_VALID', 'La requete n\'est pas valide');

/* Import */
DEFINE('_XSL_FOLDER', 'Répertoire contenant les XSL de transformation');
DEFINE('_BIZ_IMPORT_NITF', 'Importer des fichiers NITF');
DEFINE('_BIZ_BEGIN_IMPORT', 'Début de l\'import avec %s comme répertoire initial');
DEFINE('_BIZ_END_IMPORT', 'Fin de l\'import avec %s comme répertoire initial');
DEFINE('_BIZ_READ_FOLDER', 'Lecture du répertoire :');
DEFINE('_BIZ_PROCESS_FOLDER', 'Traitement du repertoire :');
DEFINE('_BIZ_PROCESS_FILE', 'Traitement du fichier :');
DEFINE('_BIZ_INVALID_FILE', 'Le fichier %s%s est invalide');
DEFINE('_BIZ_XSL_NOT_FOUND', 'La xsl de transformation n\'existe pas');
DEFINE('_BIZ_XML_INVALID', 'Le fichier %s ne semble pas être un XML valide');
DEFINE('_BIZ_CREATE_ARTICLE', 'Création d\'article (code : %s)');
DEFINE('_BIZ_UPDATE_ARTICLE', 'Mise a jour d\'article #%s (code : %s)');
DEFINE('_BIZ_FILE_IMPORT_INCORRECT', 'Le fichier "%s" n\'a pas été importé correctement ::');
DEFINE('_BIZ_IMPORT_FILE_LOCATION', 'Emplacement des fichiers');
DEFINE('_BIZ_IMPORT_SOURCE_FOLDER', 'Répertoire source');
DEFINE('_BIZ_IMPORT_TRANSFORMATION_SETTINGS', 'Paramètres de transformation');
DEFINE('_BIZ_IMPORT_XSL_TEMPLATE_LOCATION', 'Répertoire contenant les XSL');
DEFINE('_BIZ_IMPORT_MEDIA_SETTINGS', 'Paramètres des medias');
DEFINE('_BIZ_IMPORT_EMBEDDED_PHOTOS', 'Photos incorporées');
DEFINE('_BIZ_IMPORT_NO_DESTINATION_DIRECTORY', 'Le dossier de destination n\'existe pas et n\'a pu être créé');
DEFINE('_BIZ_IMPORT_NO_DESTINATION_DIRECTORY_CREATED', 'Le dossier de destination n\'existe pas et a été créé');
DEFINE('_BIZ_IMPORT_JPEG', 'Importer des photos (jpeg) avec les méta-données XMP');
DEFINE('_BIZ_IMPORT_DAM', 'Importer avec le webservice DAM');
DEFINE('_BIZ_IMPORT_NEWSML', 'Importer de fichiers NewsML');
DEFINE('_BIZ_IMPORT_NSTEIN', 'Importer de fichiers au format XML Nstein');
DEFINE('_BIZ_IMPORT_CRITERIA', 'Critères d\'importation');
DEFINE('_BIZ_IMPORT_FROM_WHEN', 'Importer en fonction de dates');
DEFINE('_BIZ_IMPORT_FROM_WHERE', 'Importer de quel endroit');
DEFINE('_BIZ_DAM_WEB_SERVICE_URL', 'URL du webservice DAM');
DEFINE('_BIZ_IMPORT_DAME_REPOSITORY', 'Répertoire du webservice DAM');
DEFINE('_BIZ_USERID', 'Identifiant de l\'usager');
DEFINE('_BIZ_MISCELLANEOUS', 'Divers');
DEFINE('_BIZ_XSL_FOLDER', 'Dossier des xsl');
DEFINE('_BIZ_CLASSES', 'Classes');
DEFINE('_BIZ_LAST_THREE_DAYS', 'Les trois derniers jours');
DEFINE('_BIZ_LAST_SEVEN_DAYS', 'Les sept derniers jours');
DEFINE('_BIZ_LAST_IMPORT', 'Dernier import');
DEFINE('_BIZ_IMPORT_DAM_NEW_PROCESSOR', 'Using additional processor class'); // TODO
DEFINE('_BIZ_IMPORT_DAM_PROCESSOR_FAILED', 'Special logic for class %s failed'); // TODO
DEFINE('_BIZ_IMPORT_DAM_NO_MAPPING', 'Could not find mapping information for DAM Class'); // TODO
DEFINE('_BIZ_IMPORT_DAM_INVALID_TOKEN', 'Invalid security token'); // TODO
DEFINE('_BIZ_IMPORT_DATA_INTEGRITY_SETTINGS', 'Paramètres de l\'intégrité des données');
DEFINE('_BIZ_IMPORT_DATA_INTEGRITY_ID', 'Si l\'objet importé a une carte d\'identité, l\'utilisation de la force que ID (ne pas générer un nouveau)');

/* Import AFP */
DEFINE('_BIZ_NO_INDEX_FILE_FOR_CHANNEL', 'Pas de fichier d\'index pour la rubrique :');
DEFINE('_BIZ_CREATE_CHANNEL', 'Création de la rubrique : ');
DEFINE('_BIZ_UPDATE_CHANNEL', 'Mise à jour de la rubrique : ');
DEFINE('_BIZ_INDEX_CHANNEL_UNCHANGED', 'L\'index de rubrique %s [%s] est inchangé depuis le dernier import (%s &gt; %s)');
DEFINE('_BIZ_INDEX_INVALID_XML', 'Le fichier %s/index.xml ne semble pas être un XML valide');
DEFINE('_BIZ_ARTICLE_XML_ERROR', 'Erreur XML dans l\'article : ');
DEFINE('_BIZ_ASSOC_PHOTO_ARTICLE', 'Association de la photo #%s à l\'article #%s');
DEFINE('_BIZ_ASSOC_PHOTO_ARTICLE_DONE', 'Photo %s associées à l\'article %s');
DEFINE('_BIZ_ORIGINAL_PHOTO_NOT_FOUND', 'Erreur : l\'original de la photo %s est introuvable');
DEFINE('_BIZ_THUMBNAIL_NOT_FOUND', 'Erreur : la vignette %s de la photo %s est introuvable');
DEFINE('_BIZ_CANNOT_COPY_PHOTO_AFP', 'Impossible de copier la photo %s/%s vers %s');
DEFINE('_BIZ_CANNOT_COPY_THUMBNAIL_AFP', 'Impossible de copier la vignette %s/%s vers %s');
DEFINE('_BIZ_NOINIT_PHOTO_XML', 'Impossible d\'initialiser la photo %s à partir du XML');

/* Import Bizobject */
DEFINE('_BIZ_CREATE_BIZOBJECT', 'Création de l\'objet \'%s\' (code BizObject : %s)');
DEFINE('_BIZ_UPDATE_BIZOBJECT', 'Mise a jour de l\'objet \'%s\' #%s (code BizObject : %s)');

/* Import Photos */
DEFINE('_BIZ_IMPORT_UPDATE_PHOTO', 'Mise à jour de la photo :');
DEFINE('_BIZ_IMPORT_INSERT_PHOTO', 'Enregistrement de la photo :');
DEFINE('_BIZ_IMPORT_PROCESS', 'Traitement des fichiers :');
DEFINE('_BIZ_IMPORT_PHOTO_FILE', 'Fichier photo :');
DEFINE('_BIZ_IMPORT_PHOTO_NO_TITLE', ' n\'a pas de titre.');
DEFINE('_BIZ_IMPORT_PHOTO_OK', 'Cette photo a été importée :');

/* Print Information */
DEFINE('_BIZ_PUBLICATION', 'Édition');
DEFINE('_BIZ_PUBLICATIONS', 'Éditions');
DEFINE('_BIZ_ISSUE', 'Parution');
DEFINE('_BIZ_ADD_ISSUE', 'Ajouter une parution');
DEFINE('_BIZ_ISSUENUMBER', 'Numéro de parution');
DEFINE('_BIZ_PUBLICATIONNAME', 'Titre');
DEFINE('_BIZ_PAGE_NUMBER', 'Numéro de page');
DEFINE('_BIZ_ISSUES', 'Parutions');
DEFINE('_BIZ_CREATE_PUBLICATION', 'Creation du titre : \'%s\'');
DEFINE('_BIZ_UPDATE_PUBLICATION', 'Mise à jour du titre : \'%s\'');
DEFINE('_BIZ_CREATE_ISSUE', 'Creation de la parution : \'%s\'');
DEFINE('_BIZ_UPDATE_ISSUE', 'Mise à jour de la parution : \'%s\'');

// Search
DEFINE('_BIZ_SEARCH_ADD_TO_SELECTED_BIN', 'Add to selected bin');
DEFINE('_BIZ_TOGGLE', 'Basculer');
DEFINE('_BIZ_MODIFIED_AT', 'Modifié le');
DEFINE('_BIZ_ITEMS_FOUND_IN', ' éléments trouvés en ');
DEFINE('_BIZ_FILTER_SELECTION', 'la sélection de filtres');
DEFINE('_BIZ_REFINE', 'Affiner le resultat en utilisant les filtres');
DEFINE('_BIZ_CANNOT_LOAD_CONFIGURARTION_FILE', 'Impossible de loader le fichier search_configuration.xml');
DEFINE('_BIZ_SEARCHES', 'Recherches');
DEFINE('_BIZ_QUERY', 'Requête');
DEFINE('_BIZ_MY_SAVED_SEARCHES', 'Mes recherches sauvegardées');
DEFINE('_BIZ_SEARCH_HISTORY', 'Historique de recherche');
DEFINE('_BIZ_REMOVE', 'Supprimer');
DEFINE('_BIZ_CURRENT_SEARCH', 'la recherche courante');
DEFINE('_BIZ_DASHBOARD', 'Ajouter au dashboard ?');
DEFINE('_BIZ_CREATE', 'Créer');
DEFINE('_BIZ_EMPTY_BIN', 'un panier vide');
DEFINE('_BIZ_SELECTED_ITEMS', 'Item(s) selectionné(s)');
DEFINE('_BIZ_ADD_TO_SELECTED_BIN', 'Ajouter au panier selectionné');
DEFINE('_BIZ_SELECTED_BIN', 'le panier selectionné');
DEFINE('_BIZ_ALL_BINS', 'tout les paniers');
DEFINE('_BIZ_CREATE_BIN', 'Créer un panier');
DEFINE('_BIZ_MANAGE', 'Gérer');
DEFINE('_BIZ_NO_DETAIL', '---'); // Displayed in the search results when an attribute is undefined
DEFINE('_BIZ_GRID_VIEW', 'Afficher sous forme de grille');
DEFINE('_BIZ_LIST_VIEW', 'Afficher sous forme de liste');
DEFINE('_BIZ_TOP_CONCEPTS', 'Concepts');
DEFINE('_BIZ_TOP_ENTITIES', 'Entités');
DEFINE('_BIZ_TOP_EDITORIAL_TAGS', '"Tags" éditoriales');
DEFINE('_BIZ_TOP_SUBJECTS', 'Sujets');
DEFINE('_BIZ_ASSET_TYPES', 'Types d\'objects');
DEFINE('_BIZ_DATE_RANGES', 'Intervalles (dates)');
DEFINE('_BIZ_SOURCES', 'Sources');
DEFINE('_BIZ_FILTERS', 'Filtres');
DEFINE('_BIZ_SHARED', 'Public');
DEFINE('_BIZ_SHOW_UI', 'UI');

// Widget
DEFINE('_BIZ_DESIGN_TOOLBOX', 'Boite à outil');
DEFINE('_BIZ_WIDGET_TEMPLATE', 'Modèle de page');
DEFINE('_BIZ_WIDGET_ADD', 'Ajouter un gadget');
DEFINE('_BIZ_WIDGET_ZONE', 'dans la zone');
DEFINE('_BIZ_LIMIT_TO', 'Limiter à');
DEFINE('_BIZ_LEFT_ZONE', 'Zone de gauche');
DEFINE('_BIZ_RIGHT_ZONE', 'Zone de droite');
DEFINE('_BIZ_MAIN_ZONE', 'Zone principale');
DEFINE('_BIZ_SAVE_WIDGETS', 'Sauver les gadgets');
DEFINE('_BIZ_REFRESH_WIDGET_BUGS', 'Rafraîchir');
DEFINE('_BIZ_EDIT_SETTINGS', 'Changer la configuration');

DEFINE('_BIZ_DOCUMENTS', 'Documents');
DEFINE('_BIZ_MEDIA', 'Médias');
DEFINE('_BIZ_NEWS_CONTENT', 'Nouvelle');

// Date Format
DEFINE('_DATE_FORMAT', '%Y-%m-%d');
DEFINE('_DATE_TIME_FORMAT', '%Y-%m-%d @ %H:%M');

// Publication workflow
DEFINE('_BIZ_VERSION_CREATED_BEFORE_PUBLICATION', 'Version créée automatiquement avant la publication');

// Export
DEFINE('_BIZ_EXPORT', 'Exporter');
DEFINE('_BIZ_NO_ITEMS_SELECTED', 'Aucun item selectionné');
DEFINE('_BIZ_CREATE_NEW', 'Créer un nouveau bizobjet');
DEFINE('_BIZOBJECTS', 'Bizobjets');
DEFINE('_BIZ_EXPORT_SUCCESFULL_TO', 'Les bizobjets ont été correctement importés vers ');
DEFINE('_BIZ_EXPORT_ERROR', 'Une erreur est survenue lors de l\'export. Veuillez recommencer.');
DEFINE('_BIZ_CHOOSE_CHANNEL', 'Choisir une section');
DEFINE('_BIZ_CHOOSE_COLLECTION', 'Choisir une collection');
DEFINE('_BIZ_CHOOSE_SLIDESHOW', 'Choisir un diaporama');

// move to channel
DEFINE('_BIZ_MOVE_CHANNEL', 'Déplacer vers une section');
DEFINE('_BIZ_MOVE_SUCCESS', 'Les objects choisis ont été déplacés correctement vers la section ');
DEFINE('_BIZ_BASEQUERY', 'Requête de base :');

/**
* Google tools
* @todo : put this in plugin's language file
*/
DEFINE('_G_ADWORDS', 'adWords');
DEFINE('_GOOGLE_ADWORDS', 'Google adWords');
DEFINE('_GOOGLE_TEXT', 'Ce plugiciel aide à l\'optimisation de contenu pour les moteurs de recherche. Permet aux éditeurs de mieux cibler leur public.');
DEFINE('_GOOGLE_MORE_SPECIFIC', 'Plus spécifique');
DEFINE('_GOOGLE_ADDITIONAL', 'Autres mots clés à considérer');
DEFINE('_GOOGLE_NO_DATA', 'Aucune données fournies');
DEFINE('_GOOGLE_NO_RESULT', 'Google n\'a pas donné de résultats ou votre fichier de configuration XML n\'est pas valide.');
DEFINE('_GOOGLE_LAUNCH', 'Lancer');
DEFINE('_GOOGLE_NEAR', 'Similaire');
DEFINE('_GOOGLE_OFINTEREST', 'Intéressant');
DEFINE('_GOOGLE_TOAVOID', 'À éviter');
DEFINE('_NSTEIN_SAYS', 'Résultats Nstein :');
DEFINE('_GOOGLE_SAYS', 'Résultats Google :');

/**
* Sitemaps
*/
DEFINE('_SITEMAP', 'Carte du site');
DEFINE('_SITEMAP_SETTINGS', 'Configuration');
DEFINE('_SITEMAP_ROBOT', 'Ajouter au fichier robot.txt');
DEFINE('_SITEMAP_PATH', 'Chemin');
DEFINE('_SITEMAP_ADD_URL', 'URLs supplémentaires');
DEFINE('_SITEMAP_SAVE_SUBMIT', 'Regénérer et soumettre');
DEFINE('_SITEMAP_UPDATE_SUCCESS', 'La carte du site a été créée ou mise à jour avec succès');
DEFINE('_SITEMAP_PARSER_ERROR', 'Une erreur est survenue');
DEFINE('_SITEMAP_NO_DATA', 'Aucune donnée reçue');
DEFINE('_SITEMAP_NO_CREDENTIALS', 'Veuillez ajouter votre courriel et mot de passe dans le fichier de configuration');
DEFINE('_SITEMAP_STATUS_200', 'La carte du site a été correctement soumise (code 200)');
DEFINE('_SITEMAP_STATUS_403', 'L\'URL de la carte du site ne fait pas partie du site (code 403)');
DEFINE('_SITEMAP_STATUS_404', 'Introuvable (code 404)');
DEFINE('_SITEMAP_SITE_DOMAIN', 'Nom de domainde du site');

