<?php
/**
 * Project:     WCM
 * File:        $Id: widget.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-business-api
 * @version     4.x
 */

/**
 *  Widget
 *
 */

class wcmWidgetNsteinChannelMostPopular extends wcmWidget
{

    /**
     * Get the label
     * @return string Label
     */
    public function getLabel()
    {
        return _BIZ_MOST_POPULAR_ARTICLES;
    }

    /**
     * Get the display settings
     * @return string XML
     */
    public function displaySettings()
    {
        return captureOutput(array($this, 'renderSettings'));
    }

    /**
     * Render the display settings
     * @return string Generated HTML
     */
    public function renderSettings()
    {
        echo '<ul>';
        wcmFormGUI::renderDropdownField('nb', range(0, 10), intval(getArrayParameter($this->settings, 'nb', 5)), _BIZ_LIMIT_TO);
        echo '</ul>';
    }
}

