<?php
/**
 * Project:     WCM
 * File:        $Id: biz.modalSearch.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

/*

Example on how you can use this modal box :
===========================================

<script type="text/javascript">
searchModalCallBack = function (param)
{
    if (param != null) alert('PARAM : ' + param);
    wcmModal.hide();
}

SearchModalExample = function(linkField)
{
    wcmModal.showAjaxButtons(
            'Search',
            wcmBaseURL + 'ajax/controller.php?ajaxHandler=business/biz.modalSearch',
            {style: 'modalSearch', pageSize: 10, filter: 'classname:article'},
            searchModalCallBack,
            [ { css: 'cancel', caption: $I18N.CANCEL, response: null } ]
            );
    return false;
}
</script>
<a onclick="javascript:SearchModalExample();">search</a>

*/

$action = getArrayParameter($_REQUEST, 'action', null);
$style = getArrayParameter($_REQUEST, 'style', 'modalSearch');
$filter = getArrayParameter($_REQUEST, 'filter', null);
$pageSize = getArrayParameter($_REQUEST, 'pageSize', 5);

switch($action)
{
    default:
echo <<<EOF
        <script type="text/javascript">
        modalSearch = function()
        {
            relationSearch.search('quickSearch', $('_wcm_ms_query').value, {
                useLinkManager: false,
                filter: '$filter',
                pageSize: '$pageSize',
                style: '$style',
                currentPage: 1,
                resultSet: '_wcm_ms_resultSet',
                ajaxHandler: 'search/quickSearch',
                uid: 'modalSearch',
            });
        }
        </script>

        <div id="modalSearch" style="padding: 6px;">
            <form onsubmit="modalSearch(); return false" style="text-align: center;">
                           <input type="text" name="query" id="_wcm_ms_query" value="" />
                           <input type="submit" value="Search">
            </form>
            <div id="_wcm_ms_resultSet">
            </div>
        </div>

EOF;

}



