<?php
/**
 * Project:     WCM
 * File:        $Id: article.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

/**
 * This class implements the action controller for the channel
 */
class articleAction extends mvcAction
{
    /**
     * Save chapters from content tab
     */
    private function saveChapters()
    {
        if (isset($_REQUEST['chapter_title']))
        {
            $chapters = array();

            $chaptersTitle = getArrayParameter($_REQUEST, 'chapter_title');
            $chaptersText = getArrayParameter($_REQUEST, 'chapter_text');
            if (is_array($chaptersTitle))
            {
                foreach ($chaptersTitle as $key => $title)
                {
                        $chapters[] = array('title' => $title, 'text' => getArrayParameter($chaptersText, $key));
                }
            }
            $this->context->updateChapters($chapters);
        }
    }

    /**
     * beforeSave is called on checkin and on save before the store
     *
     * @param wcmSession $session Current session
     * @param wcmProject $project Current project
     */
    protected function beforeSave($session, $project)
    {
        parent::beforeSave($session, $project);

        $this->saveChapters();
    }
}
