<?php
/**
 * Project:     WCM
 * File:        $Id: content.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */
$bizobject = wcmMVC_Action::getContext();
$pages = $bizobject->getChapters();
if (!$pages)
{
	// if there is an error, and there are information on chapter(s) posrted by the user, we restore them.
	$serialStorage = $bizobject->getSerialStorage();
    if (isset($serialStorage['chapters']))
    {
	    foreach($serialStorage['chapters'] as $chapter)
        {
    	    $ochapter = new chapter();
            $ochapter->title = $chapter['title'];
            $ochapter->text = $chapter['text'];
            $pages[]  = $ochapter;
        }
    }
    else
    {
    	$pages = array(new chapter());
    }
}

echo '<div class="zone">';

wcmModule('business/shared/metacontent');

echo '<div id="pages" style="clear: both;">';
foreach ($pages as $page)
{
    wcmModule('business/editorial/article/chapter', array('page' => $page));
    /* @todo :: embedded relation picker
     * same module as in media, should be embedable
     wcmGUI::openFieldset(_ATTACHED_MEDIA);
     wcmModule('business/editorial/relation/builder', $___);
     wcmGUI::closeFieldset();
     */
}
echo '</div>';

echo '</div>';
