<?php
/**
 * Project:     WCM
 * File:        $Id: properties.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

$bizobject = wcmMVC_Action::getContext();

// Special actions
$info  = '';
if ($bizobject->id)
{
    $info .= '<ul class="actions">';
    $info .= '<li><a href="' . mvcAction::computeObjectURL('issue', 0, 'view', array('publicationId' => $bizobject->id));
    $info .= '">' . _BIZ_ADD_ISSUE . '</a></li>';
    $info .= '</ul>';
}

echo '<div class="zone">';

wcmModule('business/shared/metacontent', array('info'=>$info));

wcmGUI::openCollapsablePane(_SOURCE_INFORMATION);
wcmGUI::openFieldset(_BIZ_SOURCE);
wcmGUI::renderTextField('source', $bizobject->source, _BIZ_SOURCE);
wcmGUI::renderTextField('sourceId', $bizobject->sourceId, _BIZ_ID);
wcmGUI::renderTextField('sourceVersion', $bizobject->sourceVersion, _BIZ_VERSION);
wcmGUI::closeFieldset();
wcmGUI::closeCollapsablePane();
echo '</div>';
