<?php
/**
 * Project:     WCM
 * File:        $Id: content.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */
$bizobject = wcmMVC_Action::getContext();
$channels = channel::getChannelHierarchy();
$config = wcmConfig::getInstance();

echo '<div class="zone">';

wcmModule('business/shared/metacontent');

wcmGUI::openCollapsablePane(_BIZ_PHOTOS);

wcmModule(
    'business/relationship/main',
    array(
        'kind' => bizrelation::IS_COMPOSED_OF,
        'destinationClass' => 'photo',
        'classFilter' => 'photo',
        'prefix' => '_wcm_rel_photos_',
        'resultStyle' => 'grid',
        'createTab' => true,
        'searchEngine' => $config['wcm.plugins.search.default'],
        'createModule' => 'business/subForms/uploadPhoto',
        'uid' => 'slideshowSearchId'
    )
);

wcmGUI::closeCollapsablePane();

echo '</div>';
