<?php
/**
 * Project:     WCM
 * File:        $Id: categorization.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */
$bizobject = wcmMVC_Action::getContext();
$config = wcmConfig::getInstance();

$_SESSION['wcm']['footprint']['context'] = $bizobject;

echo '<div class="zone">';

wcmGUI::openCollapsablePane(_BIZ_TAXONOMIES);

// @todo :: TME automatic IPTC categorization
wcmGUI::openFieldset(_BIZ_CATEGORIZATION_IPTC);
$acOptions = array(
    'url' => $config['wcm.backOffice.url'] . 'ajax/controller.php?ajaxHandler=business/taxonomy/biz.autocomplete',
    'paramName' => 'prefix',
    'parameters' => 'type=iptc'
);
wcmGUI::renderListField('_semanticData[categories]', array_keys($bizobject->semanticData->categories), null, $acOptions, _BIZ_CATEGORIZATION_IPTC);
wcmGUI::closeFieldset();
wcmGUI::closeCollapsablePane();

wcmGUI::openCollapsablePane(_BIZ_CATEGORIZATION_TAGS);
wcmGUI::openFieldset(_BIZ_TAGS);
$acOptions = array(
    'url' => $config['wcm.backOffice.url'] . 'ajax/controller.php?ajaxHandler=business/taxonomy/biz.autocomplete',
    'paramName' => 'prefix',
    'parameters' => 'type=general'
);
wcmGUI::renderListField('_xmlTags[tags]', getArrayParameter($bizobject->xmlTags, 'tags'), null, $acOptions);
wcmGUI::closeFieldset();

wcmGUI::openFieldset(_BIZ_AD_SERVER);
$acOptions = array(
    'url' => $config['wcm.backOffice.url'] . 'ajax/controller.php?ajaxHandler=business/taxonomy/biz.autocomplete',
    'paramName' => 'prefix',
    'parameters' => 'type=ads'
);
wcmGUI::renderListField('_xmlTags[ads]', getArrayParameter($bizobject->xmlTags, 'ads'), null, $acOptions);
wcmGUI::closeFieldset();

wcmGUI::closeCollapsablePane();

echo '</div>';
