<?php
/**
 * Project:     WCM
 * File:        $Id: contributions.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

$bizobject = wcmMVC_Action::getContext();
echo '<div class="zone">';

$session = wcmSession::getInstance();
$config = wcmConfig::getInstance();

$params = array();

//default is all the posts
$params['where'] = 'referentClass="' . $bizobject->getType() . '" AND referentId="' . $bizobject->id . '"';
$params['from'] = 0;
$params['limit'] = 25;
$params['state'] = 'all';
$params['fields'] = array('title', 'nickname', 'createdAt', 'workflowState');
$params['fieldtitles'] = array(_DASHBOARD_MODULE_HEADER_TITLE, _DASHBOARD_MODULE_HEADER_BYLINE, _DASHBOARD_MODULE_HEADER_MODIFICATION_DATE, _WORKFLOW_STATE);

$params['source'] = 'contribution';
$params['orderby'] = 'createdAt DESC';

wcmGUI::openCollapsablePane(_MENU_MODERATE_USER_COMMENTS);


$parameters['params'] = $params;
$generator = new wcmTemplateGenerator();
echo '<div id="results" class="tabular-presentation">';

$templateId = 'dashboard/db.contributiontab.tpl';
$template = new wcmTemplate();
$template->refresh($templateId);

echo $generator->executeTemplate($template, $parameters);
echo '</div>';

wcmGUI::closeCollapsablePane();

echo '</div>';
