{include file="preview/includes/header.tpl"}
    <h1> Previewing bizobject {$bizobject.className} #{$bizobject.id} </h1>
    <ul>
    {foreach from=$bizobject key=property item=value}
        {if $property eq "semanticData"}
           <li>{$property} : concepts
           <ul>
                {foreach from=$value.concepts  key=entity item=data}
                <li> {$entity} </li>
                {/foreach}
           </ul>
           <li>{$property} : categories
           <ul>
                {foreach from=$value.categories  key=entity item=data}
                <li> {$entity} </li>
                {/foreach}
           </ul>
           <li>{$property} : ON
           <ul>
                {foreach from=$value.ON  key=entity item=data}
                <li> {$entity} </li>
                {/foreach}
           </ul>
           <li>{$property} : PN
           <ul>
                {foreach from=$value.PN key=entity item=data}
                <li> {$entity} </li>
                {/foreach}
           </ul>
           <li>{$property} : GL
           <ul>
                {foreach from=$value.GL key=entity item=data}
                <li> {$entity} </li>
                {/foreach}
           </ul>
           <li>{$property} : similars </li>
           <ul>
                {foreach from=$value.similars  key=entity item=data}
                <li> similar to {$data.className} #{$data.id} </li>
                {/foreach}
           </ul>
           <li>{$property} : tone = {$value.tone} </li>
           <li>{$property} : subjectivity = {$value.subjectivity} </li>
        {elseif $property eq "channel"}
        {elseif $property eq "site"}
        {elseif $property eq "state"}
        {else}
           <li>
            {php}
                if (is_scalar($this->get_template_vars('value')))
                {
                    echo $this->get_template_vars('property').': '.$this->get_template_vars('value');
                } else {
                    echo $this->get_template_vars('property').': '.gettype($this->get_template_vars('value'));
                }
            {/php}
            </li>
        {/if}
    {/foreach}
    </ul>
{include file="preview/includes/footer.tpl"}