<?php
/**
 * Project:     WCM
 * File:        $Id: instruction.class.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

abstract class wcmInstall_instruction
{
    /**
     * Instruction description
     * @var string
     */
    protected $description;

    /**
     * Process the instruction
     */
    abstract public function processInstruction();

    /**
     * Get description
     * @return string Description
     */
    public function getDescription()
    {
        return $this->description;
    }
}