<?php
/**
 * Project:     WCM
 * File:        $Id: sessionDestroy.class.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

class wcmInstallInstructions_sessionDestroy extends wcmInstall_instruction
{
    /**
     * Constructor
     */
    public function __construct()
    {
        $this->description = 'Installation Self Cleanup';
    }

    /**
     * Process the instruction
     * @return bool True on success.
     */
    public function processInstruction()
    {
        unset($_SESSION);
        session_destroy();
        return true;
    }
}