<?php
/**
 * Project:     WCM
 * File:        $Id: setAdminPassword.class.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

class wcmInstallInstructions_setAdminPassword extends wcmInstall_instruction
{
    /**
     * Admin password
     * @var string
     */
    private $password;

    /**
     * Constructor
     * @param string $argPassword Admin password to set
     */
    public function __construct($argPassword)
    {
        $this->description = 'Setting administrative password';
        $this->password = $argPassword;
    }

    /**
     * Process the instruction.
     * @return bool TRUE on success
     */
    public function processInstruction()
    {
        $session = wcmInstall_session::getInstance();
        $insConf = $session->getConfig();

        try
        {
            $dsn = $session->getWcmConfigValue('config_wcm_systemDB_connectionString');
            $session->log('Connecting to: ' . $dsn);

            $dsnParts = parse_url($dsn);

            $host = empty($dsnParts['port']) ? $dsnParts['host'] : $dsnParts['host'] . ':' . $dsnParts['port'];

            $pass = isset($dsnParts['pass']) ? $dsnParts['pass'] : '';
            $conn = mysql_connect($host, $dsnParts['user'], $pass);
            if (!$conn)
            {
                throw new Exception(mysql_error());
            }
            if (!mysql_select_db(str_replace('/', '', $dsnParts['path']), $conn))
            {
                throw new Exception(mysql_error());
            }

            if (!mysql_query('UPDATE wcm_user SET password=MD5("' . $this->password . '") WHERE id=1', $conn))
            {
                throw new Exception(mysql_error($conn));
            }
            return true;
        }
        catch (Exception $e)
        {
            $session->log($e->getMessage());
            return false;
        }
    }
}