<?php
/**
 * Project:     WCM
 * File:        $Id: windowHelp.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

/**
 * The variable $help contains the instance of wcmContextHelp
 */
require_once dirname(__FILE__) . '/../../../initWebApp.php';
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title></title>
    <meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
    <link rel="stylesheet" type="text/css" href="<?php echo $config['wcm.backOffice.url']; ?>skins/popup.css" />
    <link rel="stylesheet" type="text/css" href="<?php echo $config['wcm.backOffice.url']; ?>skins/default/css/contextHelp.css" />
    <?php include(WCM_WWW_BACKOFFICE_DIR . '/system/public/js/main.js.php'); ?>
    <script type="text/javascript">
	// <![CDATA[
    function refreshHelpWindow()
    {
        if (!window.opener.$WCM.getHelp().enabled)
        {
            window.opener.$WCM.activateHelp('window');
        } else {
            window.opener.$WCM.getHelp().panel.refresh(window.opener.$WCM.getCurrentAction(), window.opener.$WCM.getActiveTabs(), window.opener.$WCM.getLastClickedTab());
        }
    }

	// Resize the iFrame
	function resize_iframe() {
		var height = window.innerWidth; //Firefox
		if (document.body.clientHeight) {
			height = document.body.clientHeight; //IE
		}
        if(height > document.getElementById("helpIframe").offsetTop)
        {
            document.getElementById("helpIframe").style.height = parseInt(height - document.getElementById("helpIframe").offsetTop - 8) + "px";
        }
	}

	Event.observe(window, 'load', function() {
		resize_iframe();
	});

	Event.observe(window, 'resize', function() {
		resize_iframe();
	});
	// ]]>
    </script>

	<style type="text/css">

	/* Overrides */

	html, body {
		height: 100%;
	}

	body {
		font-family: verdana,arial,sans-serif;
		font-size:0.75em;
	}

	#container {
		min-height: 100%;
	}

	</style>

</head>
<body class="help-panel-background">
<div id="container">

	<div id="toolBar" class="help-panel-toolbar">
		<button class="refresh-panel" onclick="javascript:refreshHelpWindow();" type="button"> </button>
		<button class="print-panel" onclick="javascript:window.print();" type="button"> </button>
		<button class="remove-panel" onclick="javascript:window.close();" type="button"> </button>
	</div>
	<div id="toolBarTitle"></div>
	<?php
    echo $help->buildTocHtmlFromArray($help->buildTocArray());
    include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/dialogs/help/sharedHelp.php');
    include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/footer_popup.php');
