<?php
/**
 * Project:     WCM
 * File:        $Id: properties.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

$sysobject = wcmMVC_Action::getContext();

echo '<div class="zone">';
wcmGUI::openCollapsablePane(_CONNECTOR);
wcmGUI::openFieldset(_PROPERTIES);
echo '<p class="warning">' . _CONNECTOR_WARNING . '</p>';

if ($sysobject->reference == 'biz' && $sysobject->id > 0)
{
    $attrs['disabled'] = 'disabled';
}
$attrs['class'] = 'type-req';
wcmGUI::renderTextField('reference', $sysobject->reference, _REFERENCE . ' *', $attrs);

wcmGUI::renderTextField('name', $sysobject->name, _NAME . ' *', array('class' => 'type-req'));
wcmGUI::renderTextField('connectionString', $sysobject->connectionString, _CONNECTION_STRING . ' *', array('class' => 'type-req'));
wcmGUI::renderTextField('tablePrefix', $sysobject->tablePrefix, _TABLE_PREFIX . ' *', array('class' => 'type-req'));
wcmGUI::closeFieldset();
wcmGUI::closeCollapsablePane();
echo '</div>';