<?php
/**
 * Project:     WCM
 * File:        $Id: properties.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */
$project   = wcmProject::getInstance();
$config    = wcmConfig::getInstance();
$session   = wcmSession::getInstance();
$sysobject = new wcmUser($project, $session->userId);

echo '<div class="zone">';
wcmGUI::openCollapsablePane(_MY_PREFERENCES);
wcmGUI::openFieldset(_GENERAL);
wcmGUI::renderTextField('name', $sysobject->name, _NAME . ' *', array('class' => 'type-req'));
wcmGUI::renderTextField('login', $sysobject->login, _LOGIN, array('readonly' => 'readonly'));
wcmGUI::renderPasswordField('passwordOld', null, _OLD_PASSWORD);
wcmGUI::renderPasswordField('password', null, _NEW_PASSWORD);
wcmGUI::renderPasswordField('passwordValidation', null, _VALIDATE_NEW_PASSWORD);
wcmGUI::renderTextField('nip', $sysobject->nip, _NIP, array('class' => 'type-nip'));
wcmGUI::closeFieldset();
wcmGUI::openFieldset(_ADDITIONAL_EMAILS);
$opEmails = (isset($sysobject->optionalEmails)) ? $sysobject->optionalEmails : '';
wcmGUI::renderListField('optionalEmails', $opEmails);
wcmGUI::closeFieldset();
wcmGUI::closeCollapsablePane();
echo '</div>';
