<?php
/**
 * Project:     WCM
 * File:        $Id: openid.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

$project = wcmProject::getInstance();
$config  = wcmConfig::getInstance();
$sysobject = wcmMVC_Action::getContext();


echo '<div class="zone">';
wcmGUI::openCollapsablePane(_OPENID_HEADER);

$query = 'SELECT id, openid FROM wcm_openid WHERE user_id=:userid';
$db = $project->database;
$result = $db->executeQuery($query, array('userid'=>$sysobject->id));


$openids = array();
if ($result)
{
    while ($row = $result->next())
    {
        $openids[$row['id']] = $row['openid'];
    }
}

wcmGUI::openFieldset(_OPENID_HEADER);
wcmGUI::renderListField('openid_resources', $openids);
wcmGUI::closeFieldset();

wcmGUI::closeCollapsablePane();
echo '</div>';
