<?php
/**
 * Project:     WCM
 * File:        $Id: cmf.debugController.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     cmf-system-api
 * @version     4.x
 */

/**
 * The default controller. It's job is to render a view
 * using the requested controller name.
 */
class cmfDebugController extends cmfController
{
    public function always()
    {
    }
    
    public function before()
    {
    }
    
    public function on()
    {
    }
    
    public function after()
    {
    }

    public function onLoadCmfBlock()
    {
        $request = $this->getRequest();
        require($this->computeBlockPath($request['blockName'] . '.php'));
    }

    public function onLoadWcmBlock()
    {   
        $code = cmfToolbox::getArrayParameter($this->getRequest(), 'code');
        $context = cmfToolbox::getArrayParameter($this->getRequest(), 'context', array());
        $mode = cmfToolbox::getArrayParameter($this->getRequest(), 'mode');
        $this->loadBlock($this->generateWcmBlock($code, cmfFrontDispatcher::MODE_PREVIEW, $context, $mode));
    }

    public function offsetGet($key)
    {
        return $key;
    }

    public function renderView()
    {
        return true;
    }
}
