<?php
/**
 * Project:     WCM
 * File:        $Id: debug.php 8448 2010-02-22 20:29:50Z guilbaultm $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     cmf-www-sampleapp
 * @version     4.1.5
 */

// Initialize the application API.
require('../initApi.php');

// Create the MVC dispatcher and dispatch the request.
$dispatcher = new cmfFrontDispatcher(
    CMF_DEFAULT_VIEW, 
    new cmfAppContainer()
);
$dispatcher->setRequest($_REQUEST);
$dispatcher->dispatch();

// Display the debug bar.
cmsDebugBar::display(
    array(
        'cmsDebugProfile',
        'cmsDebugIncludeFile',
//        'cmsDebugInfos',
        'cmsDebugQuery',
        'cmsDebugBlocks'
    )
);
