<?php
/**
 * Project:     CMF 
 * File:        configuration-CHANGE-ME.php
 *
 * @copyright   (c)2009 Nstein Technologies
 * @version     1.0
 */

// Application URL
define('CMF_APPLICATION_URL', '/');

// Path for autoload manager.
define('AUTOLOAD_SAVE_PATH', sys_get_temp_dir());

// WCM REST API URL
define('WCM_REST_URL', 'http://wcm-rest.nstein.dev');

// CMF sample app media manager REST API URL
define('MEDIA_MANAGER_REST_URL', 'http://cmf-mm-rest.nstein.dev/');

// WCM media manager REST API URL (use in preview mode).
define('PREVIEW_MEDIA_MANAGER_REST_URL', 'http://wcm-mm-rest.nstein.dev/');

// Directory of customs views
define('CMF_VIEW_DIR',  APP_DIR . 'private/views/pages/');

// Directory of the customs blocks
define('CMF_BLOCK_DIR', APP_DIR . 'private/views/blocks/');

// Define the default view.
define('CMF_DEFAULT_VIEW', CMF_VIEW_DIR . 'home.php');

// Path used by block cache.
define('CACHE_SAVE_PATH', sys_get_temp_dir() . '/');

// Username & password for the WCM generation service.
define('WCM_WS_LOGIN',  'admin');
define('WCM_WS_PASSWORD', 'admin');
