<?php

/**
 * The directory where the autoload manager
 * will cache the class map files.
 */
define('AUTOLOAD_SAVE_PATH', sys_get_temp_dir());

// Views directory for media manager REST API.
define('CMF_VIEW_DIR',  APP_DIR . '/private/views/');

// The path to the default view.
define('CMF_DEFAULT_VIEW', CMF_VIEW_DIR . 'default.php');

// Image management configuration.
define('MEDIA_IMAGE_ORIGINAL_DIR', APP_DIR . 'data/originals/');
define('MEDIA_IMAGE_THUMB_DIR', APP_DIR . 'data/thumbnails/');
define('MEDIA_PATH_ALGORITHM_BASE', 10);
define('MEDIA_PATH_ALGORITHM_BLOCK_SIZE', 2);
define('MEDIA_LOGIN', 'nstein');
define('MEDIA_PASSWORD', 'nstein');
define('MEDIA_IMAGE_TIME_TO_LIVE', 60 * 60 * 24 * 7);
define('MEDIA_WCM_PHOTO_FORMAT_URL', APP_DIR . '../conf/backoffice/photosratios/default.xml');

// Image database configuration.
define('MEDIA_DB_HOST', 'localhost');
define('MEDIA_DB_USERNAME', 'root');
define('MEDIA_DB_PASSWORD', 'root');
define('MEDIA_DB_NAME', 'meister_biz');
define('MEDIA_DB_TABLE', 'images');