<?php

error_reporting(E_ALL | E_STRICT);

require_once 'PHPUnit/Framework.php';
require_once(dirname(__FILE__) . '/Tests/authorizationTest.php');
require_once(dirname(__FILE__) . '/Tests/contentTest.php');
require_once(dirname(__FILE__) . '/Tests/generationTest.php');
require_once(dirname(__FILE__) . '/Tests/indexTest.php');
require_once(dirname(__FILE__) . '/Tests/permissionTest.php');
require_once(dirname(__FILE__) . '/Tests/photoTest.php');
require_once(dirname(__FILE__) . '/Tests/searchTest.php');
require_once(dirname(__FILE__) . '/Tests/sessionTest.php');
require_once(dirname(__FILE__) . '/Tests/workflowTest.php');

class AllTests
{
    public static function suite()
    {
        $suite = new PHPUnit_Framework_TestSuite();

        // The tests must be run in this order
        $suite->addTestSuite('sessionTest');
        $suite->addTestSuite('contentTest');
        $suite->addTestSuite('workflowTest');
        $suite->addTestSuite('authorizationTest');
        $suite->addTestSuite('generationTest');
        $suite->addTestSuite('searchTest');
        $suite->addTestSuite('indexTest');
        $suite->addTestSuite('permissionTest');
        $suite->addTestSuite('photoTest');

        return $suite;
    }
}