<?php

/*
Howto:
$ cd c:\bin\selenium-remote-control-1.0.1\selenium-server-1.0.1\
$ java -jar selenium-server.jar
$ cd /path/to/tests/
$ phpunit .

Docs:
http://www.phpunit.de/manual/3.1/en/selenium.html
http://seleniumhq.org/docs/04_selenese_commands.html
http://release.seleniumhq.org/selenium-core/1.0.1/reference.html
*/

// Base URL for the site
$CONFIG['BROWSER_URL'] = 'http://localhost/wcm-dev/wcm-www-backoffice/system/public/';

// Valid Connection String To An Existing Database, PEAR DSN syntax.
$CONFIG['CONNECTOR'] = 'mysql://root:root@localhost:3306/wcmdev_biz';

// Username
$CONFIG['USERNAME'] = 'admin';

// Password
$CONFIG['PASSWORD'] = 'admin';

// Selenium Server To Use
$CONFIG['SELENIUM_SERVER'] = 'localhost';

// Selenium Port To Use
$CONFIG['SELENIUM_PORT'] = 4444;

// Browser to test in, examples:
// *firefox, *iexplore, *chrome, *safari, [...]
$CONFIG['BROWSER'] = '*firefox';

