<?php
/**
 * Project:     WCM
 * File:        $Id: biz.video.php 9145 2010-02-25 19:09:52Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-business-api
 * @version     4.1.5
 */

/**
 * This class represents a basic item of the website
 * An item can be public/private/protected and downloadable
 */
class video extends bizobject
{
    /**
     * Site Id 
     * @var int
     */
    public $siteId;

    /**
     * Channel Id 
     * @var int
     */
    public $channelId;

    /**
     * title 
     * @var string
     */
    public $title;

    /**
     * description 
     * @var string
     */
    public $description;

    /**
     * thumbnail 
     * @var string
     */
    public $thumbnail;

    /**
     * duration 
     * @var string
     */
    public $duration;

    /**
     * rights 
     * @var string
     */
    public $rights;

    /**
     * url 
     * @var string
     */
    public $url;

    /**
     * template Id
     * @var templateId
     */
    public $templateId;


    public function ofClause($of)
    {
        if (null === $of || !is_array($of))
        {
            return;
        }

        $sql = null;

        foreach ($of as $key => $value)
        {
            switch ($key)
            {
                case 'site':
                    if (null !== $sql)
                    {
                        $sql .= ' AND ';
                    }
                    $sql .= 'siteId=' . $value;
                    break;

                case 'channel':
                    if (null !== $sql)
                    {
                        $sql .= ' AND ';
                    }
                    $sql .= 'channelId=' . $value;
                    break;
                case 'id':
                    if (null !== $sql)
                    {
                        $sql .= ' AND ';
                    }
                    $sql .= 'id=' . $value;
                    break;
            }
        }
        return $sql;
    }
}
