<?php
/**
 * Project:     WCM
 * File:        $Id: main.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */
$config = wcmConfig::getInstance();
// retrieve plugin className
$plugin = getArrayParameter($params, 'plugin');

// prepare start button
$start = '<ul><li><a href="#" id="'.$plugin.'_startImport">' . _START_IMPORT . '</a></li></ul>';

echo '<div class="zone">';

wcmGUI::openForm($plugin . '_importForm', 'ajax/controller.php?view=dialogs/import', '', array('target'=>'importLog', 'class' => 'mainForm'));
wcmGUI::renderHiddenField('plugin', $plugin);
wcmGUI::openCollapsablePane($params['description'], true, $start);

wcmGUI::openFieldset(_BIZ_IMPORT_FILE_LOCATION);
wcmGUI::renderTextField($plugin . '_sourceFolder', WCM_DIR . '/' . wcmImportPhotos::DEFAULT_ROOTFOLDER, _BIZ_IMPORT_SOURCE_FOLDER. ' *', array('class' => 'type-req'));
wcmGUI::closeFieldset();

wcmGUI::closeForm();
echo '</div>';

?>

<script language="javascript" type="text/javascript">
function on_<?php echo $plugin;?>StartImport(){

	var frmValidator = new WCM.FormValidator("<?php echo $plugin;?>_importForm");
	if (!frmValidator.checkFields()){
		wcmMessage.error($I18N.INVALID_OR_MISSING_FIELDS);
		frmValidator.stopObserving();
		return false;
	}

	window.open('', 'importLog',
	'resizable=disallow,scrollbars=1,location=0,status=1,toolbar=0,width=800,height=400');
	document.<?php echo $plugin;?>_importForm.submit();
	return true;
}

$('<?php echo $plugin;?>_startImport').observe('click', on_<?php echo $plugin;?>StartImport);
</script>

<?php
