<?php
/**
 * Project:     WCM
 * File:        $Id: form.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

$config = wcmConfig::getInstance();
$configFile = $config['wcm.plugins.search.config'];
$searchConfig = new wcmSearchConfig($configFile);

$context = $params[0];          // from wcmModule() call
$formName = $context->name . ucfirst($context->pageType) . 'Form';
$sortedBy = $context->sortedBy;

// Always generate this form using the following values
$options = $context->options;
$options['_wcmAction'] = 'business/search';
$options['_wcmTodo'] = 'initSearch';
$options['paramPrefix'] = $searchConfig->getDefaultParameterPrefix();

wcmFormGUI::openForm($formName, $config['wcm.backoffice.url']);
wcmFormGUI::renderHiddenField('search_sortedBy', $sortedBy);
foreach ($options as $name => $value)
{
    wcmFormGUI::renderHiddenField($name, $value);
}
?>
<div id="<?php echo $formName; ?>Header">
<?php
echo $searchConfig->designSearchForm(
    $context->configId,
    $context->pageType,
    $context->params,
    $options
);
?>
</div>
<?php
wcmFormGUI::closeForm();
