<?php
/**
 * Project:     WCM
 * File:        $Id: result.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

$config = wcmConfig::getInstance();
$configFile = $config['wcm.plugins.search.config'];
$searchConfig = new wcmSearchConfig($configFile);

$context = $params[0];          // from wcmModule() call
if (isset($context->items))
{    
$resultName = $context->name . ucfirst($context->pageType) . 'Result';
?>
<div id="<?php echo $resultName; ?>">
<?php
$view = $searchConfig->getView($context->configId, $context->pageType, $context->viewName);
$templateId = 'search/views/' . $view->template;
$templateGenerator = new wcmTemplateGenerator(wcmProject::getInstance());
$template = new wcmTemplate();
$template->refresh($templateId);
echo $templateGenerator->executeTemplate(
    $template,
    array('searchConfig' => $searchConfig, 'searchContext' => $context)
);
?>
</div>
<?php 
} 
else 
{
    echo _EMPTY_RESULTSET;
}
