<?php
/**
 * Project:     WCM
 * File:        $Id: content.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */
$bizobject = wcmMVC_Action::getContext();
$channels = channel::getChannelHierarchy();

echo '<div class="zone">';

wcmGUI::openCollapsablePane(_BIZ_CONTRIBUTIONS);

$templateId = 'backend/contribution.tpl';
$generator = new wcmTemplateGenerator();
$params = array();
$params['params']['object'] = $bizobject;
$params['params']['orderBy'] = 'createdAt ASC';
$params['params']['source'] = 'contribution';
$params['params']['from'] = 0;
$params['params']['limit'] = null;
$params['params']['fields'] =
array('title' => _BIZ_TEXT, 'workflowState' => _BIZ_WORKFLOW_STATE);
$params['params']['where'] = 'referentId = ' . $bizobject->id . ' AND referentClass=\'' . $bizobject->getType() . '\'';

$template = new wcmTemplate();
$template->refresh($templateId);
echo $generator->executeTemplate($template, $params);

wcmGUI::closeCollapsablePane();
