<?php
/**
 * Project:     WCM
 * File:        $Id: content.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */
$bizobject = wcmMVC_Action::getContext();
$choices = $bizobject->getPollChoices();
if (!$choices)
{
    $choices = array(wcmObjectFactory::create('pollChoice'));
}

echo '<div class="zone">';

wcmModule('business/shared/metacontent');

wcmGUI::openCollapsablePane(_BIZ_POLL_QUESTION, true);
wcmGUI::openFieldset();
wcmGUI::renderTextArea('text', $bizobject->text, _BIZ_POLL_QUESTION_TEXT . ' *', array('class' => 'type-req'));
wcmGUI::closeFieldset();
wcmGUI::closeCollapsablePane();

echo '<div id="pages" style="clear: both;">';
foreach ($choices as $choice)
{
    wcmModule('business/ugc/poll/choice', array('choice' => $choice));
}
echo '</div>';

echo '</div>';
