<div class="overview" id="left">
    <div id="overview_meta-content">
        {wcm name="include_template" file="overview/shared/metacontent.tpl"}
    </div>
    
    <div id="overview_meta-information">
        {wcm name="include_template" file="overview/shared/metainformation.tpl"}
    </div>
    
    <div id="overview_content2">
        <h4>{'_BIZ_CONTENT'|constant}</h4>
        <dl>
            {if $bizobject.type}
                <dt>{'_BIZ_ITEM_TYPE'|constant}</dt>
                <dd>{$bizobject.type}</dd>
            {/if}
            
            {if $bizobject.accessTypes}
                <dt>{'_BIZ_ACCESS_TITLE'|constant}</dt>
                {foreach from=$bizobject.accessTypes item=access key=k}
                {if $k eq $bizobject.access}
                    <dd>{$access}</dd>
                {/if}
                {/foreach}
            {/if}
            
            {if $bizobject.location}
                <dt>{'_BIZ_LOCATION'|constant}</dt>
                <dd>{$bizobject.location}</dd>
            {/if}
            
            {if $bizobject.text}
                <dt>{'_BIZ_TEXT'|constant|strip_tags}</dt>
                <dd>{$bizobject.text}</dd>
            {/if}
        </dl>

    </div>
</div>

<div class="overview" id="right">
    <div id="lifecycle">
        {wcm name="include_template" file="overview/shared/lifecycle.tpl"}
    </div>

    {if $bizobject.source OR $bizobject.sourceId OR $bizobject.sourceVersion OR $bizobject.publication OR $bizobject.issue OR $bizobject.pageNumber}
    <div id="source">
        {wcm name="include_template" file="overview/shared/source.tpl"}
    </div>
    {/if}
    
    {if $bizobject.relations}
    <div id="relations">
        {wcm name="include_template" file="overview/shared/relations.tpl"}
    </div>
    {/if}
    
    {if $bizobject.contributionState or $bizobject.moderationKind}
    <div id="contributions">
        {wcm name="include_template" file="overview/shared/community.tpl"}
    </div>
    {/if}
</div>