<?php
/**
 * Project:     WCM
 * File:        $Id: 3-columns.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

$config = wcmConfig::getInstance();
$configFile = $config['wcm.plugins.search.config'];
$searchConfig = new wcmSearchConfig($configFile);

$view = $searchConfig->getView($context->configId, $context->pageType, $context->viewName);
$css = $config['wcm.backOffice.url'] . $view->css;
?>
<div>
    <link rel="stylesheet" type="text/css" href="<?php echo $css; ?>" />
    <table width="100%">
        <tr>
            <td valign="top">
                <?php wcmModule('business/search/resultPage/leftColumn', array($context)); ?>
            </td>
            <td valign="top" width="100%">
                <?php wcmModule('business/search/resultPage/middleColumn', array($context)); ?>
            </td>
            <td valign="top">
                <?php wcmModule('business/search/resultPage/rightColumn', array($context)); ?>
            </td>
        </tr>
    </table>
</div>
