<?php
/**
 * Project:     WCM
 * File:        $Id: sampleContent.class.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

class wcmInstallInstructions_sampleContent extends wcmInstall_instruction
{
    /**
     * Constructor
     */
    public function __construct()
    {
        $this->description = 'Installing sample content';
    }

    /**
     * Process the instruction.
     * @return bool True on success.
     */
    public function processInstruction()
    {
        $session = wcmInstall_session::getInstance();
        $insConf = $session->getConfig();

        try
        {
            $dsn = $session->getWcmConfigValue('config_wcm_systemDB_connectionString');
            $dsn = str_replace('_sys', '_biz', $dsn);
            $session->log('Connecting to: ' . $dsn);

            $dsnParts = parse_url($dsn);

            $host = empty($dsnParts['port']) ? $dsnParts['host'] : $dsnParts['host'] . ':' . $dsnParts['port'];

            $conn = mysql_connect($host, $dsnParts['user'], $dsnParts['pass']);
            if (!$conn)
            {
                throw new Exception(mysql_error($conn));
            }

            if (!mysql_select_db(str_replace('/', '', $dsnParts['path']), $conn))
            {
                throw new Exception(mysql_error($conn));
            }

            $sql = SQLStatementExtractor::extractFile('./sql/mysql/sampleBizInstall.sql');
            $session->log('Installing sample content');
            foreach ($sql as $query)
            {
                if (!mysql_query($query, $conn))
                {
                    throw new Exception(mysql_error($conn));
                }
            }

            mysql_close($conn);
            unset($conn);

            return true;
        }
        catch (Exception $e)
        {
            $session->log('Error creating tables: ' . $e->getMessage());
            return false;
        }
    }
}