<?php
/**
 * Project:     WCM
 * File:        $Id: managelist.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */
 $session = wcmSession::getInstance();
 $config = wcmConfig::getInstance();

 $classname	= getArrayParameter($params, 'classname', null);

 $object = wcmObjectFactory::create($classname);
 $object->beginEnum(' userId = \'' . $session->userId . '\'', null, null, null, null);
 ?>
 <div class="zone saved-searches">
 <?php wcmGUI::openCollapsablePane(_MENU_USER_SAVED_SEARCHES);?>
 <div id="mylist" class="tabular-presentation">
  <table>
    <tr id="head">
        <th class="actions"></th>
        <th><?php echo _BIZ_NAME;?></th>
        <th><?php echo _BIZ_SHARED;?></th>
        <th><?php echo _BIZ_SHOW_UI;?></th>
    </tr>

<?php
while ($object->nextEnum())
{
?>
 	<tr id="_nlsub_<?php echo $object->id;?>">
    	<td class="actions">
            <ul class="two-buttons">
                <li><a class="edit" title="<?php echo _EDIT; ?>" href="#" onclick="editMySavedSearches('<?php echo $classname;?>','<?php echo $object->id;?>')"><span><?php echo _BIZ_EDIT; ?></span></a></li>
                <li><a class="delete" title="<?php echo _DELETE; ?>" href="#" onclick="deleteMySavedSearches('<?php echo $classname;?>','<?php echo $object->id;?>');"><span><?php echo _BIZ_DELETE; ?></span></a></li>
            </ul>
        </td>
        <td>
        	<p id="name_<?php echo $object->id; ?>"><a href="<?php echo $config['wcm.backOffice.url'] . '?' . $object->url; ?>"><?php echo $object->name;?></a></p>
        	<p id="description_<?php echo $object->id; ?>"><?php echo $object->description;?></p>
        </td>
        <td class="checkbox">
            <ul>
                <li>
                <input type="checkbox" name="shared_<?php echo $object->id ?>" id="shared_<?php echo $object->id ?>"
                       <?php
                       if ($object->shared){
                           echo 'checked="checked"';
                       }
                       ?>
                       onclick="manageMySavedSearches('updateshared','<?php echo $classname;  ?>','<?php echo $object->id; ?>', this.checked);" />
                </li>
            </ul>
        </td>
        <td class="checkbox">
            <ul>
                <li>
                <input type="checkbox" name="showui_<?php echo $object->id ?>" id="showui_<?php echo $object->id ?>"
                       <?php
                       if (in_array($session->userId, ($object->showui == null) ? array() : $object->showui))
                       {
                           echo 'checked="checked"';
                       }
                       ?>
                       onclick="manageMySavedSearches('updateshowui','<?php echo $classname;  ?>','<?php echo $object->id; ?>', this.checked);" />
                </li>
            </ul>
        </td>
    </tr>
 <?php
 }
 ?>
 </table>
 <?php   wcmGUI::closeCollapsablePane();?>
 </div>
 <?php
    $db = wcmProject::getInstance()->database;
    $config = wcmConfig::getInstance();
    $tprefix = $config['wcm.systemDB.tablePrefix'];
    $classnametable = 'user_savedsearch';
    $query = 'SELECT ' . $tprefix . $classnametable . '.*, ' . $tprefix . 'user.name as authorname FROM ' . $tprefix . 'user, ' . $tprefix . $classnametable . ' WHERE ' . $tprefix . $classnametable . '.userId = ' . $tprefix . 'user.id AND ' .  $tprefix . $classnametable . '.shared = \'1\' AND ' . $tprefix . $classnametable . '.userId != \'' . $session->userId . '\'';
    $rs = $db->executeQuery($query);
 ?>
 <?php wcmGUI::openCollapsablePane(_BIZ_SHARED);?>
 <div id = "sharedlist" class="tabular-presentation">
  <table>
    <tr id="head">
        <th class=""><?php echo _BIZ_NAME;?></th>
        <th class=""><?php echo _WEB_AUTHOR;?></th>
        <th class=""><?php echo _BIZ_SHOW_UI;?></th>
    </tr>

 <?php
 while ($result = $rs->next())
 {
 ?>
 	<tr id="_nlsub_<?php echo $result['id'];?>">

        <td>
            <p><a href=""><a href="<?php echo $config['wcm.backOffice.url'] . '?' . $result['url']; ?>"><?php echo $result['name'];?></a></p>
        	<p><?php echo $result['description'];?></p>
        </td>
        <td><p><?php echo $result['authorname'];?></p></td>
        <td class="checkbox">
            <ul>
            <?php wcmformGUI::renderBooleanField('showui_' . $result['id'], in_array($session->userId, ($result['showui'] == null) ? array() : unserialize($result['showui'])), '', array('onclick' => 'javascript:manageMySavedSearches(\'updateshowui\',\'' . $classname . '\',\'' . $result['id'] . '\', this.checked );'));?>
            </ul>
        </td>
    </tr>
 <?php
 }
 ?>
 </table>
 </div>
 <?php   wcmGUI::closeCollapsablePane();?>

 </div>

