<?php
/**
 * Project:     WCM
 * File:        $Id: preferences.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */
$project = wcmProject::getInstance();
wcmMVC_Action::execute('preferences');
$sysobject = wcmMVC_SysAction::getContext();

include('includes/header.php');
wcmGUI::renderObjectMenu(true, array('lock', 'delete', 'checkin', 'checkout'));

echo '<div id="treeview">';
try
{
    $tabs = new wcmAjaxTabs('navigation', true);
    $tabs->addTab('tabs.history.preferences', _HISTORY, true, wcmGUI::renderObjectHistory());
    $tabs->render();
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
echo '</div>';

echo '<div id="content">';
wcmGUI::openObjectForm($sysobject);
try
{
    $tabs = new wcmAjaxTabs('article', true);
    $tabs->addTab('tabs.mypreferences.preferences', _MY_PREFERENCES, false, null, wcmModuleURL('system/membership/preferences/properties'));
    $tabs->render();
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
wcmGUI::closeForm();
echo '</div>';
include('includes/footer.php');
