<?php
/**
 * Project:     WCM
 * File:        $Id: index.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     cmf-www-mediaManager-restws
 * @version     4.x
 */

/**
 * This is the entry point of all requests to the
 * media manager REST API .
 */
// Initialize the application API.
try
{
    require('../initApi.php');
    // Create the MVC dispatcher & dispatch request.
    $dispatcher = new cmfFrontDispatcher(
         CMF_DEFAULT_VIEW,
         new cmfAppContainer()
            );
    $dispatcher->setRequest($_REQUEST);
    $dispatcher->dispatch();
}
catch (Exception $e)
{
    header($_SERVER['SERVER_PROTOCOL'] . ' 500 Internal Error');
    echo $e->getMessage();
}    
