<?php

class cmsDebugQuery {

    public static $querys = array();

    public static function getTitle()
    {
        $c = count(self::$querys);
        return '<span class="orange">'.$c.' query'.($c>1?'s':'').'</span><br />Executed';
    }

    public static function display()
    {
    echo '<div style="overflow-y:scroll;height:300px;width:440px;">';
    echo '<table style="font-size:0.8em;width: 100%;"><thead><tr><td class="bgblue">Nb</td><td class="bgorange">Query</td></tr></thead>';
        echo '<tr><td colspan="2" style="background:black;color:white;text-align:center;font-weight:bold;">Query sent by WCM</td></tr>';
        $cpt = 0;
        foreach(self::$querys as $infos)
        {
            echo '<tr><td>' . ++$cpt . '</td><td>';

            /** In the future, we can add a link that will execute the query itself
             *  Meanwhile, this code is commented
             */
            // echo '<a href="executeQuery?sql=' .  $infos[0];
            // if($infos[1])
            //        echo '&params=' . $infos[1];
            // echo '" target="_new">';

            echo $infos[0];

            // echo '</a>';

            if($infos[1])
            {
                echo ' with parameters : ';
                print_r($infos[1]);
            }
            echo '</td></tr>';
        }

        $log = '/tmp/mysql.log';
        if (is_readable($log))
        {
            echo PHP_EOL . PHP_EOL;
            echo '<table style="width: 100%;"><thead><tr><td class="bgblue">Nb</td><td class="bgorange">Query</td></tr></thead>';
            echo '<tr><td colspan="2">Mysql Log</td></tr>';
            $offset = filesize($log) - 8192;
            if ($offset < 0) $offset = 0;
            echo file_get_contents($log, 0, null, $offset);
        }

    echo '</table></div>';
    }

    public static function add($query, $params = array())
    {
        self::$querys[] = array($query, $params);
    }
}
