<?php

class video extends bizobject
{
    public $siteId;
    public $title;
    public $description;
    public $code;
    public $templateId;


    public function checkValidity()
    {
        if (!parent::checkValidity())
        {
            return false;
        }

        if ($this->description && strlen($this->description) < 20)
        {
            $this->lastErrorMsg = "Description too small";
            return false;
        }

        return true;
    }

    public function getAssoc_html($toXml = false)
    {
        if ($toXml)
        {
            return null;
        } else {
            return '<b>' . $this->code . '</b>';
        }
    }

    public function ofClause($of)
    {
        if (!$of || !is_array($of))
        {
            return null;
        }

        $sql = null;
        foreach ($of as $key => $value)
        {
            switch ($key)
            {
                case 'id':
                    if ($sql)
                    {
                        $sql .= ' AND ';
                    }
                    $sql .= 'id=' . $value;
                    break;
            }
        }
        return $sql;
    }
}
