<?php
/**
 * Project:     WCM
 * File:        $Id: widget.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-business-api
 * @version     4.x
 */

/**
 *  Widget
 *
 */

class wcmWidgetNsteinChannelArticles extends wcmWidget
{

    /**
     * Get the label
     * @return string Label
     */
    public function getLabel()
    {
        return _BIZ_LAST_ARTICLES;
    }

    /**
     * Get the display settings
     * @return string Generated HTML
     */
    public function displaySettings()
    {
        return false;
        $list = range(0, 10);
        $html = 'Item Count : <select name="nb">' . renderHtmlOptions($list, (int)getArrayParameter($this->settings, 'nb', 5), false) . '</select>';
        return $html;
    }

    /**
     * Save a photo
     * @param array $argIdentifiers Identifiers array
     * @param int $argValue Destination ID
     */
    public function savePhoto($argIdentifiers, $argValue)
    {
        $enum = new wcmEnumeration('bizrelation', 'sourceId=' . $argIdentifiers[0] . ' AND sourceClass="article" AND destinationId=' . $argIdentifiers[1] . ' AND destinationClass="photo"');
        foreach ($enum as $relation)
        {
            $relation->destinationId = $argValue;
            $relation->save();
            break;
        }
    }
}

