<?php
/**
 * Project:     WCM
 * File:        wcm.vbulletin.php
 *
 * @copyright   (c)2008 Nstein Technologies
 * @package     WCM
 * @version     4.x
 *
 */

/**
 * vBulletin class
 */
class wcmVB
{
    /**
     * Rest connection
     *
     * @var wcmRestForPlugins
     */
    private $rest;

    /**
     * Configuration
     * @var wcmConfig
     */
    private $config;

    /**
     * Constructor
     */
    public function __construct()
    {
        $config = wcm_getConfig();
        $this->rest = new wcmRestForPlugins(
                $config['wcm-url'],
                $config['wcm-username'],
                $config['wcm-password']
                );
        $this->config = $config;
    }

    /**
     * Get the rest class
     *
     * @return wcmRestForPlugins Rest class
     */
    public function getSomeRest()
    {
        return $this->rest;
    }
}
