<?php
/**
 * Project:     WCM
 * File:        $Id: biz.import.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

switch ($_REQUEST['command'])
{
    case 'jit':
        $id = $_REQUEST['id'];

        $idParts = explode('_', $id);

        $classParts = explode('-', $idParts[0]);
        $class = array_pop($classParts);

        if ($_SESSION['wcm']['tmpObjects'][$id]['importPlugin'])
        {
            $import = new $_SESSION['wcm']['tmpObjects'][$id]['importPlugin'];
            $obj = $_SESSION['wcm']['tmpObjects'][$id];

            if ($obj instanceof wcmObject)
            {
                $bo = $import->importFromObject($obj);
            }
            else
            {
                $bo = $import->importFromXML($obj);
            }
            return ($bo->id) ? $bo->id : 0;
        }
        else
        {
            if ($_SESSION['wcm']['tmpObjects'][$id] instanceof wcmObject)
            {
                $bo = $_SESSION['wcm']['tmpObjects'][$id];
            }
            else
            {
                $bo = wcmObjectFactory::create($class);
                $bo->initFromXML($_SESSION['wcm']['tmpObjects'][$id]);
            }
            $bo->versionNumber = 1;
            $bo->id = null;

            if ($bo->save())
            {
                echo $bo->id;
            }
            else
            {
                $log = wcmProject::getInstance()->logger;
                $log->logError($bo->getErrorMsg());
                echo '0';
            }
        }
        break;
}
