<?php
/**
 * Project:     WCM
 * File:        $Id: tme_abstract.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

$input = strip_tags($params['input']);
$targetid = $params['targetid'];

$session = wcmSession::getInstance();
$config = wcmConfig::getInstance();

// load object related site
$site = new site(null, $session->getSiteId());
$tme = new wcmSemanticServer($config['tme.server'], $config['tme.port']);
$methods = array('NSummarizer');
$sdata = $tme->mineText($input, 'owi92', $session->getLanguage(), $methods);

if (null === $sdata)
{
    echo '<script>wcmModal.showOk(wcmModal.title,\'' . addslashes(_BIZ_TME_PROCESSING_FAILED) . '\');</script>';
}
else
{
    ?>
    <p>
        <textarea id="summary" cols="44" rows="8">
            <?php echo $sdata->summary;?>
        </textarea>
    </p>

    <ul class="toolbar">
        <li><a href="#" onclick="closemodal(); return false;" class="cancel"><?php echo _BIZ_CANCEL;?></a></li>
        <li><a href= "#" onclick="tinyMCE.get('<?php echo $targetid;?>').setContent(document.getElementById('summary').value); closemodal(); return false;" class="save"><?php echo _BIZ_REPLACE;?></a></li>
    </ul>

    <br class="cross-browser-fix"/>
<?php
}
