<?php
/**
 * Project:     WCM
 * File:        $Id: inboundLinks.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

$bizobject = wcmMVC_Action::getContext();
$relations = bizrelation::getBizobjectInboundRelations($bizobject);
$generator = new wcmTemplateGenerator();

$parameters['params']['fields'] = array(_BIZ_TITLE, _BIZ_PUBLICATIONDATE);
echo '<div class="tabular-presentation">';
$links = array();
foreach ($relations as $relation)
{
    $newBizobject = wcmObjectFactory::create($relation['sourceClass'], $relation['sourceId']);
    $date = (isset($newBizobject->publicationDate)) ? $newBizobject->publicationDate : ' -- ';
    $links[$date][] = array(
        'title'=> $newBizobject->title,
        'class'=> $relation['sourceClass'],
        'id'=> $newBizobject->id
    );
}
krsort($links);
$parameters['links'] = $links;

$templateId = 'dashboard/db.inboundLinks.tpl';
$template = new wcmTemplate();
$template->refresh($templateId);
echo $generator->executeTemplate($template, $parameters);
echo '</div>';
