<div class="overview" id="left">
    <div id="overview_meta-content">
        {wcm name="include_template" file="overview/shared/metacontent.tpl"}
    </div>
    
    <div id="overview_meta-information">
        {wcm name="include_template" file="overview/shared/metainformation.tpl"}
    </div>
    
    <div id="overview_content2">
        {if $bizobject.composedOf|@count > 0}
            {wcm name="include_template" file="overview/shared/composedOf.tpl"}
        {/if}
        
        {if $bizobject.request}
        <dl>
            <dt>{'_BIZ_QUERY'|constant}</dt>
            {foreach from=$bizobject|@wcm:content:10:null:'title_sort asc' item=object}
                {if $object.className eq 'photo'}
                    <dd class="photo">
                        <p>{$object.title|strip_tags|truncate:50:" [...]"}</p>
                        <img src="{$config.wcm.webSite.url}{$object.thumbnail}" width="{$object.thumbWidth}" height="{$object.thumbHeight}" alt="{$object.title}" title="{$object.title}" />
                    </dd>
                {else}
                    <dd>
                        <p class="{$object.className}">{$object.title} ({$object.id})</p>
                    </dd>
                {/if}
            {/foreach}
        </dl>
        {/if}
    </div>
</div>

<div class="overview" id="right">
    <div id="lifecycle">
        {wcm name="include_template" file="overview/shared/lifecycle.tpl"}
    </div>
    
    {if $bizobject.relations}
    <div id="relations">
        {wcm name="include_template" file="overview/shared/relations.tpl"}
    </div>
    {/if}
</div>