<div class="overview" id="left">
    <div id="overview_meta-content">
        {wcm name="include_template" file="overview/shared/metacontent.tpl"}
    </div>
    
    <div id="overview_meta-information">
    <h4>{'_BIZ_METAINFORMATION'|constant}</h4>
    <dl>
        {if $bizobject.code}
            <dt>{'_BIZ_CODE'|constant}</dt>    
            <dd>{$bizobject.code}</dd>
        {/if}
        {if $bizobject.sender}
            <dt>{'_BIZ_SENDER'|constant}</dt>    
            <dd>{$bizobject.sender}</dd>
        {/if}
        {if $bizobject.from}
            <dt>{'_BIZ_FROM'|constant}</dt>    
            <dd>{$bizobject.from}</dd>
        {/if}
        {if $bizobject.replyTo}
            <dt>{'_BIZ_REPLY_TO'|constant}</dt>    
            <dd>{$bizobject.replyTo}</dd>
        {/if}
    </dl>
    </div>
    
    <div id="overview_content2">
        {if $bizobject.composedOf|@count > 0}
            {wcm name="include_template" file="overview/shared/composedOf.tpl"}
        {/if}
    </div>
</div>

<div class="overview" id="right">
    <div id="lifecycle">
        {wcm name="include_template" file="overview/shared/lifecycle.tpl"}
    </div>
    
    {if $bizobject.subscriptions}
    <div id="subscribers">
    <h4>{'_BIZ_NEWSLETTER_SUBSCRIBERS'|constant}</h4>
    <dl>
        <dt>{'_BIZ_WEBUSERS'|constant}</dt>
        {foreach from=$bizobject.subscriptions item=subscription}
        <dd>
            {$subscription.webuser.firstname} {$subscription.webuser.lastname} ({$subscription.webuser.email}) 
        </dd>
        {/foreach}
    </dl>
    </div>
    {/if}
    
    {if $bizobject.htmlTemplate or $bizobject.textTemplate}
    <div id="templates">
    <h4>{'_BIZ_NEWLETTERS_TEMPLATES'|constant}</h4>
    <dl>
        {if $bizobject.htmlTemplate}
        <dt>{'_BIZ_HTML_TEMPLATE'|constant}</dt>
        <dd>
            {$bizobject.htmlTemplate} 
        </dd>
        {/if}
        {if $bizobject.textTemplate}
        <dt>{'_BIZ_TEXT_TEMPLATE'|constant}</dt>
        <dd>
            {$bizobject.textTemplate}  
        </dd>
        {/if}
    </dl>
    </div>
    {/if}
</div>