<?php
/**
 * Project:     WCM
 * File:        $Id: configFile.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

$session = wcmInstall_session::getInstance();
?>

/**
 * WCM Configuration File
 *
 * This file contains all the configuration options for WCM v3.2
 * It was generated using the WCM Installation Wizard
 *
 * (c) nStein Inc. 2008 to the End of Time
 */

// Set various PHP settings
ini_set('date.timezone','<?php echo $session->getWcmConfigValue('wcmConfig_timezone'); ?>');
ini_set('magic_quotes_gpc','off');

<?php
$config = $session->getWcmConfig();
foreach ($config as $name => $confParams)
{
    echo '/**' . PHP_EOL;
    echo ' *' . $confParams['desc'] . PHP_EOL;
    echo ' */' . PHP_EOL;
    echo '$' . $confParams['name'] . " = '" . $confParams['value'] . "';" . PHP_EOL;
    echo PHP_EOL;

    $session->log('Wrote to config file - param: ' . $confParams['name'] . ' :: value: ' . $confParams['value']);
}
?>
// Smarty exposed constants : add your own!
// The smarty constants is an associative array containing any computed (php) values
// - The array key represents a variable name and the array value the variable value
// - Those constants are accessible within templates through the global $constants (e.g. {$constants.siteUrl})
$wcmConfig_smartyConstants = array('siteUrl' => '<?php echo $session->getWcmConfigValue('wcmConfig_siteUrl'); ?>');