<form action="index.php?step=stepFour" method="POST">
    <input type="hidden" name="product" value="wcm" />
    <input type="hidden" name="process" value="true" />

    <fieldset>
        <legend>MySQL storage setup</legend>

        <ul>
            <li>
                <label>MySQL hostname</label>
                <input type="text" name="db_host" <?php $this->htmlError('db_host'); ?> value="<?php echo $options['db_host']; ?>" id="" size="55" />
            </li>
            <li>
                <label>MySQL port</label>
                <input type="text" id="" name="db_port" <?php $this->htmlError('db_port'); ?> value="<?php echo $options['db_port']; ?>" size="4" />
            </li>
            <li>
                <label>MySQL username</label>
                <input type="text" id="" name="db_username" <?php $this->htmlError('db_username'); ?> value="<?php echo $options['db_username']; ?>" size="35" />
            </li>
            <li>
                <label>MySQL password</label>
                <input type="password" id="" name="db_password" <?php $this->htmlError('db_password'); ?> value="<?php echo $options['db_password']; ?>" size="35"  />
            </li>
            <li>
                <label>Database prefix name</label>
                <input type="text" id="" name="db_prefix" <?php $this->htmlError('db_prefix'); ?> value="<?php echo $options['db_prefix']; ?>" size="35"  />
            </li>
        </ul>
    </fieldset>

    <?php
if ('solr' == wcmInstall_session::getInstance()->getWcmConfigValue('config_wcm_search_engine'))
{
    ?>
    <input type="hidden" name="test_solr" value="true" />
    <fieldset>
        <legend>Solr search engine</legend>

        <ul>
            <li>
                <label>Solr Service URL <span>Keep the default value to use the embedded Solr service.</span></label>
                <input type="text" id="" name="config_solr_service" size="55"  value="<?php echo $options['config_solr_service']; ?>" <?php $this->htmlError('config_solr_service'); ?> />
            </li>
        </ul>
    </fieldset>
    <?php
}

if (wcmInstall_session::getInstance()->getWcmConfigValue('wcmConfig_enableTme'))
{
    ?>
    <input type="hidden" name="test_tme" value="true" />
    <fieldset>
        <legend>Nstein Text-Mining Engine (TME)</legend>

        <ul>
            <li>
                <label>Server IP or hostname <span>Ex: [dns name or IP] </span></label>
                <input type="text" name="config_tme_server" value="<?php echo $options['config_tme_server']; ?>" <?php $this->htmlError('config_tme_server'); ?> id="" size="55" />
            </li>
            <li>
                <label>Server port</label>
                <input type="text" id="" name="config_tme_port" value="<?php echo $options['config_tme_port']; ?>" <?php $this->htmlError('config_tme_port'); ?>size="5" />
            </li>
        </ul>
    </fieldset>
    <?php
}

if (wcmInstall_session::getInstance()->getWcmConfigValue('wcmConfig_enableDam'))
{
    ?>
    <input type="hidden" name="test_dam" value="true" />
    <fieldset>
        <legend>Nstein Digital Asset Management (DAM)</legend>

        <ul>
            <li>
                <label>Web Service URL <span>http://myserverhere/dam/WebServices/</span></label>
                <input type="text" id="config_dam_webServices" name="config_dam_webServices" value="<?php echo $options['config_dam_webServices'];?>" <?php $this->htmlError('config_dam_webServices'); ?> size="55" />
            </li>
        </ul>
    </fieldset>
    <?php
}

if (wcmInstall_session::getInstance()->getWcmConfigValue('wcmConfig_enableMsg'))
{
    ?>
    <input type="hidden" name="test_msg" value="true" />
    <fieldset>
        <legend>Messaging Service</legend>

        <ul>
            <li>
                <label>Broker URI:</label>
                <input type="text" id="config_stomp_broker_uri" name="config_stomp_broker_uri" value="<?php echo $options['config_stomp_broker_uri'];?>" <?php $this->htmlError('config_stomp_broker_uri'); ?> size="55" />
            </li>
            <li>
                <label>Username <span>(if any)</span>:</label>
                <input type="text" id="config_stomp_broker_username" name="config_stomp_broker_username" value="<?php echo $options['config_stomp_broker_username']; ?>" <?php $this->htmlError('config_stomp_broker_username'); ?> size="55" />
            </li>
            <li>
                <label>Password <span>(if any)</span>:</label>
                <input type="password" id="config_stomp_broker_password" name="config_stomp_broker_password"  <?php $this->htmlError('config_stomp_broker_password'); ?> size="55" />
            </li>
            <li>
                <label>Logging Queue Name <span>(this queue takes activity &amp; logging messages)</span></label>
                <input type="text" id="config_messaging_destinations_logging" name="config_wcm_messaging_destinations_logging" value="<?php echo $options['config_wcm_messaging_destinations_logging']; ?>" size="55" />
            </li>
        </ul>
    </fieldset>
    <?php
}
?>
    <input type="hidden" name="config_use_3S" value="<?php echo $options['config_use_3S']?>" />
<?php
if ('yes' == $options['config_use_3S'])
{
    ?>
    <fieldset>
        <legend>SSS Configuration</legend>
        <ul>
            <li>
                <label>URL <span>Broker URL Schema, including directory.</span></label>
                <input type="text" id="" name="config_wcm_webSite_SSS_URL" size="55"  value="<?php echo $options['config_wcm_webSite_SSS_URL']; ?>" <?php $this->htmlError('config_wcm_webSite_SSS_URL'); ?> />
            </li>
            <li>
                <label>config File <span>configuration file to use, without the extension.</span></label>
                <input type="text" id="" name="config_wcm_webSite_SSS_params_config" size="55"  value="<?php echo $options['config_wcm_webSite_SSS_params_config']; ?>" <?php $this->htmlError('config_wcm_webSite_SSS_params_config'); ?> />
            </li>
            <li>
                <label>index <span>index name where the document should be sent.</span></label>
                <input type="text" id="" name="config_wcm_webSite_SSS_params_index" size="55"  value="<?php echo $options['config_wcm_webSite_SSS_params_index']; ?>" <?php $this->htmlError('config_wcm_webSite_SSS_params_index'); ?> />
            </li>
        </ul>
    </fieldset>
    <?php
}
?>
    <input type="button" value="<< Previous" onclick="window.location='?step=stepThree'" class="previous" />
    <input type="submit" value="Next >>" class="next" />
</form>
