<?php
/**
 * Project:     WCM
 * File:        $Id: plugins.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

/**
 * This class implements the action controller for the plugins page
 */
class wcmPluginsAction extends wcmMVC_SysAction
{
    /**
     * Instanciate context (usually a wcmObject)
     *
     * @param wcmSession $session Current session
     * @param wcmProject $project Current project
     */
    protected function setContext($session, $project)
    {
    }

    public function onSwitch($session, $project)
    {
        $pluginId = getArrayParameter($_REQUEST, 'pluginId', null);
        $pluginType = getArrayParameter($_REQUEST, 'pluginType', null);
        if(!$pluginType || !$pluginId)
        {
            return false;
        }
        $pluginManager = new wcmPluginManager();
        $pluginManager->initConfig($pluginType);
        $pluginManager->switchActivate($pluginType, $pluginId);
        $pluginManager->updateCache($pluginType);
    }
}
