function _wcmAddModule(span, file, zid, mid) {
    span.className = 'wait';
    url = wcmBaseURL + 'ajax/controller.php?ajaxHandler=dashboard';
    new Ajax.Request(url,
    {
        method: 'post',
        asynchronous: false,
        onComplete: function(response) { $(span).remove(); },
        parameters : { action: 'add', file: file, zid: zid, mid: mid }
    });
    
}

function _wcmRemoveModule(span, zid, mid) {
    span.className = 'wait';
    url = wcmBaseURL + 'ajax/controller.php?ajaxHandler=dashboard';
    new Ajax.Request(url,
    {
        method: 'post',
        asynchronous: false,
        onComplete: function(response) { $(span).up('div').remove(); },
        parameters : { action: 'remove', zid: zid, mid: mid }
    });
}
 
//drag and drop for dashboard
   
if(window.addEventListener) window.addEventListener("load",initDashboardDraggable,true);
else if (window.attachEvent) window.attachEvent("onload",initDashboardDraggable);
 
function initDashboardDraggable(){

	var draggable_elements = $$('.personal');
	for(var i=0; i<draggable_elements.length; i++){
		new Draggable(draggable_elements[i].id, {revert: true, handle: "modulehandle"});
	}
	
	var droppable_elements = $$('.droppable-module');
	for(var i=0; i<droppable_elements.length; i++){
		//for each draggable element, specify the id of its droppable container
		if(draggable_elements[i])		
			draggable_elements[i].container = droppable_elements[i].id;
			 
		Droppables.add(droppable_elements[i].id, { 
    		accept: 'personal',
    		hoverclass: 'hover',
	    	onDrop: function(element_dragged, element_dropped) {
	    			//keep a trace before we swap
	    			var from_container = $(element_dragged.container).id;
	    			var to_container = element_dropped.id;
	    				    	
	    			if(element_dropped.down('.personal'))
	    			{
		    			var destination_draggable_content = element_dropped.down('.personal');
		    			
		    			$(element_dragged.container).insert(destination_draggable_content);	    			
		    			//change the container values for each draggable
		    			destination_draggable_content.container = element_dragged.container; 	    			
		    			element_dragged.container = element_dropped.id;	    			
		    			element_dropped.insert(element_dragged);
		    			
		    			//make an ajax call to update the XML file
		    			url = wcmBaseURL + 'ajax/controller.php?ajaxHandler=dashboard';
					    new Ajax.Request(url,
					    {
					        method: 'post',
					        asynchronous: false,
					        onComplete: function(response) {  },
					        parameters : { action: 'reorder', from: from_container, to: to_container }
					    });
					 }
	    		}
  		});
		
	}	
 
}