/**
 * WCM JAVASCRIPT language resources
 * (define the magic '$I18N' variable)
 */

var $I18N = {
    YES: 'Yes',
    NO: 'No',
    CANCEL: 'Cancel',
    CREATE: 'Create',
    OK: 'Ok',
    ADD: 'Add',
    EXECUTE: 'Execute',
    REPLACE: 'Replace',
    REMOVE: 'Remove',
    SAVE: 'Save',
    SAVEADDMORE: 'Save and add more',
    DELETE: 'Delete',
    SEARCHING: 'Searching...',
    LOADING: 'Loading...',
    SAVING: 'Saving...',
    UNEXPECTED_ERROR: 'Unexpected error: ',
    INVALID_OR_MISSING_FIELDS: 'Invalid or missing fields',
    OBJECT_LOCK_EXPIRED: 'Current object lock has expired (or object has been unlocked by the admistrator)',
    OBJECT_IS_LOCKED: 'Current object is locked by another user!',
    OBJECT_IS_OBSOLETE: 'Current object has been modified by another user!',
    OBJECT_IS_DELETED: 'Current object has been deleted by another user!',
    CONFIRM_DELETE_CURRENT_OBJECT: 'Delete current object?',
    CONFIRM_DELETE_OBJECTS: 'Delete all objects?',
    INFORM_CANNOT_DELETE_CURRENT_OBJECT: 'Cannot delete current object',
    OBJECT_ALREADY_EXISTS: 'This object already exists',
    RELATION_ALREADY_EXISTS: 'This relation already exists',
    RATIO_UPDATED: 'Ratio updated',
    ADD_NEW_VERSION: 'Add new version',
    VERSION_COMMENT: 'Comment',
    PURGE_CONTENT: 'Purge expired content',
    PURGE_CONFIRM_MESSAGE: 'Purge cannot be reverted. De you really want to purge expired objects now?',
    RESTORE_VERSION: 'Restore version',
    RESTORE_VERSION_CONFIRM_MSG: 'Do you really want to restore this version?',
    ROLLBACK_VERSION: 'Rollback to a previous version',
    ROLLBACK_VERSION_CONFIRM_MSG: 'Do you really want to rollback to a previous version (will delete more recent versions)?',
    EXPORT_COLLECTION: 'Export to a collection',
    EXPORT_COLLECTION_PLEASE_CHOOSE: 'Please choose or create a collection',
    CHOOSE_COLLECTION: 'Choose collection',
    EXPORT_BIZOBJECT: 'Export to a bizobject',
    OBJECT_NAME_IS_MANDATORY: 'Object name is mandatory', 
    OBJECT_SELECT_IS_MANDATORY: 'You must choose an existing object. If no object exists, you may create a new one',
    MOVE_TO_CHANNEL: 'Move to a section',
    CHOOSE_SECTION: 'You must choose a section',
    SAVE_COMPLETED: 'Save completed successfully',
    ERROR_PASSWORD_DIF: 'The passwords are different',
    ERROR_OPTIONAL_EMAILS: 'One or more optional email is incorrect',
    ENRICH: 'Enrich',
    RELATION_TO_ITSELF: 'Relationship to self is not permitted'    
};
