<?php
/**
 * Project:     WCM
 * File:        $Id: init.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-soapws
 * @version     4.x
 */

/** Root Folder of the WCM solution (containing all components / applications) */
define('WCM_DIR', dirname(__FILE__) . '/../..');

/** Main Configuration folder for all the WCM components */
define('WCM_CONF_DIR', WCM_DIR . '/conf');

/** Web Application for WCM Backoffice */
define('WCM_BACKOFFICE_CONF_DIR', WCM_CONF_DIR . '/backoffice');

/** Main System WCM API dir */
define('WCM_SYS_API_DIR', WCM_DIR . '/wcm-system-api');

define('WCM_BIZ_API_DIR', WCM_DIR . '/wcm-business-api');

define('WCM_INCLUDES_DIR', WCM_DIR . '/includes');

/** Main SOAP dir */
define('WCM_SOAP_DIR', WCM_DIR . '/wcm-www-soapws');
define('WCM_SOAP_LIB_DIR', WCM_DIR . '/wcm-www-soapws/private/lib/soap');
define('WCM_SOAP_DATA_OBJECTS_DIR', WCM_DIR . '/wcm-www-soapws/private/lib/data_objects');
define('WCM_SOAP_SERVICES_DIR', WCM_DIR . '/wcm-www-soapws/private/lib/services');
/** Main Configuration folder for SOAP */
define('WCM_SOAP_CONF_DIR', WCM_SOAP_DIR . '/private');


require_once WCM_SOAP_CONF_DIR . '/config.php';


/* Load System and SOAP API */
require_once(WCM_SYS_API_DIR . '/initApi.php');
require_once(WCM_BIZ_API_DIR . '/initApi.php');
require_once(WCM_SOAP_DIR . '/initWcmSoap.php');
