<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>

    <head>
        <link rel="stylesheet" type="text/css" href="<?php echo CMF_APPLICATION_URL; ?>css/sample.css" />
   </head>

    <body>

        <div class="menu" style="text-align:right;">
            <a href="<?php echo CMF_APPLICATION_URL; ?>?controllerName=sample3">Sample 3</a> | <a href="<?php echo CMF_APPLICATION_URL; ?>?controllerName=home">Home</a>
        </div>

        <h1>SampleWebApp > Sample 3 : Using the media manager</h1>

        <p class="intro">
        In order to query an image from the media manager, you can also use the Nstein_Cmf_Mediamanager_Client class,
        to build URLs for images through the media manager REST API.
        </p>
        
        <p class="example">
        First, create an instance of the client, using a :
        <br/>
        <?php highlight_string('<?php $mediaManagerClient = new Nstein_Cmf_Mediamanager_Client(\'' . $this->getMediaManagerClient()->getUrl() . '\'); ?>'); ?>
        </p>
        
        <p class="example">
        Getting the URL of a cropped version of an image from the media manager REST API,
        using WCM's cropping mechanism with "thumb_square_small" format.
        <br/>
        <?php highlight_string('<?php $mediaManagerClient->getCroppedImageUrl($this->request[\'id\'], \'thumb_square_small\'); ?>'); ?>
        </p>
        
        <div class="aBlock">
        <?php echo '<img src="' . $this->getMediaManagerClient()->getCroppedImageUrl($this->request['id'], 'thumb_square_small') . '"/>'; ?>
        </div>
        
        <p class="example">
        Getting the URL of a resized version of an image from the media manager REST API,
        fitting in a 200 x 200 pixels square.
        <br/>
        <?php highlight_string('<?php $mediaManagerClient->getResizedImageUrl($this->request[\'id\'], 200, 200); ?>'); ?>
        </p>
        
        <div class="aBlock">
        <?php echo '<img src="' . $this->getMediaManagerClient()->getResizedImageUrl($this->request['id'], 200, 200) . '"/>'; ?>
        </div>
        
        <p class="example">
        Getting the URL of the original version of an image from the media manager REST API.
        <br/>
        <?php highlight_string('<?php $mediaManagerClient->getImageUrl($this->request[\'id\']); ?>'); ?>
        </p>
        
        <div class="aWideBlock">
        <?php echo '<center><img src="' . $this->getMediaManagerClient()->getImageUrl($this->request['id']) . '"/></center>'; ?>
        </div>
    </body>
</html>
