<?php
/**
 * Project:     WCM
 * File:        $Id: initWcmApi.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @version     4.x
 */

/**
 * MAIN InitWCMApi constants
 */

/** Root Folder of the WCM solution (containing all components / applications) */
define('WCM_DIR', dirname(__FILE__));

/** Main Configuration folder for all the WCM components */
define('WCM_CONF_DIR', WCM_DIR . '/conf');

/** Main System WCM API dir */
define('WCM_SYS_API_DIR', WCM_DIR . '/wcm-system-api');

/** Main Business WCM API dir */
define('WCM_BIZ_API_DIR', WCM_DIR . '/wcm-business-api');

/** Main Includes (3rd parties / libs) folder */
define('WCM_INCLUDES_DIR', WCM_DIR . '/includes');

/** Main Logs folder */
define('WCM_LOG_DIR', WCM_DIR . '/logs');


/**
 * WCM-WWW-BACKOFFICE constants
 */

/** Web Application for WCM Backoffice */
DEFINE('WCM_WWW_BACKOFFICE_DIR', WCM_DIR . '/wcm-www-backoffice');
DEFINE('WCM_BACKOFFICE_CONF_DIR', WCM_CONF_DIR . '/backoffice');

/**
 * CMF constants
 */

/** CMF core */
DEFINE('WCM_CMF_DIR', WCM_DIR . '/cmf');


/* Load Business and System API */
require_once(WCM_SYS_API_DIR . '/initApi.php');
require_once(WCM_BIZ_API_DIR . '/initApi.php');


