<?php

require_once(dirname(__FILE__) . '/includes/WcmTest.php');

class BrowseTest extends WcmTest
{

    function testBrowseArticles()
    {
        $this->login();
        $this->click("//div[@id='navMenu']/ul[@class='business']/li[4]//a[contains(@href,'/browse/article')]");
        $this->waitForWcmToLoad();
        $this->assertTextPresent('Base query: classname:article');
    }

    function testBrowseNewsitems()
    {
        $this->login();
        $this->click("//div[@id='navMenu']/ul[@class='business']/li[4]//a[contains(@href,'/browse/newsitem')]");
        $this->waitForWcmToLoad();
        $this->assertTextPresent('Base query: classname:newsitem');
    }

    function testBrowsePhotos()
    {
        $this->login();
        $this->click("//div[@id='navMenu']/ul[@class='business']/li[4]//a[contains(@href,'/browse/photo')]");
        $this->waitForWcmToLoad();
        $this->assertTextPresent('Base query: classname:photo');
    }

    function testBrowseCollections()
    {
        $this->login();
        $this->click("//div[@id='navMenu']/ul[@class='business']/li[4]//a[contains(@href,'/browse/collection')]");
        $this->waitForWcmToLoad();
        $this->assertTextPresent('Base query: classname:collection');
    }

    function testBrowseNewsletters()
    {
        $this->login();
        $this->click("//div[@id='navMenu']/ul[@class='business']/li[4]//a[contains(@href,'/browse/newsletter')]");
        $this->waitForWcmToLoad();
        $this->assertTextPresent('Base query: classname:newsletter');
    }


    function testBrowseSlideshows()
    {
        $this->login();
        $this->click("//div[@id='navMenu']/ul[@class='business']/li[4]//a[contains(@href,'/browse/slideshow')]");
        $this->waitForWcmToLoad();
        $this->assertTextPresent('Base query: classname:slideshow');
    }

    function testBrowsePolls()
    {
        $this->login();
        $this->click("//div[@id='navMenu']/ul[@class='business']/li[4]//a[contains(@href,'/browse/poll')]");
        $this->waitForWcmToLoad();
        $this->assertTextPresent('Base query: classname:poll');
    }


    function testBrowseForumthreads()
    {
        $this->login();
        $this->click("//div[@id='navMenu']/ul[@class='business']/li[4]//a[contains(@href,'/browse/forum')]");
        $this->waitForWcmToLoad();
        $this->assertTextPresent('Base query: classname:forum');
    }

    function testBrowseItems()
    {
        $this->login();
        $this->click("//div[@id='navMenu']/ul[@class='business']/li[4]//a[contains(@href,'/browse/item')]");
        $this->waitForWcmToLoad();
        $this->assertTextPresent('Base query: classname:item');
    }


}