<?php
/**
 * Project:     WCM
 * File:        $Id: articleWorkflow.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-business-api
 * @version     4.x
 */

require_once(dirname(__FILE__) . '/publicationWorkflow.php');

/**
 * The publication workflow, specialized for article objects.
 */
class articleWorkflow extends publicationWorkflow
{
    /**
     * This callback is invoked BEFORE the object is published
     * @return bool False to cancel transition.
     */
    public function beforePublish()
    {
        if (parent::beforePublish())
        {
            return $this->helper->createVersion();
        } 
        else
        {
            return false;
        }
    }   

}
