<?php
/**
 * Project:     WCM
 * File:        $Id: menu.php 9387 2010-04-06 19:48:13Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-system-api
 * @version     4.x
 */

// business/home
DEFINE('_MENU_HOME', 'Home');

// business/create
DEFINE('_MENU_CREATE', 'Create');
DEFINE('_MENU_CREATE_TEXTUAL', 'Textual');
DEFINE('_MENU_CREATE_ARTICLE', 'Article');
DEFINE('_MENU_CREATE_NEWSITEM', 'News item');
DEFINE('_MENU_CREATE_MEDIA', 'Media');
DEFINE('_MENU_CREATE_PHOTO', 'Photo');
DEFINE('_MENU_BROWSE_AUDIO', 'Audio');
DEFINE('_MENU_BROWSE_VIDEO', 'Video');
DEFINE('_MENU_CREATE_BUNDLE', 'Bundle');
DEFINE('_MENU_CREATE_COLLECTION', 'Collection');
DEFINE('_MENU_CREATE_NEWSLETTER', 'Newsletter');
DEFINE('_MENU_CREATE_SLIDESHOW', 'Slideshow');
DEFINE('_MENU_CREATE_PARTICIPATIVE_CONTENT', 'Participative content');
DEFINE('_MENU_CREATE_POLL', 'Poll');
DEFINE('_MENU_CREATE_FORUM_THREAD', 'Forum thread');
DEFINE('_MENU_CREATE_OTHER', 'Other types');
DEFINE('_MENU_CREATE_ITEM', 'Item');

// business/browse
DEFINE('_MENU_BROWSE', 'Browse');
DEFINE('_MENU_BROWSE_TEXTUAL', 'Textual');
DEFINE('_MENU_BROWSE_ARTICLES', 'Articles');
DEFINE('_MENU_BROWSE_NEWS_ITEMS', 'News items');
DEFINE('_MENU_BROWSE_MEDIA', 'Media');
DEFINE('_MENU_BROWSE_PHOTOS', 'Photos');
DEFINE('_MENU_BROWSE_AUDIO_FILES', 'Photos');
DEFINE('_MENU_BROWSE_VIDEO_FILES', 'Videos');
DEFINE('_MENU_BROWSE_BUNDLES', 'Bundles');
DEFINE('_MENU_BROWSE_COLLECTIONS', 'Collections');
DEFINE('_MENU_BROWSE_NEWSLETTERS', 'Newsletters');
DEFINE('_MENU_BROWSE_SLIDESHOWS', 'Slideshows');
DEFINE('_MENU_BROWSE_PARTICIPATIVE_CONTENT', 'Participative content');
DEFINE('_MENU_BROWSE_POLLS', 'Polls');
DEFINE('_MENU_BROWSE_FORUM_THREADS', 'Forum threads');
DEFINE('_MENU_BROWSE_OTHER', 'Other types');
DEFINE('_MENU_BROWSE_ITEMS', 'Items');

// business/moderate

DEFINE('_MENU_MODERATE', 'Moderate');
DEFINE('_MENU_MODERATE_USER_COMMENTS', 'User comments');
DEFINE('_MENU_MODERATE_FORUM_THREADS', 'Forum threads');


// business/manage
DEFINE('_MENU_MANAGE', 'Manage');
DEFINE('_MENU_MANAGE_COMMUNITY', 'Community');
DEFINE('_MENU_MANAGE_WEB_USERS', 'Web users');
DEFINE('_MENU_MANAGE_WEB', 'Web properties');
DEFINE('_MENU_MANAGE_WEB_SITES', 'Web sites');
DEFINE('_MENU_MANAGE_SECTIONS', 'Site sections');
DEFINE('_MENU_MANAGE_PRINT', 'Print publications');
DEFINE('_MENU_MANAGE_PRINT_PUBLICATIONS', 'Publications');
DEFINE('_MENU_MANAGE_PRINT_ISSUES', 'Issues');

// business/import
DEFINE('_MENU_IMPORT', 'Import');
DEFINE('_MENU_IMPORT_FROM_FILES', 'Import from files');
DEFINE('_MENU_IMPORT_DAM', 'Import from DAM');

// business/publish
DEFINE('_MENU_PUBLISH', 'Publish');
DEFINE('_MENU_PUBLISH_LAUNCH_GENERATION', 'Launch generation...');
DEFINE('_MENU_PUBLISH_MANAGE_GENERATION_RULES', 'Manage generation rules');
DEFINE('_MENU_PUBLISH_MANAGE_TEMPLATES', 'Manage templates');
DEFINE('_MENU_PUBLISH_TEMPLATE_BACKUP', 'Template backup');

// system/system
DEFINE('_MENU_SYSTEM', 'System');
DEFINE('_MENU_SYSTEM_ADMINISTRATION', 'Administration');
DEFINE('_MENU_SYSTEM_ADMINISTRATION_MESSAGE_LOG', 'Message log');
DEFINE('_MENU_SYSTEM_ADMINISTRATION_USERS', 'Manage users and groups');
DEFINE('_MENU_SYSTEM_ADMINISTRATION_BIZCLASS', 'Manage content types');
DEFINE('_MENU_SYSTEM_ADMINISTRATION_SYSCLASS', 'Manage system types');
DEFINE('_MENU_SYSTEM_CONFIGURATION', 'Configuration');
DEFINE('_MENU_SYSTEM_CONFIGURATION_MENUS', 'Configure menus');
DEFINE('_MENU_SYSTEM_CONFIGURATION_DATA_SOURCES', 'Configure data sources');
DEFINE('_MENU_SYSTEM_CONFIGURATION_WORKFLOWS', 'Configure workflows');
DEFINE('_MENU_SYSTEM_CONFIGURATION_TME', 'Nstein Text-Mining Engine');
DEFINE('_MENU_SYSTEM_MAINTENANCE', 'Maintenance');
DEFINE('_MENU_SYSTEM_MAINTENANCE_UNLOCK_CONTENT', 'Unlock content');
DEFINE('_MENU_SYSTEM_MAINTENANCE_REINDEX_CONTENT', 'Re-index content');
DEFINE('_MENU_SYSTEM_MAINTENANCE_PURGE_CONTENT', 'Purge content');

// system/help
DEFINE('_MENU_HELP', 'Help');
DEFINE('_MENU_HELP_ABOUT', 'About');
DEFINE('_MENU_HELP_ABOUT_WCM4', 'About this version...');
DEFINE('_MENU_HELP_ABOUT_COPYRIGHT_NOTICE', 'Copyright notice...');
DEFINE('_MENU_HELP_RESOURCES', 'Resources');
DEFINE('_MENU_HELP_RESOURCES_DOC_AND_SUPPORT', 'Documentation and support');

// user
DEFINE('_MENU_USER_ADVANCED_SEARCH', 'Advanced searches');
DEFINE('_MENU_USER_ADVANCED_SEARCH_DEFAULT', 'Editorial');
DEFINE('_MENU_USER_SAVED_SEARCHES', 'My saved searches');
