<?php
/**
 * Project:     WCM
 * File:        $Id: menu.php 9387 2010-04-06 19:48:13Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-system-api
 * @version     4.x
 */

// business/home
DEFINE('_MENU_HOME', 'Home');

// business/create
DEFINE('_MENU_CREATE', 'Créer');
DEFINE('_MENU_CREATE_TEXTUAL', 'Textuel');
DEFINE('_MENU_CREATE_ARTICLE', 'Article');
DEFINE('_MENU_CREATE_NEWSITEM', 'Nouvelle');
DEFINE('_MENU_CREATE_MEDIA', 'Média');
DEFINE('_MENU_CREATE_PHOTO', 'Photo');
DEFINE('_MENU_BROWSE_AUDIO', 'Audio');
DEFINE('_MENU_BROWSE_VIDEO', 'Vidéo');
DEFINE('_MENU_CREATE_BUNDLE', 'Collection');
DEFINE('_MENU_CREATE_COLLECTION', 'Collection');
DEFINE('_MENU_CREATE_NEWSLETTER', 'Infolettre');
DEFINE('_MENU_CREATE_SLIDESHOW', 'Diaporama');
DEFINE('_MENU_CREATE_PARTICIPATIVE_CONTENT', 'Contenu participatif');
DEFINE('_MENU_CREATE_POLL', 'Sondage');
DEFINE('_MENU_CREATE_FORUM_THREAD', 'Discussion');
DEFINE('_MENU_CREATE_OTHER', 'Autres types');
DEFINE('_MENU_CREATE_ITEM', 'Item');

// business/browse
DEFINE('_MENU_BROWSE', 'Parcourir');
DEFINE('_MENU_BROWSE_TEXTUAL', 'Textuels');
DEFINE('_MENU_BROWSE_ARTICLES', 'Articles');
DEFINE('_MENU_BROWSE_NEWS_ITEMS', 'Nouvelles');
DEFINE('_MENU_BROWSE_MEDIA', 'Médias');
DEFINE('_MENU_BROWSE_PHOTOS', 'Photos');
DEFINE('_MENU_BROWSE_AUDIO_FILES', 'Audios');
DEFINE('_MENU_BROWSE_VIDEO_FILES', 'Vidéos');
DEFINE('_MENU_BROWSE_BUNDLES', 'Collections');
DEFINE('_MENU_BROWSE_COLLECTIONS', 'Collections');
DEFINE('_MENU_BROWSE_NEWSLETTERS', 'Infolettres');
DEFINE('_MENU_BROWSE_SLIDESHOWS', 'Diaporamas');
DEFINE('_MENU_BROWSE_PARTICIPATIVE_CONTENT', 'Contenu participatif');
DEFINE('_MENU_BROWSE_POLLS', 'Sondages');
DEFINE('_MENU_BROWSE_FORUM_THREADS', 'Discussions');
DEFINE('_MENU_BROWSE_OTHER', 'Autres types');
DEFINE('_MENU_BROWSE_ITEMS', 'Items');

// business/moderate

DEFINE('_MENU_MODERATE', 'Modérer');
DEFINE('_MENU_MODERATE_USER_COMMENTS', 'Commentaires d\'internautes');
DEFINE('_MENU_MODERATE_FORUM_THREADS', 'Discussions');


// business/manage
DEFINE('_MENU_MANAGE', 'Gérer');
DEFINE('_MENU_MANAGE_COMMUNITY', 'La communauté');
DEFINE('_MENU_MANAGE_WEB_USERS', 'Internautes');
DEFINE('_MENU_MANAGE_WEB', 'Propriétés Web');
DEFINE('_MENU_MANAGE_WEB_SITES', 'Sites');
DEFINE('_MENU_MANAGE_SECTIONS', 'Sections');
DEFINE('_MENU_MANAGE_PRINT', 'Publications papier');
DEFINE('_MENU_MANAGE_PRINT_PUBLICATIONS', 'Éditions');
DEFINE('_MENU_MANAGE_PRINT_ISSUES', 'Numéros');

// business/import
DEFINE('_MENU_IMPORT', 'Importer');
DEFINE('_MENU_IMPORT_FROM_FILES', 'Importer des fichiers');
DEFINE('_MENU_IMPORT_DAM', 'Importer du DAM');

// business/publish
DEFINE('_MENU_PUBLISH', 'Publier');
DEFINE('_MENU_PUBLISH_LAUNCH_GENERATION', 'Lancer la génération...');
DEFINE('_MENU_PUBLISH_MANAGE_GENERATION_RULES', 'Gérer les règles de génération');
DEFINE('_MENU_PUBLISH_MANAGE_TEMPLATES', 'Gérer les modèles de présentation');
DEFINE('_MENU_PUBLISH_TEMPLATE_BACKUP', 'Sauvegarde des modèles de présentation');

// system/system
DEFINE('_MENU_SYSTEM', 'Système');
DEFINE('_MENU_SYSTEM_ADMINISTRATION', 'Administration');
DEFINE('_MENU_SYSTEM_ADMINISTRATION_MESSAGE_LOG', 'Journal de messages');
DEFINE('_MENU_SYSTEM_ADMINISTRATION_USERS', 'Gérer les groupes et les utilisateurs');
DEFINE('_MENU_SYSTEM_ADMINISTRATION_BIZCLASS', 'Gérer les types de contenu');
DEFINE('_MENU_SYSTEM_ADMINISTRATION_SYSCLASS', 'Gérer les types système');
DEFINE('_MENU_SYSTEM_CONFIGURATION', 'Configuration');
DEFINE('_MENU_SYSTEM_CONFIGURATION_MENUS', 'Configurer les menus');
DEFINE('_MENU_SYSTEM_CONFIGURATION_DATA_SOURCES', 'Configurer les source de données');
DEFINE('_MENU_SYSTEM_CONFIGURATION_WORKFLOWS', 'Configurer les workflows');
DEFINE('_MENU_SYSTEM_CONFIGURATION_TME', 'Text-Mining Engine de Nstein');
DEFINE('_MENU_SYSTEM_MAINTENANCE', 'Maintenance');
DEFINE('_MENU_SYSTEM_MAINTENANCE_UNLOCK_CONTENT', 'Dé-vérouiller le contenu');
DEFINE('_MENU_SYSTEM_MAINTENANCE_REINDEX_CONTENT', 'Ré-indexer le contenu');
DEFINE('_MENU_SYSTEM_MAINTENANCE_PURGE_CONTENT', 'Purger le contenu expiré');

// system/help
DEFINE('_MENU_HELP', 'Aide');
DEFINE('_MENU_HELP_ABOUT', 'À propos');
DEFINE('_MENU_HELP_ABOUT_WCM4', 'À propos de ce logiciel...');
DEFINE('_MENU_HELP_ABOUT_COPYRIGHT_NOTICE', 'Notice de copyright...');
DEFINE('_MENU_HELP_RESOURCES', 'Resources');
DEFINE('_MENU_HELP_RESOURCES_DOC_AND_SUPPORT', 'Documentation et support');

// user
DEFINE('_MENU_USER_ADVANCED_SEARCH', 'Recherche avancée');
DEFINE('_MENU_USER_ADVANCED_SEARCH_DEFAULT', 'Recherche éditoriale');
DEFINE('_MENU_USER_SAVED_SEARCHES', 'Recherches sauvegardées');
