<?php
session_start();

DEFINE('CURRENT_DIR', dirname(__FILE__));
require(CURRENT_DIR . '/wcmCli.php');

/**
 * Indexation script for v4
 */
if(file_exists(CURRENT_DIR . '/../../initWcmApi.php'))
	require(CURRENT_DIR . '/../../initWcmApi.php');
else    
	die(wcmCli::COLOR_RED . 'This script need to be in the WCM root folder to work' . wcmCli::COLOR_NORMAL . PHP_EOL);

for($i = 1 ; $i < $_SERVER['argc'] ; $i++)
{
	switch($_SERVER['argv'][$i])
	{
	case '--from':
		$from = $_SERVER['argv'][$i+1];
		++$i;
		break;

	case '--to':
		$to = $_SERVER['argv'][$i+1];
		++$i;
		break;

	case '--nbDocuments':
		$nbDocuments = $_SERVER['argv'][$i+1];
		++$i;
		break;

	default:
		$className = $_SERVER['argv'][$i];
		break;
	}
}

if($nbDocuments > $to)
{
	$nbDocuments = $to;
}

$bizobjects = array();
$cfg = wcmConfig::getInstance();
$search = wcmSearch::getInstance('solr');
$search->setAutoCommit(false);
$enum = new wcmEnumeration($className, null, 'id', $from, $to);

$cpt = $cptTotal = 0;
foreach($enum as $bizobject)
{
	$bizobjects[] = $bizobject;
	++$cpt;
	++$cptTotal;

	if($cpt == $nbDocuments || ($cptTotal == $to))
	{
		//			echo PHP_EOL . ($cptTotal + $from) . ' / ';
		//			echo $bizobject->enumCount() . PHP_EOL;
		foreach($bizobjects as $bizobject)
        {
            $ok = $search->indexObject($bizobject, false);
        }
		echo serialize(array('nbDocuments' => $cpt));
        $bizobjects = array();
		$cpt = 0;  
	}
}
