<?php
/**
 * Project:     WCM
 * File:        $Id: channel.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

// get required parameters
$response = getArrayParameter($_REQUEST, 'response', null);
$channelId = getArrayParameter($_REQUEST, 'channelId', null);
$bizobjects = getArrayParameter($_SESSION, 'tempBin', null);

if (isset($channelId))
{
    $channel = wcmObjectFactory::create('channel', $channelId);
    $success = true;
    foreach ($bizobjects as $key => $val)
    {
        $obj = explode('_', $key);
        $bizobject =  wcmObjectFactory::create($obj[0], $obj[1]);
        $bizobject->channelId = $channelId;
        $bizobject->save();
    }
    echo '<p>' . _BIZ_MOVE_SUCCESS . '<strong>' . $channel->title . '</strong></p>';
}
else
{
    $channels = wcmBizobject::getObjects('channel', 'siteId=' . wcmSession::getInstance()->getSiteId());
    $channelList[0] = '(' . _SELECT . ')';
    foreach ($channels as $channel)
    {
        $channelList[$channel->id] = getObjectLabel($channel);
    }
    wcmGUI::openForm('_wcmExportBizobjects', '', null, array('class' => 'mainForm'));
    wcmGUI::openFieldset('', array('class' => 'modal'));
    wcmGUI::renderDropdownField('_wcmChannelId', $channelList, null, _BIZ_CHOOSE_CHANNEL . ' *', array('class' => 'small'));
    wcmGUI::closeFieldset();
    wcmGUI::closeForm();
}
