<?php
/**
 * Project:     WCM
 * File:        $Id: poll.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

/**
 * This class implements the action controller for the poll
 */
class pollAction extends mvcAction
{

    /**
     * Save poll choices from content tab
     */
    private function saveChoices()
    {
        if (isset($_REQUEST['pollChoice_text']))
        {
            $choices = array();

            $choicesText = getArrayParameter($_REQUEST, 'pollChoice_text');
            if (is_array($choicesText))
            {
                foreach ($choicesText as $key => $text)
                {
                    $choices[] = array('text' => getArrayParameter($choicesText, $key));
                }
            }
            $this->context->updateChoices($choices);
        }
    }

    /**
     * is called on checkin and on save before the store
     *
     * @param wcmSession $session Current session
     * @param wcmProject $project Current project
     */
    protected function beforeSave($session, $project)
    {
        parent::beforeSave($session, $project);

        $this->saveChoices();
    }
}
