<?php
/**
 * Project:     WCM
 * File:        $Id: generation.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

// Include header and menu
include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/header.php');
renderAssetBar(_MENU_WEB_DESIGN, _MENU_PUBLISH_LAUNCH_GENERATION);

// Build generation tree
$tree = new wcmTree('generation_exe', null, _GENERATIONS, 'refresh.gif', 'tree_generation_exe', null, ':', null, 'executeGenerationRule');
$tree->initFromSession('generation_exe');

$url = $config['wcm.backOffice.url'] . 'ajax/controller.php';
$params = 'view=dialogs/generate&rule=';
echo '<script type="text/javascript">
function executeGenerationRule(treeView, nodePath) {
    openDialog(\'' . $url . '\', \'' . $params . '\' + nodePath, 1000, 530, null, null, nodePath);
}
</script>';

echo '<div id="treeview">';
echo $tree->renderHTML();
echo '</div>';

include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/footer.php');
