<?php
/**
 * Project:     WCM
 * File:        $Id: search.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

// Execute the action
wcmMVC_Action::execute('business/search', $_REQUEST);
$context = wcmMVC_Action::getContext();

// Include the page header
include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/header.php');

// Design and render the search page
$config = wcmConfig::getInstance();
$configFile = $config['wcm.plugins.search.config'];
$searchConfig = new wcmSearchConfig($configFile);

echo $searchConfig->designSearchPage($context->configId, $context->pageType, $context);

// Include the page footer
include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/footer.php');
