<div id="_mainContent">
    <h3>{$bizobject.title}</h3>
    
    {if $bizobject.description}
        <h4>{'_BIZ_DESCRIPTION'|constant}</h4>
        {$bizobject.description}
    {elseif $bizobject.caption}
        <h4>{'_BIZ_CAPTION'|constant}</h4>
        {$bizobject.caption}
    {/if}
    
</div>
<div id="_infoContent">
    <ul class="info">
        {if $bizobject.title != ''}
            <li><span class="label">{'_BIZ_SECTION'|constant}:</span> {$bizobject.channel.title}</li>
        {/if}
        {if $bizobject.publicationDate != ''}
            <li><span class="label">{'_BIZ_PUBLICATIONDATE'|constant}:</span> {$bizobject.publicationDate}</li>
        {/if}
        {if $bizobject.author != ''}
            <li><span class="label">{'_BIZ_AUTHOR'|constant}:</span> {$bizobject.author}</li>
        {/if}
        {if $bizobject.source != ''}
            <li><span class="label">{'_BIZ_SOURCE'|constant}:</span> {$bizobject.source}</li>
        {/if}
    </ul>
    
    <div id="lifecycle">
        {wcm name="include_template" file="overview/shared/lifecycle.tpl"}
    </div>

    {if $bizobject.source OR $bizobject.sourceId OR $bizobject.sourceVersion OR $bizobject.publication OR $bizobject.issue OR $bizobject.pageNumber}
    <div id="source">
        {wcm name="include_template" file="overview/shared/source.tpl"}
    </div>
    {/if}

    {if $bizobject.semanticData}
    <div id="semantic-footprint">
        {wcm name="include_template" file="overview/shared/semantic.tpl"}
    </div>
    {/if}

    {if $bizobject.relations}
    <div id="relations">
        {wcm name="include_template" file="overview/shared/relations.tpl"}
    </div>
    {/if}

    {if $bizobject.contributionState or $bizobject.moderationKind}
    <div id="contributions">
        {wcm name="include_template" file="overview/shared/community.tpl"}
    </div>
    {/if}

</div>
