<?php
/**
 * Project:     WCM
 * File:        $Id: install.conf.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

$wcm = array();

$wcm['reqPhpIni'] = array(
    'short_open_tag' => 'Off',
    'magic_quotes_gpc' => 'Off',
    'magic_quotes_runtime' => 'Off',
    'magic_quotes_sybase' => 'Off',
    'mbstring.internal_encoding' => 'UTF-8'
);

$wcm['reqPhpMods'] = array(
    'mbstring',
    'dom',
    'libxml',
    'xsl',
    'curl',
    'gd',
    'soap',
    'sockets',
    'mcrypt',
    'zip',
    'mysql',
    'PDO',
    'pdo_mysql'
);

$wcm['reqApacheMods'] = array('mod_rewrite');
$wcm['xmlConfigFile'] = 'templates/configuration.xml';

$wcm['installLog'] = 'install.log';

// Supported databases
$wcm['supportedDatabases'] = array(
    'mysql' => 'MySQL 4.1 => MySQL 5'
);

// Supported indexers
// Indexers require instructions to be setup properly
$wcm['indexers'] = array(
    'solr' => 'Solr',
    'mysql' => 'MySQL',
);

// Supported Messaging Plugins
// Work in progress...
// $wcm['messengers'] = array(
//    'stomp' => 'ActiveMQ => Stomp Plugin'
// );
