<?php
/**
 * Project:     WCM
 * File:        $Id: instruction.class.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

class wcmInstallSteps_instruction extends wcmInstall_step
{
    /**
     * Constructor
     */
    public function __construct()
    {
        if (isset($_GET['instruction']) && class_exists($_GET['instruction']))
        {
            $instruction = wcmInstall_session::getInstance()->getInstruction($_GET['instruction']);

            if (false !== $instruction->processInstruction())
            {
                wcmInstall_session::getInstance()->log('Instruction: ' . get_class($instruction) . ' ok!');
                $this->output = '1';
            }
            else
            {
                wcmInstall_session::getInstance()->log('Instruction: ' . get_class($instruction) . ' failed!');
                $this->output = '0';
            }
        }
    }
}