<ol id="instructionList">
</ol>
<script type="text/javascript">

// Giggity
var periodTimers = new Array;
var instructionQueue = new Array;

function startPeriodTimer(argTimerId)
{
    $('#' + argTimerId).text($('#' + argTimerId).text() + '.');
    periodTimers[argTimerId] = setTimeout('startPeriodTimer("' + argTimerId + '")', 1000);
}

function processInstruction(argId, argInstruction)
{
    var timerId = argId + 'Timer';

    $.get('?step=instruction&instruction=' + argInstruction,
        function(data)
        {
           $("#" + argId).removeClass('waiting');
           clearTimeout(periodTimers[timerId]);
           if (data != '1')
           {
               $("#" + argId).addClass('error');
               $("#" + timerId).text($("#" + timerId).text() + ' ERROR');
               $("#installError").css("display", "block");
           } else {
               $("#" + argId).addClass('ok');
               $("#" + timerId).text($("#" + timerId).text() + ' OK');
               getNextInstruction();
           }
        }
    );
    startPeriodTimer(timerId);
}

function addInstruction(argId, argDescription, argClass)
{
    instructionQueue.push(new Array(argDescription, argClass, argId));
}

function getNextInstruction()
{
    if (instructionQueue.length > 0)
    {
        var instruction = instructionQueue.shift();

        var liTag = document.createElement('li');
        liTag.className = "waiting";
        liTag.innerHTML = instruction[0] + ' <span id="' + instruction[2] + 'Timer"></span>';
        liTag.id = instruction[2];

        $('#instructionList').append(liTag);

        processInstruction(instruction[2], instruction[1]);
    } else {
        $("#installFine").css("display", "block");
    }
}
<?php

$session = wcmInstall_session::getInstance();
$instructions = $session->getInstructions();

foreach ($instructions as $instruction)
{
    ?>
    addInstruction('<?php echo md5(get_class($instruction)); ?>','<?php echo $instruction->getDescription(); ?>', '<?php echo get_class($instruction); ?>');
    <?php
}

?>
getNextInstruction();

</script>

<div id="installError" style="display: none">
<h5>The installation completed with errors</h5>
<p class="error">The installation process is finished but some errors occured. Make sure you check the <a href="?step=log">/install.log</a> file for details.</p>
</div>

<div id="installFine" style="display: none">
<p class="alert">
IMPORTANT: You should move the <strong>/installation</strong> directory to a private location. Ask your system administrator if you don't have sufficent rights. If you omit to do so, anybody can access it and damage your installation.
</p>

<h5>Don't Forget To Make A Symlink!</h5>
Example:<br /><pre><?php
if (stristr(PHP_OS, 'WIN')) {
?>
    Windows Vista / Windows 7:
    $ cd <?php echo WCM_DIR; ?>\wcm-www-backoffice\system\public
    $ mklink /D .\business ..\..\business\public

    Windows XP (<a href="http://technet.microsoft.com/en-us/sysinternals/bb896768.aspx">Download and install junction</a>):
    $ cd <?php echo WCM_DIR; ?>\wcm-www-backoffice\system\public
    $ junction .\business ..\..\business\public
<?php
} else {
?>
    Linux:
    $ cd <?php echo WCM_DIR; ?>/wcm-www-backoffice/system/public
    $ ln -s ./../../business/public business
<?php
}
?></pre>

<h5>Start using Nstein WCM</h5>
<p>After making the symlink above, you can start using the Nstein WCM by <a href="<?php echo $session->getWcmConfigValue('config_wcm_backOffice_url'); ?>">logging in the back-office</a> with the <strong>admin</strong> as username and the password you chose during the installation.</p>

</div>
