<?php
/**
 * Project:     WCM
 * File:        $Id: wcm.ajaxRelationManager.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

$action = getArrayParameter($_REQUEST, 'action', '');

switch ($action)
{
    case 'renderObject':
        $relatedClass = getArrayParameter($_REQUEST, 'relatedClass');
        $relatedId = getArrayParameter($_REQUEST, 'relatedId', 0);
        if ($relatedClass)
        {
            if (is_numeric($relatedId))
            {
                $bizobject = wcmObjectFactory::create($relatedClass);
                $bizobject->refresh($relatedId);
            }
            else
            {
                $bizobject = wcmObjectFactory::create($relatedClass);
                $bizobject->initFromXML($_SESSION['wcm']['tmpObjects'][$relatedId]['obj']);
            }

            $params = array(
                    'bizobject' => $bizobject->getAssocArray(false),
                    'pk' => getArrayParameter($_REQUEST, 'pk', '_br_2')
                    );

            $tg = new wcmTemplateGenerator();

            $templateId = 'relations/related.tpl';
            $template = new wcmTemplate();
            $template->refresh($templateId);
            echo $tg->executeTemplate($template, $params);
        }
        break;
}
