<?php
/**
 * Project:     WCM
 * File:        $Id: message.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

$log = readEndOfFile(wcmProject::getInstance()->logger->getFile(), 8192);
$lines = array_reverse(explode(PHP_EOL, $log));

echo '<ul id="log">';
foreach ($lines as $line)
{
    $kind = substr($line, 0, 3);
    if ($line)
    {
        switch ($kind)
        {
            case 'ERR':
            case 'WRN':
            case 'MSG':
            case 'VRB':
            	$line = substr($line, 5);
                echo '<li class="' . $kind . '">' . htmlentities($line) . '</li>';
                break;
            default:
            	echo '<li>' . htmlentities($line) . '</li>';
        }
    }
}
echo '</ul>';

unset($lines);
unset($log);
