/**
 * Resources de langues JAVASCRIPT pour WCM
 * (définition de la variable magique '$18N')
 */

var $I18N = {
    YES: 'Oui',
    NO: 'Non',
    CANCEL: 'Annuler',
    CREATE: 'Créer',
    OK: 'Ok',
    EXECUTE: 'Executer',
    ADD: 'Ajouter',
    REPLACE: 'Remplacer',
    REMOVE: 'Retirer',
    SAVE: 'Sauvegarder',
    SAVEADDMORE: 'Sauvegarder et ajouter',
    DELETE: 'Supprimer',
    SEARCHING: 'Recherche en cours ...',
    LOADING: 'Chargement en cours ...',
    SAVING: 'Chargement en cours ...',
    UNEXPECTED_ERROR: 'Erreur innattendue : ',
    INVALID_OR_MISSING_FIELDS: 'Champs manquants ou invalides',
    OBJECT_LOCK_EXPIRED: 'Le verrou de cet objet a expiré (ou l\'objet a été déverrouillé par un administrateur)',
    OBJECT_IS_LOCKED: 'Cet objet est verrouillé par un autre utilisateur!',
    OBJECT_IS_OBSOLETE: 'Cet objet a été modifié par un autre utilisateur!',
    OBJECT_IS_DELETED: 'Cet objet a été supprimé par un autre utilisateur!',
    CONFIRM_DELETE_CURRENT_OBJECT: 'Voulez-vous vraiment supprimer cet objet ?',
    CONFIRM_DELETE_OBJECTS: 'Voulez-vous vraiment supprimer tous les objets ?',
    INFORM_CANNOT_DELETE_CURRENT_OBJECT: 'Impossible de supprimer cet objet',
    OBJECT_ALREADY_EXISTS: 'Cet objet existe déjà',
    RELATION_ALREADY_EXISTS: 'Cette relation existe déjà',
    RATIO_UPDATED: 'Ratio mémorisé',
    ADD_NEW_VERSION: 'Ajouter une nouvelle version',
    VERSION_COMMENT: 'Commentaire',
    PURGE_CONTENT: 'Purger les objets expirés',
    PURGE_CONFIRM_MESSAGE: 'La purge est irreversible. Etes-vous vraiment sûr de vouloir purger les objets expirés?',
    RESTORE_VERSION: 'Restaurer une version',
    RESTORE_VERSION_CONFIRM_MSG: 'Voulez-vous vraiment restaurer cette version ?',
    ROLLBACK_VERSION: 'Revenir à une version précédente',
    ROLLBACK_VERSION_CONFIRM_MSG: 'Voulez-vous vraiment revenir à une version précédente (supprime les versions intermédiaires) ?',
    EXPORT_COLLECTION: 'Exporter vers une collection',
    EXPORT_COLLECTION_PLEASE_CHOOSE: 'Veuillez choisir ou créer une collection',
    CHOOSE_COLLECTION: 'Choisir une collection',
    EXPORT_BIZOBJECT: 'Exporter vers un bizobjet',
    OBJECT_NAME_IS_MANDATORY: 'Le nom du bizobjet est obligatoire',
    OBJECT_SELECT_IS_MANDATORY: 'Vous devez choisir un bizobject existant. S\'il n\'y en a pas, vous pouvez en créer un nouveau.',
    MOVE_TO_CHANNEL: 'Déplacer vers une section',
    CHOOSE_SECTION: 'Veuillez choisir une section',
    SAVE_COMPLETED: 'La sauvegarde est complété avec succès',
    ERROR_PASSWORD_DIF: 'Les mots de passe sont différents',
    ERROR_OPTIONAL_EMAILS: 'Au moins un courriel optionnel est incorrect.',
    ENRICH: 'Enrichir',
    RELATION_TO_ITSELF: 'Relation à soi-même n\'est pas autorisée'
};
