<?php
/**
 * Project:     WCM
 * File:        $Id: config.php 9387 2010-04-06 19:48:13Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-soapws
 * @version     4.x
 */

/**
 * Web service class paths (relative to the 'webservices' directory)
 */
$wcmWebServiceClassPaths = array(
    'lib/data_objects',
    'lib/services',
    'lib/soap',
    'lib',
);

/**
 * Web service classes
 */
$wcmWebServiceClasses = array(
    'wcmUserAuthenticationWebService',
    'wcmObjectManagementWebService',
    'wcmBusinessObjectManagementWebService',
    'wcmContentGenerationWebService',
    'wcmBusinessSearchWebService',
    'wcmNserverWebService'
);

/**
 * Web service structure classes
 */
$wcmWebServiceStructureClasses = array(
    'wcmWebServiceFacetValue'       => 'wcmWebServiceFacetValue',
    'wcmWebServiceGeneratedContent' => 'wcmWebServiceGeneratedContent',
    'wcmWebServiceNameValuePair'    => 'wcmWebServiceNameValuePair',
);
