<?php
/**
 * Project:     WCM
 * File:        $Id: initApi.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     cmf-mediaManager-api
 * @version     4.x
 */

/**
 * This file initializes the media manager API,
 * along with required CMF API.
 */

// Define media manager API root directory.
define('MEDIA_MANAGER_API_DIR', dirname(__FILE__) . '/');

// Initialize CMF API.
require(MEDIA_MANAGER_API_DIR . '../cmf-system-api/initApi.php');

// Add media manager API to autoload manager. 
autoloadManager::addFolder(MEDIA_MANAGER_API_DIR);