<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>

    <head>
        <!-- This is needed to display the debugBar -->
        <link rel="stylesheet" type="text/css" href="<?php echo CMF_APPLICATION_URL; ?>css/sample.css" />
    </head>

    <body>
        <div class="menu" style="text-align:right;">
            <a href="<?php echo CMF_APPLICATION_URL; ?>?controllerName=sample2">Sample 2</a> | <a href="<?php echo CMF_APPLICATION_URL; ?>?controllerName=home">Home</a> 
        </div>

        <h1>SampleWebApp > Sample 1: Simple loadCmfBlock statements</h1>

        <p class="intro">In this example, you can see how to load simple block inside your CMF view.</p>

        <p class="example">1. Loading a simple cmf block using $this->loadCmfBlock() method<br />
        <?php highlight_string('<?php $this->loadCmfBlock(\'staticBlock\'); ?>'); ?></p>
        <?php $this->loadCmfBlock('staticBlock'); ?>

        <p class="example">2. That same block can be reused multiple times..<br />
        <?php highlight_string('<?php $this->loadCmfBlock(\'staticBlock\'); ?>'); ?></p>
        <?php $this->loadCmfBlock('staticBlock'); ?>

        <p class="example">3. Block with PHP code can be also embedded.<br />
        <?php highlight_string('<?php $this->loadCmfBlock(\'dynamicBlock\'); ?>'); ?></p>
        <?php $this->loadCmfBlock('dynamicBlock'); ?>
        
        <p class="example">4. The same PHP block, cached with a 10 seconds TTL.<br />
        <?php highlight_string('<?php $this->loadCmfBlock(\'dynamicBlock\', 10); ?>'); ?></p>
        <?php $this->loadCmfBlock('dynamicBlock', 10); ?>
    </body>

</html>
