<?php
/**
 * Project:     WCM
 * File:        $Id: home.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     cmf-www-mediaManager-testapp
 * @version     4.x
 */ 

/**
 * This view is the home and default page. It gives
 * access to the features of this application.
 */
?>
<html>
    <head>
        <title>CMF Media Manager Test Application</title>
        <link rel="stylesheet" type="text/css" href="css/home.css" />
    </head>
    
    <body>
        <h1>CMF Media Manager Test Application</h1>
        
        <div>
            <a href="?controllerName=upload">Add image</a>
            <p>Add a new or update an existing image to the media manager.</p>
        </div>
        <div>
            <a href="?controllerName=update">Update image formats</a>
            <p>Update the formats of an existing image to the media manager.</p>
        </div>
        <div>
            <a href="?controllerName=query">Query image</a>
            <p>Query an image (original, cropped or resized) from the media manager.</p>
        </div>
        <div>
            <a href="?controllerName=delete">Delete image</a>
            <p>Delete an image from the media manager.</p>
        </div>
    </body>
</html>