<?php
/**
 * Project:     WCM
 * File:        $Id: wcm.searchPluginMySQL.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-system-api
 * @version     4.x
 */

/**
 * The wcmSearchPluginMySQL class implements a MySQL-oriented
 * full-text search on objects.
 */
class wcmSearchPluginMySQL extends wcmSearchPluginDB
{
    /**
     * Computes the SQL full-text 'where' clause fragment for a given
     * search parameter.
     *
     * @param string $name  The parameter name
     * @param string $value The parameter value
     *
     * @return string The SQL full-text 'where' clause fragment
     */
    public function getMatchCondition($name, $value)
    {
        return ' MATCH (`' . $name . '`) AGAINST (\'' . str_replace("'", "''", $value) . '\' IN BOOLEAN MODE) ';
    }
}
