<?php
/**
 * Project:     WCM
 * File:        $Id: change_site.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

$session    = wcmSession::getInstance();
$config     = wcmConfig::getInstance();
$site       = $session->getSite();
$htmlList   = null;
$enumSite   = wcmObjectFactory::create('site');

$query = $_SERVER['QUERY_STRING'];
if (empty($query))
{
	$query = parse_url($_SERVER['HTTP_REFERER'], PHP_URL_QUERY);
}

$query = parse_str($query);

if ($enumSite->beginEnum())
{
    $htmlList .= '<ul class="sites">';
    while ($enumSite->nextEnum())
    {
        if (($session->isAllowed($enumSite, wcmPermission::P_READ)) && ($enumSite->id != $site->id))
        {
            $query['_wcmSiteId'] = $enumSite->id;
            $url = $config['wcm.backoffice.url'];
            $url .= '?' . http_build_query($query);
            
            $htmlList .= '<li class="site-' . $site->id . '">';
            $htmlList .= '<a href="' . $url . '">';
            $htmlList .= $enumSite->title;
            $htmlList .= '</a>';
            $htmlList .= '</li>';
        }
    }
    $enumSite->endEnum();
}
$htmlList .= '</ul>';
unset($enumSite);

//wcmModule('business/modalbox/change_site', array('list' => $htmlList));
//break;
//$htmllist = getArrayParameter($params, 'list', '');
if ($htmlList)
{
    echo $htmlList;
}
else
{
    echo _BIZ_SITE_NO_RESULT;
}
?>
<script>

</script>

<ul class="toolbar">
	<li><a href="#" onclick="closemodal(); return false;" class="cancel"><?php echo _BIZ_CANCEL;?></a></li>
</ul>

<br class="cross-browser-fix"/>
