<?php
/**
 * Project:     WCM
 * File:        $Id: tme_mine.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

$context    = wcmMVC_Action::getContext();
$action     = getArrayParameter($_REQUEST, 'action', null);
$values     = getArrayParameter($_REQUEST, 'values', null);
$data       = getArrayParameter($_REQUEST, 'data', null);

if ($data)
{
    $data = json_decode($data);
}
$bizobject = wcmMVC_Action::getContext();
$kinds = array(
        //_BIZ_TME_SENTIMENT => "NSentiment",
        _BIZ_TME_ENTITITES_ON . ', ' . _BIZ_TME_ENTITITES_PN . ', ' . _BIZ_TME_ENTITITES_GL => 'NFinder',
        _BIZ_TME_CONCEPTS => 'NConceptExtractor',
        _BIZ_CATEGORIZATION_IPTC . ', ' . _BIZ_CATEGORIZATION_TAGS => 'NCategorizer'
        );


if (isset($action) && $action == 'save')
{
    $methods = array();
    $values = json_decode($values);
    if ($values)
    {
        foreach ($values as $value)
        {
            $methods[] = $value;
        }
    }

    if (count($methods) > 0)
    {
        $content = '';
        if ($data)
        {
            foreach ($data as $key => $value)
            {
                if (is_array($value))
                {
                    foreach ($value as $subkey => $subvalue)
                    {
                        $content .= trim($subvalue, " \t\n\r\0\x0B.") . ".\n";
                    }
                }
                else
                {
                    $content .= trim($value, " \t\n\r\0\x0B.") . ".\n";
                }
            }
        }

        if (property_exists($context, 'siteId'))
        {
            $config = wcmConfig::getInstance();
            $tme = new wcmSemanticServer($config['tme.server'], $config['tme.port']);
            $sdata = $tme->mineText($content, $context->getClass() . '_' . $context->id, $context->getLanguage(), $methods);
        }

        if ($sdata)
        {
            echo _BIZ_MSG_UPDATE;
            wcmFormGUI::renderHiddenField('semanticdata', json_encode($sdata));
        }
        else
        {
            echo _BIZ_ERROR;
            if ($tme)
            	echo ' ' . htmlentities($tme->getErrorMessage());
        }
    }
    else
    {
        echo _BIZ_NO_ITEMS_SELECTED;
    }

}
else
{
    wcmFormGUI::openFieldset();
    foreach ($kinds as $key => $value)
    {
        wcmFormGUI::renderBooleanField($value, true, $key);
    }
    wcmFormGUI::renderHiddenField('data', json_encode($data));
    wcmFormGUI::closeFieldset();
}
