<?php
/**
 * Project:     WCM
 * File:        $Id: media.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */
$bizobject = wcmMVC_Action::getContext();
$config = wcmConfig::getInstance();

$_SESSION['wcm']['footprint']['context'] = $bizobject;

echo '<div class="zone">';
wcmGUI::openCollapsablePane(_BIZ_PHOTOS, true);

wcmModule(
    'business/relationship/main',
    array(
        'kind' => bizrelation::IS_COMPOSED_OF,
        'destinationClass' => 'photo',
        'classFilter' =>  'photo',
        'prefix' => '_wcm_rel_photos_',
        'resultStyle' => 'list',
        'createTab' => true,
        'searchEngine' => $config['wcm.plugins.search.default'],
        'createModule' => 'business/subForms/uploadPhoto',
        'uid' => 'articleSearchId'
    )
);

wcmGUI::closeCollapsablePane();
echo '</div>';
