<div class="overview" id="left">
    <div id="overview_meta-content">
        {wcm name="include_template" file="overview/shared/metacontent.tpl"}
    </div>

    <div id="overview_meta-information">
        {wcm name="include_template" file="overview/shared/metainformation.tpl"}
    </div>

    <div id="overview_content2">
        <h4>{'_BIZ_CONTENT'|constant}</h4>
        <dl>
            {if $bizobject.original}
                <dt>{'_BIZ_ORIGINAL'|constant}</dt>
                <dd>{if $bizobject.width != 0}<img src="{wcm name="backOfficePhotoUrl" bizobject=$bizobject width="365"}" width="365" height="{math equation="newWidth * height / width" newWidth=365 height=$bizobject.height width=$bizobject.width}" alt="{$bizobject.title}" title="{$bizobject.title}" />{/if}</dd>
            {/if}
            {if $bizobject.original}
                <dt>{'_BIZ_FILE'|constant}</dt>
                <dd>{$bizobject.original}</dd>
            {/if}
            {if $bizobject.caption}
                <dt>{'_BIZ_CAPTION'|constant}</dt>
                <dd>{$bizobject.caption}</dd>
            {/if}
            {if $bizobject.width and $bizobject.height}
                <dt>{'_BIZ_DIMENSIONS'|constant}</dt>
                <dd>{$bizobject.width} X {$bizobject.height} pixels</dd>
            {/if}
        </dl>
    </div>
</div>

<div class="overview" id="right">
    <div id="lifecycle">
        {wcm name="include_template" file="overview/shared/lifecycle.tpl"}
    </div>

    {if $bizobject.source OR $bizobject.sourceId OR $bizobject.sourceVersion OR $bizobject.publication OR $bizobject.issue OR $bizobject.pageNumber}
    <div id="source">
        {wcm name="include_template" file="overview/shared/source.tpl"}
    </div>
    {/if}

    {if $bizobject.semanticData}
    <div id="semantic-footprint">
        {wcm name="include_template" file="overview/shared/semantic.tpl"}
    </div>
    {/if}

    {if $bizobject.relations}
    <div id="relations">
        {wcm name="include_template" file="overview/shared/relations.tpl"}
    </div>
    {/if}

    {if $bizobject.contributionState or $bizobject.moderationKind}
    <div id="contributions">
        {wcm name="include_template" file="overview/shared/community.tpl"}
    </div>
    {/if}
</div>