<?php
/**
 * Project:     WCM
 * File:        $Id: license.class.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */
class wcmInstallSteps_license extends wcmInstall_step
{
    /**
     * Constructor
     */
    public function __construct()
    {
        $this->title = 'Nstein Web Content Management (WCM) installation wizard';

        if (isset($_GET['process']))
        {
            $this->process();
        }

        $this->loadTemplate('templates/license.php');
    }

    /**
     * Process the step
     */
    private function process()
    {
        if (isset($_GET['agree']))
        {
            $this->redirect = '?step=stepOne';
        }
        else
        {
            $this->error('You must agree to the terms');
        }
    }
}