<form method="get" action="index.php">
    <input type="hidden" name="product" value="wcm" />
    <input type="hidden" name="step" value="stepTwo" />

    <fieldset>
        <legend>PHP configuration</legend>

        <?php
        if ($options['phpIni'])
        {
            ?>
            <ul>
                <?php
                foreach ($options['phpIni'] as $ini => $setting)
                {
                    list($required,$current) = each($setting);
                    ?>
				    <li class="missing">
				        Configuration option
				        <span style="font-weight: bold">
				            <?php echo $ini;?>
				        </span>
				        must be set to <?php echo $required; ?>.
				        Presently set to <?php echo $current;?>.
			        </li>
				    <?php
                }
                ?>
			</ul>
		  <?php
        }
        else
        {
            ?>
            <ul>
                <li class="ok">Your PHP Configuration is ok.</li>
			</ul>
            <?php
        }
        ?>
	</fieldset>

	<fieldset>
		<legend>PHP modules</legend>

        <?php
        if ($options['mods'])
        {
            ?>
            <ul>
                <?php
                foreach ($options['mods'] as $mod)
                {
                    ?>
                    <li class="missing">Module <a href="http://www.php.net/<?php echo $mod; ?>" target="_BLANK"><?php echo $mod; ?></a> is required.</li>
                    <?php
                }
                ?>
            </ul>
        <?php
        }
        else
        {
            ?>
            <ul>
                <li class="ok">All the required PHP modules are installed.</li>
            </ul>
            <?php
        }
        ?>
	</fieldset>

    <?php
    if (isset($options['apache']))
    {
        ?>
    	<fieldset>
    		<legend>Apache configuration</legend>

            <?php
            if (count($options['apache']) > 0)
            {
                ?>
                <ul>
                    <?php
                    foreach ($options['apache'] as $mod)
                    {
                        ?>
        		        <li class="missing">Module <span style="font-weight: bold"><?php echo $mod; ?></span> is required and not enabled.</li>
                        <?php
                    }
                    ?>
        		</ul>
    		<?php
            }
            else
            {
                ?>
        		<ul>
        		    <li class="waiting" id="apacheCheck">Checking your Apache configuration...</li>
        		</ul>
                <?php
            }
            ?>
    	</fieldset>
        <?php
    }
    ?>

	<input type="button" value="<< Instructions" onclick="window.location='?step=welcome'" class="previous" />

	<?php
    if (!$options['errFlag'])
    {
        ?>
        <input type="submit" value="Next >>" class="next" id="nextButton" style="display: none" />
        <?php
    }
    else
    {
        ?>
        <input type="button" value="Retry" onclick="window.location.reload()" class="next" />
        <?php
    }
    ?>
</form>

<?php
if (!count($options['apache']))
{
    ?>
	<script type="text/javascript" src="../system/public/includes/js/prototype.js"></script>
	<script type="text/javascript">
	  var testPhrase = 'modRewriteTest' + Math.floor(Math.random()+10001);
	  var url = 'modrewrite/test/' + testPhrase;

	  new Ajax.Request(url, {
	      method: 'get',
	      onComplete: function(transport)
	      {
	          if (transport.status != 200)
	          {
	              $('apacheCheck').className = 'missing';
	              $('apacheCheck').update('mod_rewrite is installed, but not enabled for this virtual host.');
	          } else {

	              if (transport.responseText == testPhrase)
	              {
		              $('apacheCheck').update('mod_rewrite is enabled');
		              $('apacheCheck').className = 'ok';
		              $('nextButton').style.display = 'block';
		          } else {
		              $('apacheCheck').update('There was an error checking your mod_rewrite plugin for Apache. Please double check your Apache configuration, including Virtual Host settings.');
		              $('apacheCheck').className = 'missing';
		          }
	          }
	      }
	  });
     </script>
    <?php
}
