<?php
/**
 * Project:     WCM
 * File:        $Id: wcm.templateSelector.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

$file = getArrayParameter($_REQUEST, 'file', null);
$path = getArrayParameter($_REQUEST, 'path', null);
$mode = getArrayParameter($_REQUEST, 'mode', null);
$uploadedFile = getArrayParameter($_REQUEST, 'uploadedFile', null);

$code = '';
if (!$file && !$path)
{
    $code .= 'File ' . $path . '/' . $file . ' not found';
}
else
{
    $code .= '<pre>';
    $code .= htmlentities(file_get_contents($path . '/' . $file));
    $code .= '</pre>';
    $filesize = filesize($path . '/' . $file) . ' bytes';
}

// No browser cache
header('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
header('Last-Modified: ' . gmdate('D, d M Y H:i:s') . ' GMT');
header('Cache-Control: no-store, no-cache, must-revalidate');
header('Cache-Control: post-check=0, pre-check=0', false);
header('Pragma: no-cache');

// Xml output
header('Content-Type: text/xml');
echo '<?xml version="1.0" encoding="UTF-8"?>' . PHP_EOL;

// Write ajax response
echo '<ajax-response>' . PHP_EOL;
echo '<response type="item" id="selectedtemplate">' . PHP_EOL;
echo '<![CDATA[';
// Return command result
echo $code;
echo ']]>';
echo '</response>' . PHP_EOL;
echo '<response type="item" id="filesize">' . PHP_EOL;
echo '<![CDATA[';
// Return command result
echo $filesize;
echo ']]>';
echo '</response>' . PHP_EOL;
echo '</ajax-response>' . PHP_EOL;
