<?php
/**
 * Project:     WCM
 * File:        $Id: plugins.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

// Execute action
wcmMVC_Action::execute('plugins');

// Include header
include('includes/header.php');

echo '<div id="treeview">';
$tabs = new wcmAjaxTabs('navigation', false);
$tabs->addTab('tabs.history.generation', _HISTORY, true, wcmGUI::renderObjectHistory());
$tabs->render();
echo '</div>';

echo '<div id="content">';
$tabs = new wcmAjaxTabs('generation', true);
$params['pluginType'] = 'authenticate';
$tabs->addTab('tabs.plugins.authentication', 'Authenticate', true, null, wcmModuleURL('system/plugins/manager', array('pluginType' => 'authenticate')));
$tabs->addTab('tabs.plugins.search', 'Search', false, null, wcmModuleURL('system/plugins/manager', array('pluginType' => 'search')));
$tabs->addTab('tabs.plugins.import', 'Import', false, null, wcmModuleURL('system/plugins/manager', array('pluginType' => 'import')));

$tabs->render();
echo '</div>';

include('includes/footer.php');

