<?php
/**
 * Project:     WCM
 * File:        $Id: initApi.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     cmf-www-mediaManager-restws
 * @version     4.x
 */

/**
 * This is the application initializer.
 */

// Define the root directory of the application.
define('APP_DIR', dirname(__FILE__) . '/');

// Include configuration file
require(APP_DIR . '../conf/wcm-www-mediaManager-restws/configuration.php');

// Initialize the media manager & CMF API.
require(APP_DIR . '../cmf-mediaManager-api/initApi.php');

// Include media manager REST controllers.
autoloadManager::addFolder(APP_DIR . '/private/');
