<?php
/**
 * Project:     WCM
 * File:        $Id: initApi.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     cmf-www-mediaManager-testapp
 * @version     4.x
 */

/**
 * This file initializes the application.
 */

// Define the root directory of the application.
define('APP_DIR', dirname(__FILE__) . '/');

// Include adequate configuration file
require(APP_DIR . '../conf/cmf-www-mediaManager-testapp/configuration.php');

// Include initCmfApi in order to load the CMF
require(APP_DIR . '../cmf-system-api/initApi.php');

// Include business controllers
autoloadManager::addFolder(APP_DIR . 'private/');
