<?php
/**
 * Project:     WCM
 * File:        $Id: cmf.baseController.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     cmf-www-mediaManager-testapp
 * @version     4.x
 */

/**
 * The base controller for media manager test application.
 */
class cmfBaseController extends cmfController
{
    /**
     * The media manager REST client.
     * @var Nstein_Cmf_Mediamanager_Client 
     */
    protected $client;
    
    /**
     * (non-PHPdoc)
     * @see mvc/controllers/cmfController#injectDependencies($container)
     */
    public function injectDependencies(cmfContainer $container)
    {
        parent::injectDependencies($container);
        
        $this->client = cmfToolbox::getArrayParameter($container, 'mediaClient');
    }
}
