<?php

class cmsDebugIncludeFile {


    public static function getTitle()
    {
	
        return '<span class="red">'.count(get_included_files()). ' Files</span><br />Included';
    }

    public static function display()
    {
        echo '<ul style="margin: 0; padding: 0; height: 300px; width:100%; overflow: auto;">';
        foreach(get_included_files() as $file)
        {
            $size = (file_exists($file)) ? round(filesize($file)/1024,2) . 'k' : 'Stream';
            echo '<li><span style="margin: 0 15px; float: right;">'.$size.'</span>' . basename($file) . '</li>';
        }
        echo '</ul>';
    }
}


