<h1>Nstein's WCM Copyright Notice</h1>

<h2>This Computer Program is Nstein's WCM</h2>

<p>&copy; 2000-2010 Nstein Technologies Inc. All rights reserved.</p>
<p>Copyright and right of property to Nstein's WCM in whole as packaged reside in Nstein Technologies Inc.</p>
<p>Any use of Nstein's WCM is prohibited without Nstein's written permission.</p>
<p>Nstein's WCM is a trademark of Nstein Technologies Inc. in the United States, Canada and other countries. Nstein and the Nstein logo are trademarks of Nstein Technologies Inc. All other trademarks are the propertyof their respective owners.</p>

<h2>Warnings</h2>

<ol>
    <li>Nstein's WCM and its documentation are licensed for use only in strict accordance with the Master Software License Agreement signed by Nstein (orthe applicable Nstein company, as the case may be) and you (the licensee).</li>
    <li>Nstein's WCM and its documentation are protected by copyright laws and international treaties. Unauthorized reproduction or distribution or reverse engineering or translation into any human or computer language of this computer program, or any part of it, may result in severe civil and criminal penalties, and will be prosecuted to the maximum extent possible under thelaw.</li>
    <li>Nstein's WCM and its documentation, in whole or in part, are provided RESTRICTED as "Commercial Computer Software" or "Restricted Computer Software". Use, duplication, or disclosure by the U.S. Government or a U.S. Government subcontractor is subject to the restrictions set forth in subparagraph (c) (1) and (2) of the Commercial Computer Software - Restricted Rights clauses at FAR 52.227-19, as applicable, or successor provisions.</li>
</ol>

<h2>Contact</h2>

<address>
Nstein Technologies Inc.<br />
75 Queen St., Suite 4400<br />
Montreal QC H3C 2N6<br />
CANADA<br /><br />
Tel.: 1.514.908-5406<br />
Toll-Free (North America): 1.877.678.3461<br />
Fax: 1.514.908.5407<br /><br />
E-mail: <a href="mailto:info@nstein.com">info@nstein.com</a>
</address>

<h2>Embedded Software Components - Third-Party Material</h2>

<p>WCM includes the following third-party materials (herein after individually referred to as a "Program" or a "Library"). Copyright and right of property to the included third-party material reside in the corresponding owner and such corresponding material is redistributed to the Licensee under their owner' specific terms of license:</p>

<h3>Open source packages</h3>
<?php
$openSourcePackages = array(
    array(
        'name'  => 'Autoload Manager',
        'url'   => 'http://github.com/alfallouji/PHP-Autoload-Manager/',
        'file'  => 'autoloadmanager.txt'
    ),
    array(
        'name'  => 'Calendar',
        'url'   => 'http://www.dynarch.com/projects/calendar/',
        'file'  => 'calendar.txt'
    ),
    array(
        'name'  => 'Cropper',
        'url'   => 'http://www.defusion.org.uk/',
        'file'  => 'cropper.txt'
    ),
    array(
        'name'  => 'FusionCharts Free',
        'url'   => 'http://www.fusioncharts.com/free',
        'file'  => 'fusioncharts.txt'
    ),
    array(
        'name'  => 'jQuery',
        'url'   => 'http://jquery.com/',
        'file'  => 'jquery.txt'
    ),
    array(
        'name'  => 'JSCookMenu',
        'url'   => 'http://jscook.yuanheng.org/JSCookMenu/',
        'file'  => 'jscookmenu.txt'
    ),
        array(
        'name'  => 'overLIB',
        'url'   => 'http://www.bosrup.com/web/overlib/',
        'file'  => 'overlib.txt'
    ),
    array(
        'name'  => 'PHP Cache Lite',
        'url'   => 'http://pear.php.net/package/Cache_Lite',
        'file'  => 'phpcachelite.txt'
    ),
    array(
        'name'  => 'PHP Openid',
        'url'   => 'http://openidenabled.com/php-openid/',
        'file'  => 'phpopenid.txt'
    ),
    array(
        'name'  => 'Prototype',
        'url'   => 'http://prototypejs.org/',
        'file'  => 'prototype.txt'
    ),
    array(
        'name'  => 'Rico',
        'url'   => 'http://openrico.org/',
        'file'  => 'rico.txt'
    ),
    array(
        'name'  => 'Scriptaculous',
        'url'   => 'http://script.aculo.us/',
        'file'  => 'scriptaculous.txt'
    ),
    array(
        'name'  => 'Sizzle',
        'url'   => 'http://sizzlejs.com/',
        'file'  => 'sizzle.txt'
    ),
    array(
        'name'  => 'Smarty Template Engine',
        'url'   => 'http://www.smarty.net/',
        'file'  => 'smarty.txt'
    ),
    array(
        'name'  => 'Solr',
        'url'   => 'http://lucene.apache.org/solr/',
        'file'  => 'solr.txt'
    ),
    array(
        'name'  => 'Stomp',
        'url'   => 'http://stomp.codehaus.org/',
        'file'  => 'stomp.txt'
    ),
    array(
        'name'  => 'Tab Pane',
        'url'   => 'http://webfx.eae.net/dhtml/tabpane/tabpane.html',
        'file'  => 'tabpane.txt'
    ),
    array(
        'name'  => 'TinyMCE',
        'url'   => 'http://tinymce.moxiecode.com/',
        'file'  => 'tinymce.txt'
    ),
    array(
        'name'  => 'wz_tooltip',
        'url'   => 'http://www.walterzorn.com/tooltip/tooltip_e.htm',
        'file'  => 'wztooltip.txt'
    ),
    array(
        'name'  => 'Zend framework',
        'url'   => 'http://framework.zend.com/',
        'file'  => 'zend.txt'
    )

);

foreach ($openSourcePackages as $openSourcePackage)
{
    echo '<h4>' . $openSourcePackage['name'] . ' <a href="' .  $openSourcePackage['url'] . '" target="_blank">(' .  $openSourcePackage['url'] . ')</a></h4>';
    echo '<pre>';
    include $openSourcePackage['file'];
    echo '</pre>';
}
?>

<h2>GNU Lesser General Public License</h2>

<pre>
<?php
include('gpl.txt');
?>
</pre>

<h2>Apache 2.0</h2>

<pre>
<?php
include('apache2.txt');
?>
</pre>

