<?php

require_once dirname(__FILE__) . '/CacheTest.php';
require_once dirname(__FILE__) . '/../../includes/vfsStream/vfsStream.php';

/**
 * The test case for file-based cache module.
 */
class FileCacheTest extends CacheTest
{
    /**
     * Set up the test case.
     * @return void
     */
    public function setUp()
    {
        $dirname = 'cmfFileCache-test-dir';
        
        vfsStreamWrapper::register();
        vfsStreamWrapper::setRoot(new vfsStreamDirectory($dirname));
        
        $this->cache = new cmfFileCache(
            vfsStream::url($dirname)
        );
    }
}