<?php
/**
 * Project:     WCM
 * File:        $Id: main.php 9387 2010-04-06 19:48:13Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-business-api
 * @version     4.x
 */

/**
* Tells WCM which language is currently defined in this constant list
*/
DEFINE('_BIZ_WCM_LANGUAGE', 'en');

// NStein main msg displayed on login
DEFINE('_NSTEIN_WARNING', 'WARNING: [This space is used by clients to communicate general application usage policies. This message is configured in the <u>wcm-business-api/common/languages/en/main.php</u> resource file]');

// Workflow states
DEFINE('_PUBLICATION_WORKFLOW', 'Publication workflow');
DEFINE('_MODERATION_WORKFLOW', 'Moderation workflow');
DEFINE('_ANY_STATE', 'Any state');
DEFINE('_SELF_STATE', 'Self state');
DEFINE('_APPROVED', 'Approved');
DEFINE('_ARCHIVED', 'Archived');
DEFINE('_DRAFT', 'Draft');
DEFINE('_PUBLISHED', 'Published');
DEFINE('_PUBLISHEDMODIFIED', 'Published & Modified');
DEFINE('_REJECTED', 'Rejected');
DEFINE('_SUBMITTED', 'Submitted');
DEFINE('_NEW', 'New');
DEFINE('_SUSPICIOUS', 'Suspicious');
DEFINE('_WT_APPROVE', 'Approve');
DEFINE('_WT_ARCHIVE', 'Archive');
DEFINE('_WT_DEARCHIVE', 'De-archive');
DEFINE('_WT_PUBLISH', 'Publish');
DEFINE('_WT_REJECT', 'Reject');
DEFINE('_WT_RESUBMIT', 'Re-submit');
DEFINE('_WT_SUBMIT', 'Submit');
DEFINE('_WT_UNPUBLISH', 'Un-publish');
DEFINE('_WT_NOTIFY', 'Notify');
DEFINE('_WT_UNSUBMIT', 'Unsubmit');
DEFINE('_WT_UNAPPROVE', 'Unapprove');
DEFINE('_WT_SUBMIT_PUBLISHED', 'Submit');
DEFINE('_WT_REJECT_PUBLISHED', 'Reject');
DEFINE('_WT_RESUBMIT_PUBLISHED', 'Resubmit');
DEFINE('_WT_REPUBLISH', 'Republish');

// Common
DEFINE('_BIZ_ACCESS_PRIVATE', 'Private');
DEFINE('_BIZ_ACCESS_PROTECTED', 'Protected');
DEFINE('_BIZ_ACCESS_PUBLIC', 'Public');
DEFINE('_BIZ_ACCESS_TITLE', 'Access');
DEFINE('_BIZ_ADD', 'Add');
DEFINE('_BIZ_AJAX_PROCESSING_DONE_MSG', 'Processing done');
DEFINE('_BIZ_ALL', 'All');
DEFINE('_BIZ_ALL_DATES', 'All dates');
DEFINE('_BIZ_ASSET', 'Business object');
DEFINE('_BIZ_AUDIO', 'Audio');
DEFINE('_BIZ_AUTHOR', 'Byline');
DEFINE('_BIZ_A_POSTERIORI', 'Automatically publish');
DEFINE('_BIZ_A_PRIORI', 'Requires approval');
DEFINE('_BIZ_APPLY', 'Apply');
DEFINE('_BIZ_BY', 'By');
DEFINE('_BIZ_BIZCLASS', 'Bizclass');
DEFINE('_BIZ_CANCEL', 'Cancel');
DEFINE('_BIZ_CAPTION', 'Caption');
DEFINE('_BIZ_CLEAR', 'Clear');
DEFINE('_BIZ_CONTENT', 'Content');
DEFINE('_BIZ_CREATEDAT', 'Created on ');
DEFINE('_BIZ_CREATEDBY', 'Created by ');
DEFINE('_BIZ_CREDITS', 'Credits');
DEFINE('_BIZ_CUSTOM', 'Custom');
DEFINE('_BIZ_DATE', 'date');
DEFINE('_BIZ_DELETE', 'Delete');
DEFINE('_BIZ_DESCRIPTION', 'Description');
DEFINE('_BIZ_THE_DIRECTORY', 'The directory ');
DEFINE('_BIZ_DOESNT_EXIST', 'doesn\'t exist');
DEFINE('_BIZ_DOCUMENT', 'document');
DEFINE('_BIZ_DONE', 'Done');
DEFINE('_BIZ_EDIT', 'Edit');
DEFINE('_BIZ_EMAIL', 'Email');
DEFINE('_BIZ_EMPTY_LIST', 'Clear');
DEFINE('_BIZ_END_DATE', 'End date');
DEFINE('_BIZ_ENGLISH', 'English');
DEFINE('_BIZ_EXECUTION_COMMAND', 'Your command is being executed. Please wait...');
DEFINE('_BIZ_EXPIRATIONDATE', 'Expiration date');
DEFINE('_BIZ_FILE', 'File');
DEFINE('_BIZ_FIND', 'Search');
DEFINE('_BIZ_FLASH', 'Flash');
DEFINE('_BIZ_FLAT', 'Not threaded');
DEFINE('_BIZ_FOR', 'for');
DEFINE('_BIZ_FREQUENCY', 'Frequency');
DEFINE('_BIZ_FREE_HTML', 'Free HTML');
DEFINE('_BIZ_FRENCH', 'French');
DEFINE('_BIZ_FROM', 'From');
DEFINE('_BIZ_FULLTEXT', 'Full text');
DEFINE('_BIZ_GENERATION_RESULT', 'Generation result');
DEFINE('_BIZ_HIERARCHICAL', 'Threaded');
DEFINE('_BIZ_ID', 'Id');
DEFINE('_BIZ_IMAGE', 'Image');
DEFINE('_BIZ_IMPORTATION', 'Importation');
DEFINE('_BIZ_IMPORT', 'Import');
DEFINE('_BIZ_INDEX', 'Index');
DEFINE('_BIZ_INVALID_XML', 'The XML is invalid. Please contact your administrator.');
DEFINE('_BIZ_INVALID_CLASSNAME', 'Invalid classname: %s');
DEFINE('_BIZ_LABEL', 'Label');
DEFINE('_BIZ_LANGUAGE', 'Language');
DEFINE('_BIZ_LOCATION', 'Location');
DEFINE('_BIZ_METADATA', 'Metadata');
DEFINE('_BIZ_MODIFIED', 'Modified ');
DEFINE('_BIZ_MODIFIEDAT', 'Modified on ');
DEFINE('_BIZ_MOVEDOWN', 'Move down');
DEFINE('_BIZ_MOVEUP', 'Move up');
DEFINE('_BIZ_MY_BIN', 'My bin');
DEFINE('_BIZ_NAME', 'Name');
DEFINE('_BIZ_NEW', 'New');
DEFINE('_BIZ_USERNAME', 'Username');
DEFINE('_BIZ_NO_RESULT', 'No result returned');
DEFINE('_BIZ_OBJECTS_SEARCH', 'Search objects');
DEFINE('_BIZ_OK', 'OK');
DEFINE('_BIZ_ORIGINAL', 'Original');
DEFINE('_BIZ_OR', 'or');
DEFINE('_BIZ_PAGE_SIZE', 'Items per page');
DEFINE('_BIZ_PAGE_LAYOUT', 'Page layout');
DEFINE('_BIZ_PASSWORD', 'Password');
DEFINE('_BIZ_PDF', 'PDF');
DEFINE('_BIZ_PERMALINK', 'Permalink');
DEFINE('_BIZ_PHONE_NUMBER', 'Phone number');
DEFINE('_BIZ_POSITION', 'Position');
DEFINE('_BIZ_PRESENTATION', 'Presentation');
DEFINE('_BIZ_PROCESSING', 'Processing');
DEFINE('_BIZ_PROPERTIES', 'Properties');
DEFINE('_BIZ_PUBLICATIONDATE', 'Publication date');
DEFINE('_BIZ_PUBLISH', 'Generate');
DEFINE('_BIZ_PUBLISHED', 'Published');
DEFINE('_BIZ_PUBLISHED_IN', 'Published in');
DEFINE('_BIZ_NEVER_PUBLISHED', 'N/A');
DEFINE('_BIZ_RANK', 'Rank');
DEFINE('_BIZ_RELEVANCY', 'Relevancy');
DEFINE('_BIZ_RELEASEDATETIME', 'Release Date/Time');
DEFINE('_BIZ_RESET', 'Reset');
DEFINE('_BIZ_RESULTS', 'Results');
DEFINE('_BIZ_RESULTS_FIRST', 'First');
DEFINE('_BIZ_RESULTS_LAST', 'Last');
DEFINE('_BIZ_RESULTS_NEXT', 'Next');
DEFINE('_BIZ_RESULTS_PREVIOUS', 'Previous');
DEFINE('_BIZ_ROOT_ELEMENT', '(root element)');
DEFINE('_BIZ_SAVE', 'Save');
DEFINE('_BIZ_REPLACE', 'Replace');
DEFINE('_BIZ_SAVE_SEARCH', 'Save search');
DEFINE('_BIZ_SEARCH_OBJECTS', 'Search objects');
DEFINE('_BIZ_SELECT', 'Select');
DEFINE('_BIZ_SOURCE', 'Source name');
DEFINE('_BIZ_START_DATE', 'Start date');
DEFINE('_BIZ_STARTING', 'Starting');
DEFINE('_BIZ_STATE_PROVINCE', 'State/Province');
DEFINE('_BIZ_STATISTICS', 'Statistics');
DEFINE('_BIZ_WORKFLOW_STATE', 'State');
DEFINE('_BIZ_SUBJECT', 'Subject');
DEFINE('_BIZ_SUBTITLE', 'Deck');
DEFINE('_BIZ_SURTITLE', 'Lead');
DEFINE('_BIZ_SUBSCRIPTIONS', 'Subscriptions');
DEFINE('_BIZ_SUBSCRIPTION', 'Subscription');
DEFINE('_BIZ_SUBSCRIPTION_ID', 'Subscription id');
DEFINE('_BIZ_TAGS', 'Tags');
DEFINE('_BIZ_TAGS_AVAILABLE', 'Available Tags');
DEFINE('_BIZ_TEASER', 'Lead');
DEFINE('_BIZ_SELECTED_TEMPLATE', 'Selected template');
DEFINE('_BIZ_NO_SELECTED_TEMPLATE', 'No template selected');
DEFINE('_BIZ_TEXT', 'Text');
DEFINE('_BIZ_THUMBNAIL', 'Thumbnail');
DEFINE('_BIZ_TITLE', 'Title');
DEFINE('_BIZ_HEADER', 'Header');
DEFINE('_BIZ_HEADLINE', 'Headline');
DEFINE('_BIZ_CODE', 'Code');
DEFINE('_BIZ_TO', 'to');
DEFINE('_BIZ_TYPE', 'Type');
DEFINE('_BIZ_UNDETERMINED', 'Undetermined');
DEFINE('_BIZ_UPDATE', 'Update');
DEFINE('_BIZ_VALUE', 'Value');
DEFINE('_BIZ_VIDEO', 'Video');
DEFINE('_BIZ_SAVED_BIZOBJECT', 'Saved bizobject');

// Pages : website/section
DEFINE('_BIZ_SECTIONS_HIERARCHY', 'Sections hierarchy');
DEFINE('_BIZ_SECTION_CONTENT_RULES', 'Automated content setup');
DEFINE('_BIZ_SECTION_CONTENT_RULES_MANAGEMENT', 'Rules');
DEFINE('_BIZ_SECTION_CONTENT_RULES_OPTIONS', 'Options');
DEFINE('_BIZ_SECTION_PROMO_PANEL', 'Promotional panel');

// Modules : editorial/article (tabs)
DEFINE('_BIZ_OVERVIEW', 'Overview');
DEFINE('_BIZ_DESIGN', 'Design');
DEFINE('_BIZ_NEW_ARTICLE', 'New article');
DEFINE('_BIZ_TITLE_H1', 'Headline (H1)');
DEFINE('_BIZ_SUBTITLE_H2', 'Deck (H2)');
DEFINE('_BIZ_METACONTENT', 'Meta-content');
DEFINE('_BIZ_METAINFORMATION', 'Meta-information');
DEFINE('_BIZ_LIFECYCLE', 'Lifecycle');
DEFINE('_BIZ_ATTACHED_DOCUMENTS', 'Attached documents');
DEFINE('_BIZ_RELATED', 'Related');
DEFINE('_BIZ_TOTAL', 'Total:');

// Modules : shared/versioning
DEFINE('_BIZ_VERSIONS', 'Versions');
DEFINE('_BIZ_VERSION', 'Version');
DEFINE('_BIZ_REVISION', 'Revision');
DEFINE('_BIZ_VERSION_HISTORY', 'Version history');
DEFINE('_BIZ_ADD_NEW_VERSION', 'Save and create new version');
DEFINE('_BIZ_VERSION_COMMENT', 'Comment');
DEFINE('_BIZ_VERSION_RESTORE', 'Restore');
DEFINE('_BIZ_VERSION_ROLLBACK', 'Rollback');
DEFINE('_BIZ_NO_VERSION_STORED', 'no version stored');
DEFINE('_BIZ_VERSION_ADDED', 'New version successfully created');
DEFINE('_BIZ_VERSION_ADDED_FAILED', 'Creation of new version failed');
DEFINE('_BIZ_VERSION_RESTORED', 'Version successfully restored');
DEFINE('_BIZ_VERSION_RESTORE_FAILED', 'Restoring version failed');
DEFINE('_BIZ_VERSION_ROLLEDBACK', 'Version successfully rolled-back');
DEFINE('_BIZ_VERSION_ROLLBACK_FAILED', 'Rolling-back version failed');
DEFINE('_BIZ_VERSION_MAX_REACHED', 'Max versions reached');

// Modules : editorial/article/Properties
DEFINE('_BIZ_OTHER_SOURCE', 'Other source');
DEFINE('_BIZ_OTHER_SOURCE_NAME', 'Source name');

// Modules : editorial/article/Referencing
DEFINE('_BIZ_REFERENCING', 'Referencing');
DEFINE('_BIZ_PERMALINKS', 'Permalinks');
DEFINE('_BIZ_DEFAULT_PERMALINK', 'Default (Friendly URL)');
DEFINE('_BIZ_NO_PERMALINK', '(none)');
DEFINE('_BIZ_ADDITIONAL_PERMALINKS', 'Additional');
DEFINE('_BIZ_URL_ALIASES', 'URL Aliases');
DEFINE('_BIZ_URL_ALIAS_DUPLICATE', 'URL alias already exists');
DEFINE('_BIZ_OUTBOUND_LINKS', 'Related content');
DEFINE('_BIZ_INBOUND_LINKS', 'Inbounds');

// Modules : editorial/article/categorization
DEFINE('_BIZ_CATEGORIZATION', 'Categorization');
DEFINE('_BIZ_CATEGORIZATION_IPTC', 'IPTC');
DEFINE('_BIZ_CATEGORIZATION_TAGS', 'Tagging');

// Module : editorial/article/footprint
DEFINE('_BIZ_TME', 'Semantic footprint');
DEFINE('_BIZ_TME_ENTITITES_GL', 'Places');
DEFINE('_BIZ_TME_ENTITITES_ON', 'Organizations');
DEFINE('_BIZ_TME_ENTITITES_PN', 'People');
DEFINE('_BIZ_TME_CONCEPTS', 'Concepts');
DEFINE('_BIZ_TME_SENTIMENT', 'Sentiment analysis');
DEFINE('_BIZ_TME_SENTIMENT_TONE', 'Tone');
DEFINE('_BIZ_TME_SENTIMENT_TONE_POSITIVE', 'Positive');
DEFINE('_BIZ_TME_SENTIMENT_TONE_NEUTRAL', 'Neutral');
DEFINE('_BIZ_TME_SENTIMENT_TONE_NEGATIVE', 'Negative');
DEFINE('_BIZ_TME_SENTIMENT_SUBJECTIVITY', 'Subjectivity');
DEFINE('_BIZ_TME_SENTIMENT_SUBJECTIVITY_FACT', 'Fact');
DEFINE('_BIZ_TME_SENTIMENT_SUBJECTIVITY_OPINION', 'Opinion');
DEFINE('_BIZ_TAXONOMIES', 'Taxonomies');
DEFINE('_BIZ_AD_SERVER', 'Advertising');
DEFINE('_BIZ_TME_PROCESSING_FAILED', 'TME processing failed');
DEFINE('_BIZ_UPDATING_SEMANTIC_DATA_FOR', 'Updating semantic data for ');
DEFINE('_BIZ_TOTAL_COMPUT_TIME', 'Total computation time: ');

// Module : editorial/shared/comments
DEFINE('_BIZ_LAST_COMMENT_TIME', 'Last comment made at');

// Modules : editorial/sections
DEFINE('_BIZ_MANAGEMENT_BY_DATE', 'Management by date');
DEFINE('_BIZ_SPECIFY_QUERY', 'Specify query');
DEFINE('_BIZ_EXECUTE_PROCESS', 'Start');

// NServer and semantic metadata
DEFINE('_BIZ_SEMANTIC_DATA', 'Nstein Text Mining Engine');
DEFINE('_BIZ_SEMANTIC_DATA_BIZOBJECTS', 'Business Objects');
DEFINE('_BIZ_SEMANTIC_DATA_KINDS', 'Type of metadata');
DEFINE('_BIZ_SEMANTIC_DATA_WHERE', 'SQL Where Clause');
DEFINE('_BIZ_SEMANTIC_DATA_FORCE_UPDATE', 'Force Update');
DEFINE('_BIZ_UPDATE_SEMANTIC_DATA', 'Refresh semantic footprint');
DEFINE('_BIZ_UPDATE_SEMANTIC_DATA_ALERT', 'WARNING: This action will refresh all of the semantic information associated with your content. This includes IPTC categorization, concepts, entities (Organizations, people and places), tone and summaries. This process can take a long time depending on the amount of content to refresh.');
DEFINE('_BIZ_UPDATE_SEMANTIC_DATA_FAILED', 'Update failed');
DEFINE('_BIZ_UPDATE_SEMANTIC_DATA_SUCCEEDED', 'Update succeeded');
DEFINE('_BIZ_TME_NOT_ENABLED', 'TME module is not enabled, check your configuration file');
DEFINE('_BIZ_CONCEPT', 'Concept');
DEFINE('_BIZ_GEOGRAPHICAL_LOCATION', 'Geographical location');
DEFINE('_BIZ_PERSON_NAME', 'Person names');
DEFINE('_BIZ_ORGANIZATION', 'Organisation');
DEFINE('_BIZ_CATEGORIES_SUGGESTED', 'Suggested categories');
DEFINE('_BIZ_SIZE', 'Size');
DEFINE('_BIZ_NFINDER_ON', 'Organizations');
DEFINE('_BIZ_NCONCEPT_EXTRACTOR', 'Concepts');
DEFINE('_BIZ_NFINDER_PN', 'Person Names');
DEFINE('_BIZ_NFINDER_GL', 'Geographic Locations');
DEFINE('_BIZ_TONE', 'Tone');
DEFINE('_BIZ_SUBJECTIVITY', 'Subjectivity');
DEFINE('_BIZ_SUGGEST', 'Suggest');
DEFINE('_BIZ_NO_SUGGESTION', 'TME has found no relevant suggestion');
DEFINE('_BIZ_SIMILAR_ARTICLES', 'Similar articles');
DEFINE('_BIZ_CONCEPTS', 'Concepts');
DEFINE('_BIZ_RELATED_ARTICLES', 'Related Articles');
DEFINE('_BIZ_SUBJECT_MAP', 'Subject map');
DEFINE('_BIZ_LAST_ARTICLES', 'Last articles');
DEFINE('_BIZ_MOST_DISCUSSED_ARTICLES', 'Most discussed articles');
DEFINE('_BIZ_MOST_POPULAR_ARTICLES', 'Most popular articles');
DEFINE('_BIZ_MOST_RECENT_ARTICLES', 'Most recent articles');

// Rating and hit counter
DEFINE('_BIZ_VOTES', 'Votes');

// Reindexation
DEFINE('_BIZ_REINDEX_CONTENT_TITLE', 'Re-index editorial content on the search engine');
DEFINE('_BIZ_REINDEX_CONTENT_WARNING_MSG', '<span class="warning">Warning:</span> This action will allow you to re-index stored data to render it searchable <br/>=> Warning: the process will take a lot of time.');
DEFINE('_BIZ_INDEXING_RESULT', 'Indexing result');
DEFINE('_BIZ_KIND_ELEMENT', 'Business object');
DEFINE('_BIZ_NUMBER_RECORD_BUSINESS_DB', 'In database');
DEFINE('_BIZ_NUMBER_RECORD_SEARCH_ENGINE', 'Indexed');
DEFINE('_BIZ_EXECUTE_REINDEXATION', 'Begin re-indexing');

// Maintenance and purge
DEFINE('_BIZ_PURGE', 'Purge');
DEFINE('_BIZ_PURGE_SELECT_OBJECTS_TO_PURGE', 'Select objects to purge');
DEFINE('_BIZ_PURGE_LOCKED_OBJETS', 'Purge even locked objects');
DEFINE('_BIZ_NUMBER_RECORD_TO_PURGE', 'Expired');
DEFINE('_BIZ_EXECUTE_PURGE', 'Execute purge');
DEFINE('_BIZ_PURGE_DONE', 'Purge done');
DEFINE('_BIZ_PURGE_NOTHING_TO_PURGE', 'Nothing to purge!');
DEFINE('_BIZ_PURGE_DONE_BUT_WITH_LOCKED', 'Purge done, however some objects where locked and has not been purged');

// Locks
DEFINE('_BIZ_OBJECT_UNLOCKED', 'Object unlocked');
DEFINE('_BIZ_OBJECT_LOCKED', 'Object locked');

// Date interval
DEFINE('_BIZ_NEXT_7_DAYS', 'Next 7 days');
DEFINE('_BIZ_NEXT_3_DAYS', 'Next 3 days');
DEFINE('_BIZ_TOMORROW', 'Tomorrow');
DEFINE('_BIZ_TODAY', 'Today');
DEFINE('_BIZ_YESTERDAY', 'Yesterday');
DEFINE('_BIZ_LAST_3_DAYS', 'Last 3 days');
DEFINE('_BIZ_LAST_7_DAYS', 'Last 7 days');
DEFINE('_BIZ_LAST_MONTH', 'Last month');
DEFINE('_BIZ_LAST_YEAR', 'Last year');

// Error Messages
DEFINE('_BIZ_ERROR', 'Error: ');
DEFINE('_BIZ_ERROR_ON_UNLOCK', 'Unlock failed: ');
DEFINE('_BIZ_ERROR_ON_LOCK', 'Lock failed: ');
DEFINE('_BIZ_ERROR_BEG_END_DATE_FORMAT', 'The end date must be after the begin date');
DEFINE('_BIZ_ERROR_PUBLICATION_DATE_FORMAT', 'The date format for Publication Date must be YYYY-MM-DD');
DEFINE('_BIZ_ERROR_EXPIRATION_DATE_FORMAT', 'The date format for Expiration Date must be YYYY-MM-DD');
DEFINE('_BIZ_ERROR_EXP_PUB_DATE_FORMAT', 'The publication date must be before the expiration date');
DEFINE('_BIZ_ERROR_SAVE', 'Cannot save');
DEFINE('_BIZ_ERROR_TEXT_NOT_EMPTY', 'The text field cannot be empty.');
DEFINE('_BIZ_ERROR_SCORE_NUM', 'Score has to be a number between 0 and 100');
DEFINE('_BIZ_ERROR_UPLOAD_SIZE', 'Uploaded file exceeded maximum allowed filesize: %s');
DEFINE('_BIZ_ERROR_UPLOAD_PARTIAL', 'File was only partially uploaded.');
DEFINE('_BIZ_ERROR_UPLOAD_NO_FILE', 'No file was actually uploaded');
DEFINE('_BIZ_ERROR_UPLOAD_NO_TMP_DIR', 'No temporary directory was found to write uploaded file to.');
DEFINE('_BIZ_ERROR_UPLOAD_CANT_WRITE', 'Could not write uploaded file to disk');
DEFINE('_BIZ_ERROR_UPLOAD_EXTENSION', 'File upload stopped by extension');
DEFINE('_BIZ_ERROR_SITE_IS_MANDATORY', 'Site id is mandatory');
DEFINE('_BIZ_ERROR_NAME_TOO_LONG', 'Name is too long');
DEFINE('_BIZ_ERROR_TPLCATEGORY_INVALID', 'The category name has invalid characters in it.');
DEFINE('_BIZ_ERROR_TPLCATEGORY_TOO_LONG', 'The category name is too long.');
DEFINE('_BIZ_ERROR_TPLNAME_INVALID', 'The template name has invalid characters in it.');
DEFINE('_BIZ_ERROR_INVALID_FILE_CHARS', 'You may only use alphanumeric characters, the forward slash, and the underscore.');

// Errors associated to fields validation
DEFINE('_BIZ_ERROR_CODE_IS_MANDATORY', 'Code is mandatory');
DEFINE('_BIZ_ERROR_CODE_TOO_LONG', 'Code is too long');
DEFINE('_BIZ_ERROR_TITLE_IS_MANDATORY', 'Title is mandatory');
DEFINE('_BIZ_ERROR_TITLE_TOO_LONG', 'Title is too long');
DEFINE('_BIZ_ERROR_TITLE_ALREADY_EXISTS', 'Title already exists');
DEFINE('_BIZ_ERROR_CHAPTER_TITLE_TOO_LONG', 'Page title is too long');
DEFINE('_BIZ_ERROR_SUBTITLE_TOO_LONG', 'Deck is too long');
DEFINE('_BIZ_ERROR_SUPTITLE_TOO_LONG', 'Lead is too long');
DEFINE('_BIZ_ERROR_KEYWORDS_TOO_LONG', 'Keywords are too long');
DEFINE('_BIZ_ERROR_CREDITS_TOO_LONG', 'Credits are too long');
DEFINE('_BIZ_ERROR_AUTHOR_TOO_LONG', 'Author is too long');
DEFINE('_BIZ_ERROR_NICKNAME_TOO_LONG', 'Nickname is too long');
DEFINE('_BIZ_ERROR_USERNAME_IS_MANDATORY', 'Username is mandatory');
DEFINE('_BIZ_ERROR_USERNAME_TOO_LONG', 'Username is too long');
DEFINE('_BIZ_ERROR_FIRSTNAME_TOO_LONG', 'Firstname is too long');
DEFINE('_BIZ_ERROR_LASTNAME_TOO_LONG', 'Lastname is too long');
DEFINE('_BIZ_ERROR_EMAIL_TOO_LONG', 'Email address is too long');
DEFINE('_BIZ_ERROR_CITY_TOO_LONG', 'City is too long');
DEFINE('_BIZ_ERROR_COUNTRY_TOO_LONG', 'Country is too long');
DEFINE('_BIZ_ERROR_POSTAL_CODE_TOO_LONG', 'Postal code is too long');
DEFINE('_BIZ_ERROR_PHONE_TOO_LONG', 'Phone number is too long');
DEFINE('_BIZ_ERROR_STATE_TOO_LONG', 'State is too long');
DEFINE('_BIZ_ERROR_SOURCE_TOO_LONG', 'Source is too long');
DEFINE('_BIZ_ERROR_SOURCE_ID_TOO_LONG', 'SourceId is too long');
DEFINE('_BIZ_ERROR_SOURCE_VERSION_TOO_LONG', 'SourceVersion is too long');
DEFINE('_BIZ_ERROR_SENDER_TOO_LONG', 'Sender is too long');
DEFINE('_BIZ_ERROR_FROM_TOO_LONG', 'From is too long');
DEFINE('_BIZ_ERROR_REPLY_TO_TOO_LONG', 'Reply-to is too long');
DEFINE('_BIZ_ERROR_PUBLICATIONNAME_IS_MANDATORY', 'Publication name is mandatory');
DEFINE('_BIZ_ERROR_ISSUENUMBER_NUM', 'Issue number must be equal or greater than 1');
DEFINE('_BIZ_ERROR_POLL_QUESTION_IS_MANDATORY', 'Poll question is mandatory');
DEFINE('_BIZ_ERROR_POLL_CHOICE_IS_MANDATORY', 'Poll choice is mandatory');

// Question Messages

// BizObject
DEFINE('_BIZ_SWITCH_TO_OBJECT_SITE', 'In order to edit this object, you must switch to this object\'s working site');
DEFINE('_BIZ_MOVE_OBJ_TO_WORKING_SITE', 'The site this object is associated with no longer exists. Would you like to move this object to your current working site (%s)');
DEFINE('_BIZ_TITLE_OBJ_IN_BAD_SITE', 'Object Belongs to an Invalid Site');
DEFINE('_BIZ_TITLE_OBJ_IN_DIFFERENT_SITE', 'Object is in a Different Site');

// Channel
DEFINE('_BIZ_CHANNEL', 'Section');
DEFINE('_BIZ_CHANNELS', 'Sections');
DEFINE('_BIZ_NEW_QUERY', 'New query');
DEFINE('_BIZ_CHOOSE_QUERY', 'Choose query');
DEFINE('_BIZ_CHANNEL_INDENT', '&nbsp;&nbsp;&nbsp;');
DEFINE('_BIZ_CHANNEL_INDENT_SYMBOL', ' :: ');
DEFINE('_BIZ_CHANNEL_MANAGE_DATE', 'There is no particular content for the specified date. Content for the following date has been loaded: ');
DEFINE('_BIZ_CHANNEL_EMPTY_CONTENT', 'The content for this date has been cleared');
DEFINE('_BIZ_CHANNEL_MANAGE_CONTENT_OF', 'Managing content of ');
DEFINE('_BIZ_CHANNEL_REQUEST', 'Requests of the section');
DEFINE('_BIZ_FORCED_CHANNEL', 'Content forced');
DEFINE('_BIZ_DATE_MANAGEMENT', 'Date Management');
DEFINE('_BIZ_MIXED_MANAGEMENT', 'Mixed management');
DEFINE('_BIZ_ORDER_BY', 'Order by');
DEFINE('_BIZ_LIMIT', 'Limit');
DEFINE('_BIZ_BUILD_QUERY', 'Build query');
DEFINE('_BIZ_IN_CHANNEL', 'In section');

// Article
DEFINE('_BIZ_ARTICLE', 'Article');
DEFINE('_BIZ_ARTICLES', 'Articles');
DEFINE('_BIZ_SECTION', 'Section');
DEFINE('_BIZ_SECTIONS', 'Sections');
DEFINE('_BIZ_CHAPTER', 'Page');
DEFINE('_BIZ_CHAPTERS', 'Pages');
DEFINE('_BIZ_NEW_CHAPTER', 'New page');
DEFINE('_BIZ_ABSTRACT', 'Abstract');
DEFINE('_BIZ_PAGE_TITLE', 'Page headline');
DEFINE('_BIZ_PAGE_CONTENT', 'Page content');
DEFINE('_ADD_PAGE_AFTER', 'Add page after');
DEFINE('_ADD_PAGE', 'Add page');

// News Item
DEFINE('_BIZ_NEWSITEM', 'News item');

// Forum
DEFINE('_BIZ_FORUM', 'Forum');
DEFINE('_BIZ_FORUMS', 'Forums');
DEFINE('_BIZ_FORUM_NOCOMMENT', 'No contributions yet for this forum');
DEFINE('_BIZ_KIND', 'Kind');
DEFINE('_BIZ_POST', 'Post');

// Item
DEFINE('_BIZ_ITEM', 'Item');
DEFINE('_BIZ_ITEMS', 'Items');
DEFINE('_BIZ_ITEM_TYPE', 'Item type');
DEFINE('_BIZ_UPLOAD_PHOTO', 'Upload Photo');
DEFINE('_BIZ_DELETE_ITEM', 'Delete Item');
DEFINE('_BIZ_SELECT_ITEM', 'Select Item');

// Poll
DEFINE('_BIZ_KIND_OF_POLL', 'Kind of poll');
DEFINE('_BIZ_POLL', 'Poll');
DEFINE('_BIZ_POLLS', 'Polls');
DEFINE('_BIZ_VOTE', 'Vote');
DEFINE('_BIZ_POLL_QUESTION', 'Poll question');
DEFINE('_BIZ_POLL_QUESTION_TEXT', 'Question');
DEFINE('_BIZ_SINGLE_CHOICE', 'Single choice');
DEFINE('_BIZ_MULTIPLE_CHOICE', 'Multiple choice');

// Contribution
DEFINE('_BIZ_CONTRIBUTION', 'Comment');
DEFINE('_BIZ_CONTRIBUTIONS', 'Comments');
DEFINE('_BIZ_CONTRIBUTION_NONE', 'Don\'t invite comments');
DEFINE('_BIZ_CONTRIBUTION_CLOSED', 'Locked');
DEFINE('_BIZ_CONTRIBUTION_OPEN', 'Invite comments');
DEFINE('_BIZ_NO_CONTRIBUTION', 'No comments');
DEFINE('_BIZ_MODERATION', 'Moderation');
DEFINE('_BIZ_CONTRIBUTION_NO_REFERENT', 'No referent');
DEFINE('_BIZ_CONTRIBUTION_ORPHAN', 'This comment is orphaned');

// Shared media

// Photo
DEFINE('_BIZ_PHOTO', 'Photo');
DEFINE('_BIZ_PHOTOS', 'Photos');
DEFINE('_BIZ_MANAGE_CROPPING', 'Ratios and cropping');
DEFINE('_BIZ_DIMENSIONS', 'Dimensions');
DEFINE('_BIZ_RATIO_THUMB_SQUARE', 'Thumbnail: Square');
DEFINE('_BIZ_RATIO_THUMB_HORIZONTAL', 'Thumbnail: Horizontal');

// Site
DEFINE('_BIZ_SITE', 'Web site');
DEFINE('_BIZ_SITES', 'Sites');
DEFINE('_BIZ_SITE_NO_RESULT', 'No result returned');
DEFINE('_BIZ_SITE_CANT_DELETE_CURRENT', 'It is not allowed to delete the current site.');

// Menu and recipe

// Upload
DEFINE('_BIZ_IMAGE_FILE', 'Image file');

// Links

// Slideshow
DEFINE('_BIZ_SLIDESHOW', 'Slideshow');
DEFINE('_BIZ_SLIDESHOWS', 'Slideshows');
DEFINE('_BIZ_ADD_PHOTOS_MSG', 'Add photos');

// Newsletter
DEFINE('_BIZ_NEWSLETTER', 'Newsletter');
DEFINE('_BIZ_NEWSLETTERS', 'Newsletters');
DEFINE('_BIZ_SENDER', 'Sender');
DEFINE('_BIZ_REPLY_TO', 'Reply to');
DEFINE('_BIZ_NEWSLETTER_MSG_TEMPLATE_USED', 'Newsletter\'s templates');
DEFINE('_BIZ_HTML_TEMPLATE', 'HTML');
DEFINE('_BIZ_TEXT_TEMPLATE', 'Plain text');
DEFINE('_BIZ_NEWSLETTER_SUBSCRIBERS', 'Subscribers');
DEFINE('_BIZ_NEWSLETTER_EXISTING_SUBSCRIBERS', 'Existing subscribers');
DEFINE('_BIZ_NEWSLETTER_FORCED_CONTENT', 'Forced content');
DEFINE('_BIZ_NEWSLETTER_CONFIGURATION', 'Configuration');
DEFINE('_BIZ_NEWLETTERS_TEMPLATES', 'Email templates');

// Webuser
DEFINE('_BIZ_WEBUSER', 'Web user');
DEFINE('_BIZ_WEBUSERS', 'Web users');
DEFINE('_BIZ_WEBUSER_CONTRIBUTIONS', 'Web user\'s comments');
DEFINE('_BIZ_FIRSTNAME', 'First name');
DEFINE('_BIZ_LASTNAME', 'Last name');
DEFINE('_BIZ_ADDRESS', 'Address');
DEFINE('_BIZ_POSTALCODE', 'Postal Code');
DEFINE('_BIZ_CITY', 'City');
DEFINE('_BIZ_COUNTRY', 'Country');
DEFINE('_BIZ_BANNED', 'Banned');
DEFINE('_BIZ_WAITING', 'Suspended');
DEFINE('_BIZ_VALID', 'Valid');
DEFINE('_BIZ_LAST_LOGIN', 'Last login');

// Collection
DEFINE('_BIZ_COLLECTION', 'Collection');
DEFINE('_BIZ_COLLECTIONS', 'Collections');

// Questionnaire

// NServer Msg
DEFINE('_BIZ_MSG_INSERT', 'Insert successful');
DEFINE('_BIZ_MSG_UPDATE', 'Update successful');
DEFINE('_BIZ_MSG_EDIT', 'Edit an item');
DEFINE('_BIZ_MSG_INSERT_TEXT', 'Enter a value here');

// Subscriptions
DEFINE('_BIZ_SUBSCRIPTION_ADD', 'Add a subscription');
DEFINE('_BIZ_SUBSCRIPTION_START', 'Subscription Start');
DEFINE('_BIZ_SUBSCRIPTION_END', 'Subscription End');
DEFINE('_BIZ_SUBSCRIPTION_TYPE', 'Subscription Type');
DEFINE('_BIZ_SUBSCRIPTION_BUTTON_ADD', 'Add Subscription');
DEFINE('_BIZ_SUBSCRIPTION_VALUE', 'Subscription Value');
DEFINE('_BIZ_CUSTOMIZED_SUBSCRIPTION', 'Custom subscription');

// Search
DEFINE('_BIZ_SECONDS', 'seconds');

/**
* Specific (generated web site dependant) language resources
*
* english version
*/

/* general */
DEFINE('_WEB_AUTHOR', 'Author');
DEFINE('_WEB_EMAIL', 'Email');
DEFINE('_WEB_IN', 'in');

/* Semantic data */

/* Comments and Contributions */
DEFINE('_WEB_COMMENT', 'Comment');
DEFINE('_WEB_COMMENT_ON', 'Comment on ');

/* Request */
DEFINE('_BIZ_CHANNEL_REQUEST_NAME', 'Request Name');
DEFINE('_BIZ_CHANNEL_REQUEST_CLASS', 'Request Class');
DEFINE('_BIZ_CHANNEL_REQUEST_WHERE', 'Where');
DEFINE('_BIZ_CHANNEL_REQUEST_ORDERBY', 'Order By');
DEFINE('_BIZ_OPERATOR', '');
DEFINE('_BIZ_FIELDS', 'Fields');
DEFINE('_BIZ_COMPARE', 'Operator');
DEFINE('_BIZ_ORDER', 'Order Type');
DEFINE('_BIZ_CHECK_REQUEST', 'Check the request validity');
DEFINE('_BIZ_CHANNEL_REQUEST_NOT_VALID', 'The request is not valid');
DEFINE('_BIZ_CHANNEL_REQUEST_VALID', 'The request is valid');

/* Import */
DEFINE('_XSL_FOLDER', 'Folder with XSLs');
DEFINE('_BIZ_IMPORT_NITF', 'NITF files');
DEFINE('_BIZ_BEGIN_IMPORT', 'Starting import with %s as root folder');
DEFINE('_BIZ_END_IMPORT', 'End of import with %s as root folder');
DEFINE('_BIZ_READ_FOLDER', 'Reading folder:');
DEFINE('_BIZ_PROCESS_FOLDER', 'Processing folder:');
DEFINE('_BIZ_PROCESS_FILE', 'Processing file:');
DEFINE('_BIZ_INVALID_FILE', 'The file %s%s is invalid');
DEFINE('_BIZ_XSL_NOT_FOUND', 'The XSL does not exist');
DEFINE('_BIZ_XML_INVALID', 'The file %s is not a valid XML');
DEFINE('_BIZ_CREATE_ARTICLE', 'Creating article (code: %s)');
DEFINE('_BIZ_UPDATE_ARTICLE', 'Updating article #%s (code: %s)');
DEFINE('_BIZ_FILE_IMPORT_INCORRECT', 'File "%s" did not import correctly ::');
DEFINE('_BIZ_IMPORT_FILE_LOCATION', 'File(s) location');
DEFINE('_BIZ_IMPORT_SOURCE_FOLDER', 'Source folder');
DEFINE('_BIZ_IMPORT_TRANSFORMATION_SETTINGS', 'Transformation settings');
DEFINE('_BIZ_IMPORT_XSL_TEMPLATE_LOCATION', 'XSL templates location');
DEFINE('_BIZ_IMPORT_MEDIA_SETTINGS', 'Media settings');
DEFINE('_BIZ_IMPORT_EMBEDDED_PHOTOS', 'Embedded photos');
DEFINE('_BIZ_IMPORT_NO_DESTINATION_DIRECTORY', 'Destination directory does not exist and could not be created');
DEFINE('_BIZ_IMPORT_NO_DESTINATION_DIRECTORY_CREATED', 'Destination directory does not exist, created it');
DEFINE('_BIZ_IMPORT_JPEG', 'Import JPEG photos using embedded XMP metadata');
DEFINE('_BIZ_IMPORT_DAM', 'Import from DAM webservice');
DEFINE('_BIZ_IMPORT_NEWSML', 'Import from a NewsXML source file');
DEFINE('_BIZ_IMPORT_NSTEIN', 'Import from an NStein native XML source file');
DEFINE('_BIZ_IMPORT_CRITERIA', 'Import criteria');
DEFINE('_BIZ_IMPORT_FROM_WHEN', 'Import from when');
DEFINE('_BIZ_IMPORT_FROM_WHERE', 'Import from where');
DEFINE('_BIZ_DAM_WEB_SERVICE_URL', 'DAM Webservice URL');
DEFINE('_BIZ_IMPORT_DAME_REPOSITORY', 'DAM Media Repository Webservices');
DEFINE('_BIZ_USERID', 'User ID');
DEFINE('_BIZ_MISCELLANEOUS', 'Miscellaneous');
DEFINE('_BIZ_XSL_FOLDER', 'XSL folder');
DEFINE('_BIZ_CLASSES', 'Classes');
DEFINE('_BIZ_LAST_THREE_DAYS', 'Last three days');
DEFINE('_BIZ_LAST_SEVEN_DAYS', 'Last seven days');
DEFINE('_BIZ_LAST_IMPORT', 'Last import');
DEFINE('_BIZ_IMPORT_DAM_NEW_PROCESSOR', 'Using additional processor class');
DEFINE('_BIZ_IMPORT_DAM_PROCESSOR_FAILED', 'Special logic for class %s failed');
DEFINE('_BIZ_IMPORT_DAM_NO_MAPPING', 'Could not find mapping information for DAM Class');
DEFINE('_BIZ_IMPORT_DAM_INVALID_TOKEN', 'Invalid security token');
DEFINE('_BIZ_IMPORT_DATA_INTEGRITY_SETTINGS', 'Data Integrity Settings');
DEFINE('_BIZ_IMPORT_DATA_INTEGRITY_ID', 'If imported object has an ID, force the use of that ID (do not generate a new one)');

/* Import AFP */
DEFINE('_BIZ_NO_INDEX_FILE_FOR_CHANNEL', 'No index file found for channel ');
DEFINE('_BIZ_CREATE_CHANNEL', 'Creating channel ');
DEFINE('_BIZ_UPDATE_CHANNEL', 'Updating channel ');
DEFINE('_BIZ_INDEX_CHANNEL_UNCHANGED', 'Index of channel %s [%s] has not changed since last import (%s &gt; %s)');
DEFINE('_BIZ_INDEX_INVALID_XML', 'The index file %s/index.xml in not a valid XML file');
DEFINE('_BIZ_ARTICLE_XML_ERROR', 'Article XML error: ');
DEFINE('_BIZ_ASSOC_PHOTO_ARTICLE', 'Linking photo #%s to article #%s');
DEFINE('_BIZ_ASSOC_PHOTO_ARTICLE_DONE', 'Linked photo %s to article %s');
DEFINE('_BIZ_ORIGINAL_PHOTO_NOT_FOUND', 'Cannot find original picture of photo %s');
DEFINE('_BIZ_THUMBNAIL_NOT_FOUND', 'Cannot find thumbnail %s of picture %s');
DEFINE('_BIZ_CANNOT_COPY_PHOTO_AFP', 'Unable to copy picture from %s/%s to %s');
DEFINE('_BIZ_CANNOT_COPY_THUMBNAIL_AFP', 'Unable to copy thumbnail from %s/%s to %s');
DEFINE('_BIZ_NOINIT_PHOTO_XML', 'Could not init photo from XML: %s');

/* Import Bizobject */
DEFINE('_BIZ_CREATE_BIZOBJECT', 'Creating object %s (code: %s)');
DEFINE('_BIZ_UPDATE_BIZOBJECT', 'Updating object %s #%s (code: %s)');

/* Import Photos */
DEFINE('_BIZ_IMPORT_UPDATE_PHOTO', 'Updating photo ');
DEFINE('_BIZ_IMPORT_INSERT_PHOTO', 'Adding photo ');
DEFINE('_BIZ_IMPORT_PROCESS', 'Process files:');
DEFINE('_BIZ_IMPORT_PHOTO_FILE', 'Photo file:');
DEFINE('_BIZ_IMPORT_PHOTO_NO_TITLE', ' does not have a title.');
DEFINE('_BIZ_IMPORT_PHOTO_OK', 'Imported photo file:');

/* Print Information */
DEFINE('_BIZ_PUBLICATION', 'Publication');
DEFINE('_BIZ_PUBLICATIONS', 'Publications');
DEFINE('_BIZ_ISSUE', 'Issue');
DEFINE('_BIZ_ADD_ISSUE', 'Add issue');
DEFINE('_BIZ_ISSUENUMBER', 'Issue number');
DEFINE('_BIZ_PUBLICATIONNAME', 'Publication name');
DEFINE('_BIZ_PAGE_NUMBER', 'Page number');
DEFINE('_BIZ_ISSUES', 'Issues');
DEFINE('_BIZ_CREATE_PUBLICATION', 'Creating publication: %s');
DEFINE('_BIZ_UPDATE_PUBLICATION', 'Updating publication: %s');
DEFINE('_BIZ_CREATE_ISSUE', 'Creating issue: %s');
DEFINE('_BIZ_UPDATE_ISSUE', 'Updating issue: %s');

// Search
DEFINE('_BIZ_SEARCH_ADD_TO_SELECTED_BIN', 'Add to selected bin');
DEFINE('_BIZ_TOGGLE', 'Toggle');
DEFINE('_BIZ_MODIFIED_AT', 'Modified on');
DEFINE('_BIZ_ITEMS_FOUND_IN', ' items found in ');
DEFINE('_BIZ_FILTER_SELECTION', 'filter selection');
DEFINE('_BIZ_REFINE', 'Refine results using the filters');
DEFINE('_BIZ_CANNOT_LOAD_CONFIGURARTION_FILE', 'Impossible to load search_configuration.xml');
DEFINE('_BIZ_SEARCHES', 'Searches');
DEFINE('_BIZ_QUERY', 'Query');
DEFINE('_BIZ_MY_SAVED_SEARCHES', 'My saved searches');
DEFINE('_BIZ_SEARCH_HISTORY', 'Search history');
DEFINE('_BIZ_REMOVE', 'Remove');
DEFINE('_BIZ_CURRENT_SEARCH', 'current search');
DEFINE('_BIZ_DASHBOARD', 'Add to dashboard ?');
DEFINE('_BIZ_CREATE', 'Create');
DEFINE('_BIZ_EMPTY_BIN', 'empty bin');
DEFINE('_BIZ_SELECTED_ITEMS', 'Selected Item(s)');
DEFINE('_BIZ_ADD_TO_SELECTED_BIN', 'Add to selected bin');
DEFINE('_BIZ_SELECTED_BIN', 'Selected bin');
DEFINE('_BIZ_ALL_BINS', 'all bins');
DEFINE('_BIZ_CREATE_BIN', 'Create bin');
DEFINE('_BIZ_MANAGE', 'manage');
DEFINE('_BIZ_NO_DETAIL', '---'); // Displayed in the search results when an attribute is undefined
DEFINE('_BIZ_GRID_VIEW', 'Grid view');
DEFINE('_BIZ_LIST_VIEW', 'List view');
DEFINE('_BIZ_TOP_CONCEPTS', 'Top concepts');
DEFINE('_BIZ_TOP_ENTITIES', 'Top entities');
DEFINE('_BIZ_TOP_EDITORIAL_TAGS', 'Top editorial tags');
DEFINE('_BIZ_TOP_SUBJECTS', 'Subjects');
DEFINE('_BIZ_ASSET_TYPES', 'Asset types');
DEFINE('_BIZ_DATE_RANGES', 'Date ranges');
DEFINE('_BIZ_SOURCES', 'Sources');
DEFINE('_BIZ_FILTERS', 'Filters');
DEFINE('_BIZ_SHARED', 'Shared');
DEFINE('_BIZ_SHOW_UI', 'Show UI');

// Widget
DEFINE('_BIZ_DESIGN_TOOLBOX', 'Design toolbox');
DEFINE('_BIZ_WIDGET_TEMPLATE', 'Page template');
DEFINE('_BIZ_WIDGET_ADD', 'Add widget');
DEFINE('_BIZ_WIDGET_ZONE', 'in zone');
DEFINE('_BIZ_LIMIT_TO', 'Limit to');
DEFINE('_BIZ_LEFT_ZONE', 'Left zone');
DEFINE('_BIZ_RIGHT_ZONE', 'Right zone');
DEFINE('_BIZ_MAIN_ZONE', 'Main zone');
DEFINE('_BIZ_SAVE_WIDGETS', 'Save widgets');
DEFINE('_BIZ_REFRESH_WIDGET_BUGS', 'Refresh content of this box');
DEFINE('_BIZ_EDIT_SETTINGS', 'Edit settings');

DEFINE('_BIZ_DOCUMENTS', 'Documents');
DEFINE('_BIZ_MEDIA', 'Media');
DEFINE('_BIZ_NEWS_CONTENT', 'News');

// Date Format
DEFINE('_DATE_FORMAT', '%Y-%m-%d');
DEFINE('_DATE_TIME_FORMAT', '%Y-%m-%d @ %H:%M');

// Publication workflow
DEFINE('_BIZ_VERSION_CREATED_BEFORE_PUBLICATION', 'Version created automatically before publication');

// Export
DEFINE('_BIZ_EXPORT', 'Export');
DEFINE('_BIZ_NO_ITEMS_SELECTED', 'No items selected');
DEFINE('_BIZ_CREATE_NEW', 'Create a new bizobject');
DEFINE('_BIZOBJECTS', 'Bizobjects');
DEFINE('_BIZ_EXPORT_SUCCESFULL_TO', 'Bizobjects successfully exported to ');
DEFINE('_BIZ_EXPORT_ERROR', 'There was an error with the export. Please try again.');
DEFINE('_BIZ_CHOOSE_CHANNEL', 'Choose a section');
DEFINE('_BIZ_CHOOSE_COLLECTION', 'Choose a collection');
DEFINE('_BIZ_CHOOSE_SLIDESHOW', 'Choose a slideshow');

// move to channel
DEFINE('_BIZ_MOVE_CHANNEL', 'Move to a section');
DEFINE('_BIZ_MOVE_SUCCESS', 'Selected items successfully moved to section ');
DEFINE('_BIZ_BASEQUERY', 'Base query:');

/**
* Google tools
* @todo : put this in plugin's language file
*/
DEFINE('_G_ADWORDS', 'adWords');
DEFINE('_GOOGLE_ADWORDS', 'Google adWords');
DEFINE('_GOOGLE_TEXT', 'Use this plug-in to ensure SEO friendly content. Helps editors better target their audience.');
DEFINE('_GOOGLE_MORE_SPECIFIC', 'More Specific');
DEFINE('_GOOGLE_ADDITIONAL', 'Additional To Consider');
DEFINE('_GOOGLE_NO_DATA', 'No data was provided');
DEFINE('_GOOGLE_NO_RESULT', 'Google did not return any results or your configuration file may not be correct.');
DEFINE('_GOOGLE_LAUNCH', 'Launch');
DEFINE('_GOOGLE_NEAR', 'Near');
DEFINE('_GOOGLE_OFINTEREST', 'Of interest');
DEFINE('_GOOGLE_TOAVOID', 'To avoid');
DEFINE('_NSTEIN_SAYS', 'Nstein says:');
DEFINE('_GOOGLE_SAYS', 'Google says:');

/**
* Sitemaps
*/
DEFINE('_SITEMAP', 'Site map');
DEFINE('_SITEMAP_SETTINGS', 'Settings');
DEFINE('_SITEMAP_ROBOT', 'Add to robot.txt');
DEFINE('_SITEMAP_PATH', 'Path');
DEFINE('_SITEMAP_ADD_URL', 'Additionnal urls');
DEFINE('_SITEMAP_SAVE_SUBMIT', 'Regenerate and submit');
DEFINE('_SITEMAP_UPDATE_SUCCESS', 'The sitemap was successfully updated or created');
DEFINE('_SITEMAP_PARSER_ERROR', 'The parser encountered a problem');
DEFINE('_SITEMAP_NO_DATA', 'No data was received');
DEFINE('_SITEMAP_NO_CREDENTIALS', 'Please enter your credentials in the configuration file');
DEFINE('_SITEMAP_STATUS_200', 'The sitemap was successufuly submited (status code 200)');
DEFINE('_SITEMAP_STATUS_403', 'Sitemap URL does not belong to the site (status code 403)');
DEFINE('_SITEMAP_STATUS_404', 'Not found (status code 404)');
DEFINE('_SITEMAP_SITE_DOMAIN', 'Site domain name');


// SOAP
DEFINE('WCM_WS_EXC_SYSTEM_ERROR', 'SOAP: System error');
