<?php
/**
 * Project:     WCM
 * File:        $Id: wcm.bizclass.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-system-api
 * @version     4.x
 */

/**
 * The wcmBizclass is used to describe and create business objects
 */
class wcmBizclass extends wcmSysclass
{
    /**
     * Workflow for this bizclass
     * @var int
     */
    public $workflowId;
    
    /**
     * The name of the workflow script for this bizclass.
     * @var string
     */
    public $workflowScript;

    /**
     * Override type property so that it's explicitly defined as a bizclass
     * @var string
     */
    protected $objectType = 'wcmBizclass';

    /**
     * Get the database used to store/fetch object
     *
     * @return wcmDatabase Database object
     */
    public function getDatabase()
    {
        if (!$this->database)
        {
            $this->database = wcmProject::getInstance()->database;
            $this->tableName = '#__bizclass';
        }

        return $this->database;
    }
}
