<?php
/**
 * Project:     WCM
 * File:        $Id: main.php 9389 2010-04-06 19:57:40Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-system-api
 * @version     4.x
 */

/**
 * Tells WCM which language is currently defined in this constant list
  */
DEFINE('_WCM_LANGUAGE', 'fr');

DEFINE('_LOGIN_DEFAULT', 'Authentification WCM');
DEFINE('_LOGIN_LDAP', 'Authentification LDAP');
DEFINE('_LOGIN_OPENID', 'Authentification OpenID');

// common
DEFINE('_LICENSE', 'Licence');
DEFINE('_ALLOW_OPTIMISTIC', 'Mode de verrouillage optimiste');
DEFINE('_PRODUCT', 'Web Content Management (WCM)');
DEFINE('_LANGUAGE', 'Langue');
DEFINE('_BASELINE', 'Logiciel de conception et de publication Web');
DEFINE('_CLASS_NAME_EXIST', 'Ce nom de classe existe déja');
DEFINE('_CLOSE', 'Fermer');
DEFINE('_COPYRIGHT', '&copy;2010 <a href="http://www.nstein.com" target="_top">Nstein Technologies Inc</a>');
DEFINE('_LOGOUT', 'Déconnexion');
DEFINE('_HELP', 'Aide');
DEFINE('_FIND', 'Chercher');
DEFINE('_KEYWORDS', 'Mots clés');
DEFINE('_EXECUTE', 'Exécuter');
DEFINE('_UNEXPECTED_ERROR', 'Erreur inattendue');
DEFINE('_VALIDATE', 'Valider');
DEFINE('_CANCEL', 'Annuler');
DEFINE('_SORT', 'Trier');
DEFINE('_INDENT', '  >>');
DEFINE('_REMOVE', 'Enlever');
DEFINE('_REMOVED', 'Enlevé');
DEFINE('_SIGNED_IN_AS', 'Connecté sous :');
DEFINE('_SITES', 'Sites');
DEFINE('_TITLE', 'Titre');
DEFINE('_NONE', 'aucun');
DEFINE('_OK', 'OK');
DEFINE('_TOP', 'Top');
DEFINE('_BOTTOM', 'Bottom');
DEFINE('_TOGGLE', 'Inverser la sélection');
DEFINE('_UPDATE', 'Mise à jour');
DEFINE('_UPDATE_SUCCESSFUL', 'Mise à jour réussie');
DEFINE('_LEFT', 'Gauche');
DEFINE('_RIGHT', 'Droite');
DEFINE('_WORKING_IN', 'Environnement :');
DEFINE('_CHANGE', 'Changer');
DEFINE('_SELECT', 'Sélectionner');
DEFINE('_RELOAD', 'Recharger');
DEFINE('_DEFAULT', 'Défaut');
DEFINE('_TAGS', 'Balises');
DEFINE('_REVISION_NUMBER', 'Revision');
DEFINE('_LOADING', 'Chargement...');
DEFINE('_OPEN', 'Ouvrir');
DEFINE('_FORBIDDEN', 'Vous n\'avez pas suffisament de droits pour accéder à cet objet. Veuillez contacter votre administrateur');
DEFINE('_NOT_FOUND', 'La page demandée n\'existe pas.');
DEFINE('_NO_SITE_ALLOWED', 'Aucun site autorisé. Veuillez contacter votre administrateur');
DEFINE('_FILENOTFOUND_EXCEPTION', 'Fichier source introuvable');
DEFINE('_NOT_SUPPORTED_TYPE', 'Ce format d\'image n\'est pas supporté');
DEFINE('_INVALID_OBJECT_XML', 'Représentation XML invalide pour l\'objet %s de type %s');
DEFINE('_CONFIGURATION_ERROR', 'Erreur de configuration');
DEFINE('_CONFIG', 'Configuration');
DEFINE('_FILENAME', 'Nom de fichier');

// errors
DEFINE('_ERROR_UNIQUE_CODE', 'Ce code existe déjà');
DEFINE('_EXCEPTION', 'A fatal exception has occurred. Please report the content below to your system administrator:'); // TODO

// setup
DEFINE('_SETUP', 'Installation');
DEFINE('_STEP', 'Étape');
DEFINE('_OF', 'de');

// login page
DEFINE('_LOGIN_METHOD', 'Authentification');
DEFINE('_INVALID_ACTION', 'Action invalide');
DEFINE('_PROJECT', 'Projet');
DEFINE('_USERNAME', 'Utilisateur');
DEFINE('_LOG_IN', 'Connexion');
DEFINE('_LOGIN_FAILED', 'Votre code d\'accès a été refusé par le système d\'authentification.');
DEFINE('_CHOOSE_LOGIN_METHOD', 'Choose an Alternative Login Method');
DEFINE('_LOGGED_OUT', 'Déconnexion réussie');
DEFINE('_SIGN_IN', 'Connexion');
DEFINE('_CLIENT_LICENSE', 'Cette licence de Nstein WCM est réservée au seul usage de ');
DEFINE('_NSTEIN_SUPPORT', '<strong>Support Nstein</strong> <a href="mailto:support@nstein.com">support@nstein.com</a>');
DEFINE('_NSTEIN_SUPPORT_NETWORK', '<strong>Réseau de support</strong> <a href="https://support.nstein.com/" target="_top">https://support.nstein.com/</a>');
DEFINE('_NSTEIN_WARNING', 'AVERTISSEMENT: [Cet espace est utilisé par les clients pour communiquer avec les usagers. Ce message peut être configuré dans le fichier de ressources <u>\languages\fr\main.php</u>');

// generic actions
DEFINE('_REFRESH', 'Actualiser');
DEFINE('_START', 'Start');
DEFINE('_STOP', 'Stop');
DEFINE('_ABORT', 'Abort');
DEFINE('_SEARCH', 'Chercher');
DEFINE('_CREATE', 'Créer');
DEFINE('_PREVIEW', 'Prévisualiser');
DEFINE('_PUBLISH', 'Mettre en ligne');
DEFINE('_CHECKOUT', 'Extraire');
DEFINE('_CHECKIN', 'Enregistrer');
DEFINE('_CLONE', 'Dupliquer');
DEFINE('_DELETE', 'Supprimer');
DEFINE('_EDIT', 'Éditer');
DEFINE('_QUICK_EDIT', 'Édition rapide');
DEFINE('_WCM_SEARCH', 'Recherche WCM');
DEFINE('_UPLOAD_MEDIA', 'Télécharger');
DEFINE('_UPDATED', 'Mise à jour avec succès');
DEFINE('_SHARE', 'Partager');
DEFINE('_SHARED_SAVED_SEARCHES', 'Recherches publiques');

// icons
DEFINE('_SELECTION', 'Sélection');

// search
DEFINE('_ADVANCED_SEARCH', 'Recherche avancée');
DEFINE('_FULLTEXT', 'Plein-texte');
DEFINE('_ALL_DATES', '(toute date)');
DEFINE('_TODAY', 'Aujourd\'hui');
DEFINE('_YESTERDAY', 'Hier');
DEFINE('_SINCE_7DAYS', 'Depuis 7 jours');
DEFINE('_SINCE_1MONTH', 'Depuis 1 mois');
DEFINE('_SINCE_3MONTHES', 'Depuis 3 mois');
DEFINE('_SINCE_1YEAR', 'Depuis 1 an');
DEFINE('_SEARCH_RESULT', 'Résultat de la recherche');
DEFINE('_RESULT_N_ITEMS_FOUND', '%s élément%s trouvé%s');
DEFINE('_RESULT_NO_ITEM_FOUND', 'Aucun élément trouvé');
DEFINE('_INVALID_SEARCH_CONFIG', 'Configuration de recherche "%s" invalide');
DEFINE('_MISSING_SEARCH_ID', 'Identifiant de recherche manquant ou vide');
DEFINE('_INVALID_SEARCH_ID', 'Identifiant de recherche "%s" invalide');
DEFINE('_INVALID_SEARCH_PLUGIN', 'Plugin de recherche "%s" invalide');
DEFINE('_INVALID_SEARCH_PLUGIN_CLASS', 'Classe de plugin de recherche "%s" invalide');
DEFINE('_INVALID_SEARCH_PLUGIN_CONFIG', 'Configuration des plugins de recherche "%s" invalide');
DEFINE('_SEARCH_SERVICE_NOT_RESPONDING', 'Le service de recherche "%s" ne répond pas');
DEFINE('_EMPTY_RESULTSET', 'Aucun resultat');

// TME
DEFINE('_BIZ_MERGE_SEMANTIC_DATA', 'Fusionner des données sémantiques');

// history
DEFINE('_HISTORY', 'Historique');
DEFINE('_LAST_VIEWED_ITEMS', 'Derniers éléments consultés');
DEFINE('_MORE', 'Plus');
DEFINE('_PREVIOUS', 'Précédent');
DEFINE('_NEXT', 'Suivant');

// sysobjet
DEFINE('_ID', 'Identifiant');
DEFINE('_CODE', 'Code');
DEFINE('_NAME', 'Nom');
DEFINE('_NIP', 'NIP');
DEFINE('_PROPERTIES', 'Propriétés');
DEFINE('_PARAMETERS', 'Paramètres');
DEFINE('_CREATION_DATE', 'Date de création');
DEFINE('_MODIFICATION_DATE', 'Date de modification');
DEFINE('_MODIFIED_ON', 'Modifié le');
DEFINE('_BY', 'par');
DEFINE('_AT', 'à');
DEFINE('_RIGHTS', 'Droits');
DEFINE('_PERMISSIONS', 'Permissions');
DEFINE('_PERMISSIONS_ACCESS', 'Droits d\'accès');
DEFINE('_PERMISSIONS_BIZCLASS', 'Droits sur les types de contenu');
DEFINE('_PERMISSIONS_SYSCLASS', 'Droits sur les types système');
DEFINE('_SYSCLASS', 'Type système');
DEFINE('_SYSCLASSES', 'Types système');


// datalayer : connector
DEFINE('_CONNECTORS', 'Sources de données');
DEFINE('_CONNECTOR', 'Source de données');
DEFINE('_KIND', 'Type');
DEFINE('_CONNECTION_STRING', 'Chaîne de connexion');
DEFINE('_REFERENCE', 'Code');
DEFINE('_TABLE_PREFIX', 'Préfixe de la table');
DEFINE('_NO_TABLE_MATCH', 'Aucune table ne correspond à cette source');
DEFINE('_CONNECTOR_WARNING', 'Attention : modifier ou supprimer les sources de données peut rendre l\'application inutilisable. Soyez certain de vos modifications.');
DEFINE('_ERROR_CONNECTOR_CODE_INVALID', 'Code is already in use by another connector'); // TODO

// layout : menu
DEFINE('_MENUS', 'Menus');
DEFINE('_MENU', 'Menu');
DEFINE('_NEW_SUBMENU', 'Nouveau sous-menu');
DEFINE('_PARENT_MENU', 'Menu parent');
DEFINE('_AT_ROOT_LEVEL', 'à la racine');
DEFINE('_RANK', 'Rang');
DEFINE('_ACTION', 'Action');
DEFINE('_URL', 'Url');
DEFINE('_DYNAMIC', 'Dynamique');
DEFINE('_ICON', 'Icône');

// layout : site template
DEFINE('_ENABLED', 'Activé');
DEFINE('_CANNOT_DELETE_TEMPLATE_CATEGORY', 'Impossible de supprimer cette catégorie : elle n\'est pas vide');
DEFINE('_TEMPLATE_EXPORT', 'Export des modèles');
DEFINE('_LAUNCH_EXPORT', 'Exporter les templates');
DEFINE('_BACKED_UP_DATE', 'Exporté le');
DEFINE('_FILE_LOCATION', 'Emplacement du ficher');

// generator : category
DEFINE('_CATEGORIES', 'Catégories');
DEFINE('_CATEGORY', 'Catégorie');

// generator : template
DEFINE('_TEMPLATES', 'Modèles');
DEFINE('_TEMPLATE', 'Modèle');
DEFINE('_TEMPLATE_CATEGORY', 'Categorie de modèles');
DEFINE('_CONFIRM_LOAD_TEMPLATE', 'Êtes vous certains de vouloir remplacer ce modèle?\n\r(Le contenu actuel sera effacé)');
DEFINE('_CONTENT', 'Contenu');
DEFINE('_DESIGN', 'Conception');

// generator : generation
DEFINE('_GENERATIONS', 'Générations');
DEFINE('_GENERATION', 'Génération');
DEFINE('_GENERATION_SET', 'Groupe de générations');
DEFINE('_CONTEXT', 'Contexte');
DEFINE('_LOCATION', 'Emplacement');
DEFINE('_NEW_GENERATION', 'Nouvelle génération');

// generator : generation content
DEFINE('_GENERATION_CONTENT', 'Contenu de génération');
DEFINE('_LOOP', 'Boucle');
DEFINE('_NAMING_RULE', 'Règles d\'indentification');
DEFINE('_NEW_GENERATION_CONTENT', 'Nouveau contenu de génération');
DEFINE('_GENERATION_RESULT', 'Résultat de la génération');
DEFINE('_GENERATION_NOTHING', 'Nothing to generate'); // TODO

// generator : generation autogen
DEFINE('_GENERATION_AUTOGEN', 'Génération autogen');
DEFINE('_AUTOGEN', 'Autogen');
DEFINE('_AUTOGEN_PARAMS', 'Cette generation sera lancer quand la generation de l\'object sera demandé.  La priorité est l\'ordre dans lequel la generation sera lancer par objet.');
DEFINE('_AUTOGEN_OBJECT_CLASS', 'Type d\'object');
DEFINE('_AUTOGEN_PRIORITY', 'Priorité');
DEFINE('_ADD_AUTOGEN', 'Ajouter');

// generator : general
DEFINE('_SELECT_GENERATION_RULE', 'Choisissez une règle de génération');
DEFINE('_INVALID_GENERATION_RULE', 'Règle de génération invalide');
DEFINE('_EXECUTING_GENERATION', 'Exécution de la génération');
DEFINE('_EXECUTING_GENERATION_CONTENT', 'Exécution du contenu de génération');
DEFINE('_EXECUTING_GENERATION_SET', 'Exécution du groupe de génération');
DEFINE('_GENERATION_COMPLETED_IN_X_SECONDS', 'Generation effectuée en %0.2f secondes');

// membership
DEFINE('_MEMBERSHIP', 'Communauté');
DEFINE('_MEMBERS', 'Membres');
DEFINE('_MEMBER', 'Membre');

// membership : group
DEFINE('_GROUPS', 'Groupes');
DEFINE('_GROUP', 'Groupe');
DEFINE('_EVERYONE', 'Tout le monde');
DEFINE('_ADMINISTRATORS', 'Administrateurs');
DEFINE('_JOURNALISTS', 'Journalistes');
DEFINE('_PHOTOGRAPHERS', 'Photographes');
DEFINE('_WEBMASTERS', 'Webmasters');
DEFINE('_MOJO', 'Utilisateurs de Mojo');

// membership : user
DEFINE('_USERS', 'Utilisateurs');
DEFINE('_USER', 'Utilisateur');
DEFINE('_ADMINISTRATOR', 'Administrateur');
DEFINE('_LOGIN', 'Login');
DEFINE('_PASSWORD', 'Mot de passe');
DEFINE('_NEW_PASSWORD', 'Nouveau mot de passe');
DEFINE('_VALIDATE_NEW_PASSWORD', 'Veuillez entrer votre mot de passe à nouveau');
DEFINE('_OLD_PASSWORD', 'Ancien mot de passe');
DEFINE('_EMAIL', 'Courriel');
DEFINE('_IS_ADMINISTRATOR', 'Est super utilisateur');
DEFINE('_NEW_USER', 'Nouvel utilisateur');
DEFINE('_LOGIN_EXIST', 'Ce login existe déjà.');
DEFINE('_UNKNOWN_USER', 'Utilisateur inconnu');
DEFINE('_ERROR_OLD_PASSWORD', 'Désolé, l\'ancien mot de passe est erroné.');
DEFINE('_OPENID_IN_USE', 'Openid is already in use by another user');

// Preferences
DEFINE('_MY_PREFERENCES', 'Mes préférences');
DEFINE('_ADDITIONAL_EMAILS', 'Courriels supplémentaires');

// Errors associated to checkValidity() method
DEFINE('_ERROR_USER_LOGIN_IS_MANDATORY', 'Le login de l\'utilisateur est obligatoire');
DEFINE('_ERROR_USER_LOGIN_TOO_LONG', 'Le login de l\'utilisateur est trop long');
DEFINE('_ERROR_EMAIL_TOO_LONG', 'L\'addresse email est trop longue');
DEFINE('_ERROR_EMAIL_IS_MANDATORY', 'L\'addresse email est obligatoire');
DEFINE('_ERROR_OPTIONAL_EMAILS', 'Au moins un courriel optionnel est incorrect.');
DEFINE('_ERROR_DEFAULT_LANGUAGE_TOO_LONG', 'Le language de défaut est trop long');
DEFINE('_ERROR_NAME_TOO_LONG', 'Le nom est trop long');
DEFINE('_ERROR_NAME_IS_MANDATORY', 'Le nom est obligatoire');
DEFINE('_ERROR_NIP_TOO_LONG', 'Le code est incorrect. Il ne peut contenir que 4 chiffres.');
DEFINE('_ERROR_CODE_TOO_LONG', 'Le code est trop long');
DEFINE('_ERROR_CODE_IS_MANDATORY', 'Le code est obligatoire');
DEFINE('_ERROR_INITIALSTATE_TOO_LONG', 'L\'état initial est trop long');
DEFINE('_ERROR_SCRIPT_TOO_LONG', 'Le script est trop long');
DEFINE('_ERROR_CLASSNAME_TOO_LONG', 'Le nom de la classe est trop long');
DEFINE('_ERROR_CONNECTORTABLE_TOO_LONG', 'La table connecteur est trop longue');
DEFINE('_ERROR_URL_TOO_LONG', 'L\'url est trop long');
DEFINE('_ERROR_ACTION_TOO_LONG', 'L\'action est trop longue');
DEFINE('_ERROR_REFERENCE_IS_MANDATORY', 'Le code est obligatoire');
DEFINE('_ERROR_REFERENCE_TOO_LONG', 'Le code est trop long');
DEFINE('_ERROR_CONNECTIONSTRING_IS_MANDATORY', 'La chaîne de connexion est obligatoire');
DEFINE('_ERROR_TABLEPREFIX_IS_MANDATORY', 'La table préfixe est obligatoire');
DEFINE('_ERROR_TABLEPREFIX_TOO_LONG', 'La table préfixe est trop longue');
DEFINE('_ERROR_TEMPLATE_TOO_LONG', 'Le nom du modèle est trop long');
DEFINE('_ERROR_TEMPLATE_IS_MANDATORY', 'Le nom du modèle est obligatoire');
DEFINE('_ERROR_NAMINGRULE_TOO_LONG', 'La règle d\'indentification est trop longue');
DEFINE('_ERROR_NAMINGRULE_IS_MANDATORY', 'La règle d\'indentification est obligatoire');
DEFINE('_ERROR_LOCATION_TOO_LONG', 'L\'emplacement du fichier est trop long');
DEFINE('_ERROR_CONTEXT_TOO_LONG', 'Le contexte est trop long');
DEFINE('_ERROR_LOOP_TOO_LONG', 'La boucle est trop longue');
DEFINE('_ERROR_CONNECTION_STRING', 'Chaîne de connection invalide');
DEFINE('_ERROR_CONNECTOR_USED', 'Le connecteur est utilisé par le système.');

// membership : role, right, permission
DEFINE('_ROLES', 'Rôles');
DEFINE('_ROLE', 'Rôle');
DEFINE('_DENIED', 'Interdit');
DEFINE('_OBJECT', 'Objet');
DEFINE('_READ', 'Lecture');
DEFINE('_WRITE', 'Ecriture');
DEFINE('_PERMISSIONS_SITES', 'Permissions des sites');
DEFINE('_PERMISSIONS_GENERATION_SET', 'Permissions des générations');
DEFINE('_INSUFFICIENT_PRIVILEGES', 'Privilèges insuffisants');
DEFINE('_ACCESS_DENIED', 'Accès interdit');

// bizclass
DEFINE('_WCMBIZCLASS', 'Type de contenu');
DEFINE('_WCMSYSCLASS', 'Classe système');
DEFINE('_BIZCLASS', 'Type de contenu');
DEFINE('_BIZCLASSES', 'Types de contenu');
DEFINE('_CLASSNAME', 'Nom de la classe');
DEFINE('_CONNECTOR_TABLE', 'Nom de la table');
DEFINE('_BIZCLASS_WARNING', 'Attention : modifier ou supprimer les types de contenu peut rendre l\'application inutilisable. Soyez certain de vos modifications.');
DEFINE('_CREATE_VERSION_TABLE', 'Créer une table des versions');

// designer
DEFINE('_DESIGNER', 'Designer');

// Log
DEFINE('_MESSAGE_LOG', 'Journal des messages');
DEFINE('_TRACE_LOG', 'Journal de trace');
DEFINE('_CLEAR_TRACE_LOG', 'Effacer le journal');
DEFINE('_TRACE_LOG_ERASED', 'Le journal de trace a été effacé');

// Locks
DEFINE('_LOCKED_BY', 'Verrouillé par ');
DEFINE('_LOCKED_AT', 'Verrouillé à ');
DEFINE('_LOCKED_BY_ME', 'Verrouillé par vous');
DEFINE('_EXPIRES_AT', 'Expiré à ');
DEFINE('_SINCE', 'depuis');
DEFINE('_LOCK_DATE', 'Date verrou');
DEFINE('_LOCK', 'Verrouiller');
DEFINE('_UNLOCK', 'Déverrouiller');
DEFINE('_SAVE', 'Sauvegarder');
DEFINE('_IS_LOCKED', 'verrouillé');
DEFINE('_LOCK_BY_CLASS', 'Verrous par classes');
DEFINE('_LOCK_MANAGEMENT', 'Gestion des verrous');
DEFINE('_ENRICH', 'Enrichir');

// Workflows
DEFINE('_NEW_WORKFLOW', 'Nouveau processus');
DEFINE('_NEW_WORKFLOW_SCRIPT', 'Nouveau script');
DEFINE('_NEW_WORKFLOW_TRANSITION', 'Nouvelle transition');
DEFINE('_WORKFLOW', 'Processus');
DEFINE('_WORKFLOWS', 'Processus');
DEFINE('_INITIAL_STATE', 'État initial');
DEFINE('_WORKFLOW_SCRIPT', 'Script de processus');
DEFINE('_WORKFLOW_STATE', 'État de processus');
DEFINE('_WORKFLOW_TRANSITION', 'Transition de processus');
DEFINE('_WORKFLOW_STATES', 'États de processus');
DEFINE('_TRANSITIONS', 'Transitions');
DEFINE('_TRANSITION_FAILED', 'La transition a échouée');
DEFINE('_FROM_STATE', 'De l\'état');
DEFINE('_TO_STATE', 'À l\'état');
DEFINE('_FILE', 'Fichier');
DEFINE('_FILE_SIZE', 'Taille du fichier');
DEFINE('_BROWSE', 'Parcourir');
DEFINE('_UPLOAD', 'Télécharger');
DEFINE('_SUBMIT', 'Soumettre');
DEFINE('_OBJECT_DELETED', 'Objet supprimé');
DEFINE('_CHANGE_SITE', 'Changer de site');
DEFINE('_WKF_STATE_IN_TRANSITION', 'Cet état est utilisé dans une transition et ne peut être supprimé.');
DEFINE('_WKF_STATE_INITIAL_STATE', 'Cet état est utilisé comme état initial d\'un processus et ne peut être supprimé.');

// modules
DEFINE('_ADD_POLL_CHOICE', 'Ajouter un choix');
DEFINE('_COMMENTING', 'Commentaires');
DEFINE('_COMMUNITY_PARTICIPATION', 'Participation de la communauté');
DEFINE('_DELETE_POLL_CHOICE', 'Supprimer ce choix');
DEFINE('_EDITORIAL', 'Éditorial');
DEFINE('_GENERAL', 'Général');
DEFINE('_LIFETIME', 'Durée de vie');
DEFINE('_META_CONTENT', 'Méta-contenu');
DEFINE('_DELETE_PAGE', 'Supprimer la page');
DEFINE('_PICK_DATE', 'Sélectionner');
DEFINE('_POLL_CHOICE', 'Choix');
DEFINE('_POLL_CHOICES', 'Choix');
DEFINE('_PRINT_PUBLICATION', 'Version imprimée');
DEFINE('_PUBLICATION_GENERATION', 'Publication et génération');
DEFINE('_RATING', 'Rating');
DEFINE('_SOURCE_INFORMATION', 'Source de l\'information');

// widget
DEFINE('_WIDGET', 'Gadget');

/*
MENUS
 */

// business/home
DEFINE('_MENU_HOME', 'Accueil');

// business/dashboards
DEFINE('_MENU_DASHBOARDS', 'Tableaux de bord');
DEFINE('_DASHBOARD_ARTICLES_WAITING_FOR_APPROVAL', 'Articles en attente d\'approbation');
DEFINE('_DASHBOARD_EDITORIAL_JOBS', 'Travail éditorial');
DEFINE('_DASHBOARD_EDITORIAL_STATISTICS', 'Statistiques éditoriales');
DEFINE('_DASHBOARD_MODULE_READY_TO_PUBLISH', 'En attente de publication');
DEFINE('_DASHBOARD_POLLS_WAITING_FOR_APPROVAL', 'Sondages en attente d\'approbation');
DEFINE('_DASHBOARD_SLIDESHOWS_WAITING_FOR_APPROVAL', 'Diaporamas en attente d\'approbation');
DEFINE('_DASHBOARD_UGC_JOBS', 'Modération');
DEFINE('_DASHBOARD_UGC_STATISTICS', 'Statistiques de participation');
DEFINE('_DASHBOARD_UNDERSTAND_CONTENT', 'Statistiques de contenu');
DEFINE('_DASHBOARD_UNDERSTAND_WEB', 'Statistiques de visites');
DEFINE('_DASHBOARD_ZONE_UGC', 'Contenu généré par les usagers (UGC)');

//dashboard/understand
DEFINE('_DASHBOARD_HOT_TOPICS', 'Sujets populaires');
DEFINE('_DASHBOARD_MOST_POPULAR_ON', 'Organisations les plus populaires');
DEFINE('_DASHBOARD_MOST_POPULAR_PN', 'Personnes les plus populaires');
DEFINE('_DASHBOARD_MOST_POPULAR_PL', 'Lieux les plus populaires');
DEFINE('_DASHBOARD_MOST_POPULAR_SUBJECTS', 'Sujets les plus populaires');
DEFINE('_DASHBOARD_TOP_CATEGORIES', 'Catégories les plus populaires');
DEFINE('_DASHBOARD_DISTRIBUTION_TONE', 'Distribution du ton');

// business/create
DEFINE('_MENU_CREATE', 'Créer');
DEFINE('_MENU_CREATE_TEXTUAL', 'Textuel');
DEFINE('_MENU_CREATE_ARTICLE', 'Article');
DEFINE('_MENU_CREATE_NEWSITEM', 'Nouvelle');
DEFINE('_MENU_CREATE_MEDIA', 'Média');
DEFINE('_MENU_CREATE_PHOTO', 'Photo');
DEFINE('_MENU_BROWSE_AUDIO', 'Audio');
DEFINE('_MENU_BROWSE_VIDEO', 'Vidéo');
DEFINE('_MENU_CREATE_BUNDLE', 'Collection');
DEFINE('_MENU_CREATE_COLLECTION', 'Collection');
DEFINE('_MENU_CREATE_NEWSLETTER', 'Infolettre');
DEFINE('_MENU_CREATE_SLIDESHOW', 'Diaporama');
DEFINE('_MENU_CREATE_PARTICIPATIVE_CONTENT', 'Contenu participatif');
DEFINE('_MENU_CREATE_POLL', 'Sondage');
DEFINE('_MENU_CREATE_FORUM_THREAD', 'Discussion');
DEFINE('_MENU_CREATE_OTHER', 'Autres types');
DEFINE('_MENU_CREATE_ITEM', 'Item');

// business/browse
DEFINE('_MENU_BROWSE', 'Parcourir');
DEFINE('_MENU_BROWSE_TEXTUAL', 'Textuels');
DEFINE('_MENU_BROWSE_ARTICLES', 'Articles');
DEFINE('_MENU_BROWSE_NEWS_ITEMS', 'Nouvelles');
DEFINE('_MENU_BROWSE_MEDIA', 'Médias');
DEFINE('_MENU_BROWSE_PHOTOS', 'Photos');
DEFINE('_MENU_BROWSE_AUDIO_FILES', 'Audios');
DEFINE('_MENU_BROWSE_VIDEO_FILES', 'Vidéos');
DEFINE('_MENU_BROWSE_BUNDLES', 'Collections');
DEFINE('_MENU_BROWSE_COLLECTIONS', 'Collections');
DEFINE('_MENU_BROWSE_NEWSLETTERS', 'Infolettres');
DEFINE('_MENU_BROWSE_SLIDESHOWS', 'Diaporamas');
DEFINE('_MENU_BROWSE_PARTICIPATIVE_CONTENT', 'Contenu participatif');
DEFINE('_MENU_BROWSE_POLLS', 'Sondages');
DEFINE('_MENU_BROWSE_FORUM_THREADS', 'Discussions');
DEFINE('_MENU_BROWSE_OTHER', 'Autres types');
DEFINE('_MENU_BROWSE_ITEMS', 'Items');

// business/moderate
DEFINE('_MENU_MODERATE', 'Modérer');
DEFINE('_MENU_MODERATE_USER_COMMENTS', 'Commentaires d\'internautes');
DEFINE('_MENU_MODERATE_FORUM_THREADS', 'Discussions');

// business/manage
DEFINE('_MENU_MANAGE', 'Gérer');
DEFINE('_MENU_MANAGE_COMMUNITY', 'La communauté');
DEFINE('_MENU_MANAGE_WEB_USERS', 'Internautes');
DEFINE('_MENU_MANAGE_WEB', 'Propriétés Web');
DEFINE('_MENU_MANAGE_WEB_SITES', 'Sites');
DEFINE('_MENU_MANAGE_SECTIONS', 'Rubriques');
DEFINE('_MENU_MANAGE_PRINT', 'Publications papier');
DEFINE('_MENU_MANAGE_PRINT_PUBLICATIONS', 'Éditions');
DEFINE('_MENU_MANAGE_PRINT_ISSUES', 'Parutions');
DEFINE('_MENU_MANAGE_PREFERENCES', 'Préférences');

// business/import
DEFINE('_MENU_IMPORT', 'Importer');
DEFINE('_MENU_IMPORT_FROM_FILES', 'Importer des fichiers');
DEFINE('_MENU_IMPORT_DAM', 'Importer du DAM');

// business/publish
DEFINE('_MENU_PUBLISH', 'Publier');
DEFINE('_MENU_PUBLISH_LAUNCH_GENERATION', 'Lancer la génération...');
DEFINE('_MENU_PUBLISH_MANAGE_GENERATION_RULES', 'Gérer les règles de génération');
DEFINE('_MENU_PUBLISH_MANAGE_TEMPLATES', 'Gérer les modèles de présentation');
DEFINE('_MENU_PUBLISH_TEMPLATE_BACKUP', 'Sauvegarde des modèles de présentation');

// system/system
DEFINE('_MENU_SYSTEM', 'Système');
DEFINE('_MENU_SYSTEM_ADMINISTRATION', 'Administration');
DEFINE('_MENU_SYSTEM_ADMINISTRATION_MESSAGE_LOG', 'Journal de messages');
DEFINE('_MENU_SYSTEM_ADMINISTRATION_USERS', 'Gérer les groupes et les utilisateurs');
DEFINE('_MENU_SYSTEM_ADMINISTRATION_BIZCLASS', 'Gérer les types de contenu');
DEFINE('_MENU_SYSTEM_ADMINISTRATION_SYSCLASS', 'Gérer les types système');
DEFINE('_MENU_SYSTEM_CONFIGURATION', 'Configuration');
DEFINE('_MENU_SYSTEM_CONFIGURATION_MENUS', 'Configurer les menus');
DEFINE('_MENU_SYSTEM_CONFIGURATION_DATA_SOURCES', 'Configurer les source de données');
DEFINE('_MENU_SYSTEM_CONFIGURATION_WORKFLOWS', 'Configurer les processus');
DEFINE('_MENU_SYSTEM_CONFIGURATION_TME', 'Text-Mining Engine de Nstein');
DEFINE('_MENU_SYSTEM_MAINTENANCE', 'Maintenance');
DEFINE('_MENU_SYSTEM_MAINTENANCE_UNLOCK_CONTENT', 'Dé-vérouiller le contenu');
DEFINE('_MENU_SYSTEM_MAINTENANCE_REINDEX_CONTENT', 'Ré-indexer le contenu');
DEFINE('_MENU_SYSTEM_MAINTENANCE_PURGE_CONTENT', 'Purger le contenu expiré');

// system/help
DEFINE('_MENU_HELP', 'Aide');
DEFINE('_MENU_HELP_ABOUT', 'À propos');
DEFINE('_MENU_HELP_ABOUT_WCM4', 'À propos de ce logiciel...');
DEFINE('_MENU_HELP_ABOUT_COPYRIGHT_NOTICE', 'Notice de copyright...');
DEFINE('_MENU_HELP_RESOURCES', 'Resources');
DEFINE('_MENU_HELP_RESOURCES_DOC_AND_SUPPORT', 'Documentation et support');

// user
DEFINE('_MENU_USER_ADVANCED_SEARCH', 'Recherche avancée');
DEFINE('_MENU_USER_ADVANCED_SEARCH_DEFAULT', 'Recherche éditoriale');
DEFINE('_MENU_USER_SAVED_SEARCHES', 'Recherches sauvegardées');
DEFINE('_MENU_SAVED_SEARCHES', 'Recherches sauvegardées');

/*
DASHBOARD
 */

DEFINE('_DASHBOARD_MY_DASHBOARD', 'Mon tableau de bord');
DEFINE('_DASHBOARD_EDITORIAL', 'Contenu editorial');
DEFINE('_DASHBOARD_STATISTICS', 'Statistiques');

// zone/Mywidgets
DEFINE('_DASHBOARD_MY_WIDGETS', 'Mes widgets');

// zone/Statistics
DEFINE('_DASHBOARD_ZONE_STATISTICS', 'Statistiques');
DEFINE('_DASHBOARD_MODULE_MOST_VISITED', 'Les plus visités');
DEFINE('_DASHBOARD_MODULE_MAIN_SECTIONS', 'Rubriques principales');
DEFINE('_DASHBOARD_MODULE_MOST_COMMENTED', 'Les plus commentés');
DEFINE('_DASHBOARD_MODULE_HIGHEST_RATINGS', 'Les plus hauts votes');
DEFINE('_DASHBOARD_MODULE_MOST_RATED', 'Les plus votés');

// zone/Editorial activity
DEFINE('_DASHBOARD_ZONE_EDITORIAL_ACTIVITY', 'Activité éditoriale');
DEFINE('_DASHBOARD_MODULE_RECENTLY_PUBLISHED', 'Publiés récemment');
DEFINE('_DASHBOARD_MODULE_MODIFIED_TODAY', 'Modifiés aujourd\'hui');
DEFINE('_DASHBOARD_MODULE_RECENTLY_CREATED', 'Ajoutés récemment');
DEFINE('_DASHBOARD_MODULE_RECENTLY_IMPORTED', 'Importés récemment');

// zone/Required attention
DEFINE('_DASHBOARD_ZONE_REQUIRING_ATTENTION', 'Attention requise');
DEFINE('_DASHBOARD_MODULE_AWAITING_MODERATION', 'En attente de modération');
DEFINE('_DASHBOARD_MODULE_AWAITING_EDITORIAL_APPROVAL', 'En attente d\'approbation éditoriale');

// zone/My work
DEFINE('_DASHBOARD_ZONE_MY_WORK', 'Mon travail');
DEFINE('_DASHBOARD_MODULE_MY_CURRENT_WORK', 'Ce sur quoi je travaille');
DEFINE('_DASHBOARD_MODULE_SAVED_SEARCHES', 'Mes recheches sauvegardées');

// zone/History
DEFINE('_DASHBOARD_ZONE_HISTORY', 'Historique');
DEFINE('_DASHBOARD_MODULE_RECENT_ACTIONS', 'Actions récentes');

// module/commenting
DEFINE('_AWAITING_APPROVAL', 'En attente d\'approbation');

// modules/titles
DEFINE('_DASHBOARD_MODULE_HEADER_TITLE', 'Titre');
DEFINE('_DASHBOARD_MODULE_HEADER_VIEWS', 'Visites');
DEFINE('_DASHBOARD_MODULE_HEADER_AVERAGE', 'Moyenne');
DEFINE('_DASHBOARD_MODULE_HEADER_COUNT', 'Count');
DEFINE('_DASHBOARD_MODULE_HEADER_SOURCE', 'Source');
DEFINE('_DASHBOARD_MODULE_HEADER_AUTHOR', 'Auteur');
DEFINE('_DASHBOARD_MODULE_HEADER_SUMMARY', 'Sommaire');
DEFINE('_DASHBOARD_MODULE_HEADER_COMMENT', 'Commentaire');
DEFINE('_DASHBOARD_MODULE_HEADER_TRANSITIONS', 'Actions');
DEFINE('_DASHBOARD_MODULE_HEADER_TRANSITION_ON', 'Sur');
DEFINE('_DASHBOARD_MODULE_HEADER_CREATION_DATE', 'Crée');
DEFINE('_DASHBOARD_MODULE_HEADER_MODIFICATION_DATE', 'Modifié');
DEFINE('_DASHBOARD_MODULE_HEADER_PUBLICATION_DATE', 'Publié');
DEFINE('_DASHBOARD_MODULE_HEADER_IMPORTATION_DATE', 'Importé');
DEFINE('_DASHBOARD_MODULE_HEADER_BYLINE', 'Par');

// import
DEFINE('_MISSING_PLUGIN_PARAMETER', 'Paramètre "plugin" manquant!');
DEFINE('_INVALID_PLUGIN_PARAMETER', 'Paramètre "plugin" invalide : ');
DEFINE('_START_IMPORT', 'Démarrer l\'import');
DEFINE('_IMPORT_STARTING', 'Démarrage de l\'importation...');
DEFINE('_IMPORT_COMPLETED_IN_X_SECONDS', 'Importation terminée en %0.2f secondes');
DEFINE('_DATA_SOURCE', 'Source des données');
DEFINE('_SAME_AS_SOURCE_FOLDER', 'Même répertoire que la source');
DEFINE('_DIFFERENT_DIRECTORY', 'Répertoire différent');
DEFINE('_DIRECTORY_NOT_EXIST', 'Répertoire non existant');
DEFINE('_BACKUP_TEMPLATE_DIRECTORY_NOT_EXIST', 'Le répertoire de sauvegarde de template n\'existe pas, s\'il vous plaît modifier votre fichier de configuration [wcm.templates.backupPath].');
DEFINE('_XML_DOCUMENTS', 'Documents XML');
DEFINE('_JPEG_IPTC', 'JPEG IPTC');

// messaging
DEFINE('_EMPTY_MESSAGE_SOURCE_EVENT', 'L\'événement source du message est vide');
DEFINE('_EMPTY_OR_INVALID_MESSAGE_TYPE', 'Le type du message est vide ou invalide');
DEFINE('_INVALID_MESSAGE_DATA', 'Les données du message sont invalides');
DEFINE('_INVALID_MESSAGE_HEADERS', 'Les entêtes du message sont invalides');

// REST common messages
DEFINE('_REST_INVALID_CONTROLLER', 'Le controlleur est invalide');
DEFINE('_REST_INVALID_RESOURCE', 'La ressource est invalide');
DEFINE('_REST_MISSING_PARAMETER', 'Paramètre manquant');
DEFINE('_REST_INVALID_PARAMETER', 'Paramètre invalide');
DEFINE('_REST_CONFLICTING_PARAMETERS', 'Plusieurs paramètres sont en conflit');
DEFINE('_REST_MISSING_EXCLUSIVE_PARAMETERS', 'Paramètres mutuellement exclusifs manquants');

// REST session controller
DEFINE('_REST_MISSING_CREDENTIALS', 'Le nom d\'usager et le mot de passe sont requis');
DEFINE('_REST_INVALID_CREDENTIALS', 'Le nom d\'usager ou le mot de passe est invalide');
DEFINE('_REST_MISSING_SESSION_ID', 'L\'identifiant de session est requis');
DEFINE('_REST_CORRUPT_SESSION_ID', 'L\'identifiant de session est corrompu');
DEFINE('_REST_INVALID_SESSION_ID', 'L\'identifiant de session est invalide');
DEFINE('_REST_EXPIRED_SESSION_ID', 'L\'identifiant de session est expiré');
DEFINE('_REST_MISMATCHED_SESSION_IDS', 'Les identifiant de session dans l\'URL et l\'entête ne correspondent pas l\'un à l\'autre');

// REST content controller
DEFINE('_REST_INVALID_OBJECT_CLASS', 'Le nom de la classe est invalide');
DEFINE('_REST_INVALID_OBJECT_ID', 'L\'identifiant de l\'objet est invalide');
DEFINE('_REST_INVALID_OBJECT_CODE', 'Le code de l\'objet est invalide');
DEFINE('_REST_INVALID_OBJECT_CRITERIA', 'Les critères de sélection d\'objets sont invalides');
DEFINE('_REST_INVALID_OBJECT_CONTENT', 'Le contenu de l\'objet est invalide');
DEFINE('_REST_INVALID_OBJECT_CONTENT_TYPE', 'Le type du contenu de l\'objet est invalide');

// REST generation controller
DEFINE('_REST_EXECUTE_GENERATION_FAILED', 'L\'exécution de la génération a échoué');
DEFINE('_REST_EXECUTE_GENERATION_TEMPLATE_NOT_FOUND', 'L\'ouverture du fichier a échoué');

// REST photo controller
DEFINE('_REST_INVALID_PHOTO_NAME', 'Le nom de l\'image photo est invalide');
DEFINE('_REST_INVALID_PHOTO_RATIO', 'Le code du ratio de l\'image photo est invalide');
DEFINE('_REST_INVALID_PHOTO_TYPE', 'Le type de l\'image photo est invalide');
DEFINE('_REST_MISSING_PHOTO_ID', 'Le id de l\'object photo est manquant');

// REST search controller
DEFINE('_REST_INVALID_SEARCH_FACET', 'La facette est invalide');
DEFINE('_REST_MISSING_SEARCH_QUERY', 'La requête est manquante');

// REST workflow controller
DEFINE('_REST_INVALID_WORKFLOW_ID', 'L\'identifiant du processus est invalide');
DEFINE('_REST_INVALID_WORKFLOW_TRANSITION_ID', 'L\'identifiant de la transition est invalide');
DEFINE('_REST_INVALID_WORKFLOW_TRANSITION_CODE', 'Le code de la transition est invalide');
DEFINE('_REST_INVALID_WORKFLOW_STATE_CODE', 'Le code d\'état du processus est invalide');
DEFINE('_REST_EXECUTE_TRANSITION_FAILED', 'L\'exécution de la transition a échoué');

// tasks
DEFINE('_TASK', 'Tâche');
DEFINE('_TASK_STATUS', 'Etat');
DEFINE('_TASK_STATUS_READY', 'Prête');
DEFINE('_TASK_STATUS_STARTING', 'En démarrage...');
DEFINE('_TASK_STATUS_STARTED', 'Démarrée');
DEFINE('_TASK_STATUS_ENDED', 'Terminée');
DEFINE('_TASK_STATUS_ABORTED', 'Annulée');
DEFINE('_TASK_STATUS_FAILED', 'Echouée');
DEFINE('_TASK_CURRENT_STATUS', 'Etat courant : ');
DEFINE('_TASK_IS_STARTING', 'Démarrage de la tâche...');
DEFINE('_TASK_HAS_ENDED', 'La tâche est terminée');
DEFINE('_TASK_HAS_ENDED_WITH_ERROR', 'La tâche s\est terminée avec une erreur');
DEFINE('_TASK_HAS_BEEN_ABORTED', 'La tâche à été annulée');

/*
DIALOGS
 */

// About
DEFINE('_DIALOG_ABOUT', 'À propos de WCM');
DEFINE('_DIALOG_ABOUT_DEVELOPMENT_TEAM', '<b>Équipe de développement</b> ');
DEFINE('_DIALOG_ABOUT_PRINT', 'Imprimmer cette page');
DEFINE('_DIALOG_ABOUT_RELEASE_NOTES', '<a href="https://support.nstein.com/wiki/WCM/4.1.5/ReleaseNotes" class="url" target="_blank">Notes de version</a>');

// Copyright notice

// Documentation and support
DEFINE('_DIALOG_SUPPORT', 'Documentation et support');
DEFINE('_DIALOG_SUPPORT_ONLINE', 'Réseau de support Nstein');
DEFINE('_DIALOG_SUPPORT_ONLINE_DESCRIPTION', 'Le Réseau de support (Support Network) de Nstein est un site libre-service pour la communauté Nstein incluant le personnel interne, ses clients et partenaires. Il fut mis en place avec l\'objectif d\'établir un canal bidirectionnel pour échanger idées et expériences tout en offrant aux clients et partenaires toutes les ressources en ligne nécessaires au déploiement des solutions Nstein.</p><p>Bien que l\'accès de base soit public, il vous faudra néanmoins un accès particulier si vous désirez interagir avec la communauté ou  accéder aux sections privilégiées de la documentation ou du support en ligne. Pour ce faire, obtenez un accès en <a href="mailto:support@nstein.com?Subject=Req%3A%20Acces%20au%20Support%20Network%20Nstein">contactant l\'équipe du service à la clientèle par courriel</a>.');
DEFINE('_DIALOG_SUPPORT_URL', '<a href="https://support.nstein.com/wiki/WCM/4.1.5" class="url" target="_blank">Visitez le réseau de support en ligne</a> &nbsp;(https://support.nstein.com/wiki/WCM/4.1.5)');
DEFINE('_DIALOG_SUPPORT_DOC', 'Documentation en ligne');
DEFINE('_DIALOG_SUPPORT_DOC_DESCRIPTION', '');

// Open ID
DEFINE('_OPENID_HEADER', 'Ressources OpenID');
DEFINE('_OPENID_RESOURCE_URI', 'URI de la ressource');

// Solr
DEFINE('_SOLR_ERROR', 'Une erreur est survenue lors de la recherche Solr, prière de consulter le journal de message système de WCM pour plus de détails');
DEFINE('_SOLR_QUERY_ERROR', 'Une erreur s\'est produit lors de l\'exécution de la requête: ');

// LIVE HELP
DEFINE('_LV_WCM', 'WCM');
// TODO Error in french HTML page for WCM
DEFINE('_LV_SYSTEM', 'Système');
DEFINE('_LV_BUSINESS', 'Métier');
DEFINE('_LV_HOME', constant('_MENU_HOME'));
DEFINE('_LV_ARTICLE', constant('_MENU_CREATE_ARTICLE'));
DEFINE('_LV_TREE', 'Arbre de recherche');
DEFINE('_LV_BROWSE', constant('_BROWSE'));
DEFINE('_LV_HISTORY', constant('_HISTORY'));
DEFINE('_LV_OVERVIEW', 'Aperçu');
DEFINE('_LV_PROPERTIES', constant('_PROPERTIES'));
DEFINE('_LV_CONTENT', constant('_CONTENT'));
DEFINE('_LV_UPLOADMEDIA', constant('_UPLOAD_MEDIA'));
DEFINE('_LV_MEDIA', constant('_MENU_CREATE_MEDIA'));
DEFINE('_LV_WCMSEARCH', constant('_WCM_SEARCH'));
DEFINE('_LV_REFERENCING', 'Référencement');
DEFINE('_LV_CATEGORIZATION', 'Catégorisation');
DEFINE('_LV_FOOTPRINT', 'Analyse sémantique');
DEFINE('_LV_PRESENTATION', 'Présentation');
DEFINE('_LV_VERSIONING', 'Versions');
DEFINE('_LV_CONTRIBUTIONS', 'Commentaires');
DEFINE('_LV_NEWSITEM', constant('_MENU_CREATE_NEWSITEM'));
DEFINE('_LV_PHOTO', constant('_MENU_CREATE_PHOTO'));
DEFINE('_LV_COLLECTION', constant('_MENU_CREATE_COLLECTION'));
DEFINE('_LV_DESIGN', constant('_DESIGN'));
DEFINE('_LV_NEWSLETTER', constant('_MENU_CREATE_NEWSLETTER'));
DEFINE('_LV_SUBSCRIBERS', 'Abonnés');
DEFINE('_LV_SLIDESHOW', constant('_MENU_CREATE_SLIDESHOW'));
DEFINE('_LV_POLL', constant('_MENU_CREATE_POLL'));
DEFINE('_LV_FORUM', constant('_MENU_CREATE_FORUM_THREAD'));
DEFINE('_LV_ITEM', constant('_MENU_CREATE_ITEM'));
DEFINE('_LV_SEARCH', constant('_SEARCH'));
DEFINE('_LV_WEBUSER', constant('_MENU_MANAGE_WEB_USERS'));
DEFINE('_LV_SITE', constant('_MENU_MANAGE_WEB_SITES'));
DEFINE('_LV_PERMISSIONS', constant('_PERMISSIONS'));
DEFINE('_LV_CHANNEL', 'Rubrique');
DEFINE('_LV_PUBLICATION', constant('_MENU_MANAGE_PRINT_PUBLICATIONS'));
DEFINE('_LV_ISSUE', constant('_MENU_MANAGE_PRINT_ISSUES'));
DEFINE('_LV_PREFERENCES', constant('_MENU_MANAGE_PREFERENCES'));
DEFINE('_LV_MYPREFERENCES', constant('_MY_PREFERENCES'));
DEFINE('_LV_SAVEDSEARCHES', 'Recherches sauvegardées');
DEFINE('_LV_IMPORT', constant('_MENU_IMPORT_FROM_FILES'));
DEFINE('_LV_GENERATIONSET', 'Groupe de génération');
DEFINE('_LV_TEMPLATE', constant('_TEMPLATE'));
DEFINE('_LV_TEMPLATEBACKUP', 'Sauvegarde de modèles');
DEFINE('_LV_LOG', 'Journaux');
DEFINE('_LV_MESSAGELOG', constant('_MESSAGE_LOG'));
DEFINE('_LV_TRACELOG', constant('_TRACE_LOG'));
DEFINE('_LV_GROUP', constant('_GROUPS'));
DEFINE('_LV_ACCESSPERMISSIONS', constant('_PERMISSIONS_ACCESS'));
DEFINE('_LV_SITESPERMISSIONS', constant('_PERMISSIONS_SITES'));
DEFINE('_LV_GENERATIONPERMISSIONS', constant('_PERMISSIONS_GENERATION_SET'));
DEFINE('_LV_CONTENTTYPESPERMISSIONS', constant('_PERMISSIONS_BIZCLASS'));
DEFINE('_LV_SYSTEMTYPESPERMISSIONS', constant('_PERMISSIONS_SYSCLASS'));
DEFINE('_LV_USER', constant('_USER'));
DEFINE('_LV_BIZCLASS', constant('_BIZCLASS'));
DEFINE('_LV_SYSCLASS', constant('_SYSCLASS'));
DEFINE('_LV_MENU', constant('_MENU'));
DEFINE('_LV_CONNECTOR', constant('_CONNECTORS'));
DEFINE('_LV_WORKFLOW', constant('_WORKFLOWS'));
DEFINE('_LV_TME', constant('_MENU_SYSTEM_CONFIGURATION_TME'));
DEFINE('_LV_LOCK', constant('_LOCK_MANAGEMENT'));
DEFINE('_LV_INDEXATION', constant('_MENU_SYSTEM_MAINTENANCE_REINDEX_CONTENT'));
DEFINE('_LV_MAINTENANCE', constant('_MENU_SYSTEM_MAINTENANCE_PURGE_CONTENT'));
DEFINE('_LV_ASK_FOR_OTHER_HELP', 'Un peu d\'aide sur ');
