<?php
/**
 * Project:     WCM
 * File:        $Id: biz.updatePageContent.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

// Retrieve parameters
$bizobject = wcmMVC_Action::getContext();
$elementId = getArrayParameter($_REQUEST, 'elementId', null);
$templateId = getArrayParameter($_REQUEST, 'templateId', $bizobject->templateId);

$widgetMode = wcmWidget::VIEW_FRAME;
if ($bizobject->isEditable())
{
    $widgetMode |= wcmWidget::VIEW_SETTINGS;
}

// XML output (for AJAX response)
header('Content-Type: text/xml');
echo '<?xml version="1.0" encoding="UTF-8"?><ajax-response><response type="item" id="' . $elementId . '"><![CDATA[';

// Execute template
$generator = new wcmTemplateGenerator(null, false, $widgetMode);
$template = new wcmTemplate();
$template->refresh($templateId);
echo $generator->executeTemplate($template, array('widgetMode' => $widgetMode, 'obizobject' => $bizobject, 'bizobject' => $bizobject->getAssocArray(false)));

echo ']]></response></ajax-response>';
