<?php
/**
 * Project:     WCM
 * File:        $Id: properties.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */
$bizobject = wcmMVC_Action::getContext();

echo '<div class="zone">';

wcmGUI::openCollapsablePane(_PUBLICATION_GENERATION);
wcmGUI::openFieldset(_LIFETIME);
wcmGUI::renderDateField('publicationDate', $bizobject->publicationDate, _BIZ_PUBLICATIONDATE);
wcmGUI::renderDateField('expirationDate', $bizobject->expirationDate, _BIZ_EXPIRATIONDATE);
wcmGUI::closeFieldset();
wcmGUI::closeCollapsablePane();

wcmGUI::openCollapsablePane(_SOURCE_INFORMATION);
wcmGUI::openFieldset(_PRINT_PUBLICATION);
wcmGUI::renderDropdownField('publicationId', publication::getPublicationList(), $bizobject->publicationId, _BIZ_PUBLICATIONNAME, array('onchange' => 'updateIssues(this.value);'));
wcmGUI::renderOpenTag('div', array('id' => 'issueDiv'));
wcmGUI::renderDropdownField('issueId', publication::getIssueList($bizobject->publicationId), $bizobject->issueId, _BIZ_ISSUE);
wcmGUI::renderCloseTag('div');
wcmGUI::renderTextField('pageNumber', $bizobject->pageNumber, _BIZ_PAGE_NUMBER, array('class' => 'type-int'));
wcmGUI::closeFieldset();
wcmGUI::openFieldset(_BIZ_OTHER_SOURCE);
wcmGUI::renderTextField('source', $bizobject->source, _BIZ_OTHER_SOURCE_NAME);
wcmGUI::renderTextField('sourceId', $bizobject->sourceId, _BIZ_ID);
wcmGUI::renderTextField('sourceVersion', $bizobject->sourceVersion, _BIZ_VERSION);
wcmGUI::closeFieldset();
wcmGUI::closeCollapsablePane();
/**
 * @TODO : This feature need to be fully implemented later
 
wcmGUI::openCollapsablePane(_COMMUNITY_PARTICIPATION);
wcmGUI::openFieldset(_COMMENTING);
wcmGUI::renderDropdownField('contributionState', getContributionStateList(), $bizobject->contributionState, _BIZ_CONTRIBUTION);
wcmGUI::renderDropdownField('moderationKind', getModerationKindList(), $bizobject->moderationKind, _BIZ_MODERATION);
wcmGUI::closeFieldset();
wcmGUI::closeCollapsablePane();
*/

echo '</div>';
