<?php
/**
 * Project:     WCM
 * File:        $Id: properties.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */
$bizobject = wcmMVC_Action::getContext();

$selected_publication_id = isset($params['publicationId']) ? $params['publicationId'] : $bizobject->publicationId;

echo '<div class="zone">';

wcmGUI::openCollapsablePane(_PROPERTIES);
wcmGUI::openFieldset(_GENERAL);
wcmGUI::renderDropdownField('publicationId', publication::getPublicationList(), $selected_publication_id, _BIZ_PUBLICATIONNAME . ' *', array('class' => 'type-req'));
wcmGUI::renderTextField('title', $bizobject->title, _BIZ_TITLE . ' *', array('class' => 'type-req'));
wcmGUI::renderTextField('issueNumber', $bizobject->issueNumber, _BIZ_ISSUENUMBER . ' *', array('class' => 'type-int-req'));
wcmGUI::renderEditableField('description', $bizobject->description, _BIZ_DESCRIPTION);

wcmGUI::closeFieldset();
wcmGUI::closeCollapsablePane();
echo '</div>';
