<?php
/**
 * Project:     WCM
 * File:        $Id: contribution_edit.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

/**
 * This page is called by the contribution tab, It allows to edit a comment
 *
 */

$id   = getArrayParameter($_REQUEST, 'id', null);
$action   = getArrayParameter($_REQUEST, 'action', null);
$contribution_text   = getArrayParameter($_REQUEST, 'contribution_text', null);

$contribution = new contribution();
$contribution->refresh($id);
$hasError = false;

wcmGUI::openFieldset('');

if (isset($action) && $action == 'save')
{
    $contribution->text = $contribution_text;
    if ($contribution->save())
    {
        echo _BIZ_SAVED_BIZOBJECT;
    }
    else
    {
        echo _BIZ_ERROR_SAVE;
        $hasError = true;
    }
    wcmFormGUI::renderHiddenField('comment_id', $id);
    wcmFormGUI::renderHiddenField('contribution_title', $contribution->title);
    wcmFormGUI::renderHiddenField('contribution_text', $contribution->text);

}
elseif (isset($action) && $action == 'delete')
{
    if ($contribution->delete())
    {
        echo _OBJECT_DELETED;
        wcmFormGUI::renderHiddenField('comment_id_remove', $id);
    }
    else
    {
        echo _BIZ_ERROR;
        $hasError = true;
    }

}
else
{
    wcmFormGUI::renderHiddenField('comment_id', $id);
    wcmFormGUI::renderTextArea('contribution_text', $contribution->text, _BIZ_TEXT);
}
wcmFormGUI::renderHiddenField('contribution_error', (true === $hasError) ? 'true' : 'false');
wcmGUI::closeFieldset();
