<?php
/**
 * Project:     WCM
 * File:        $Id: metacontent.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */
$bizobject = wcmMVC_Action::getContext();

/* @todo :: Auto suggest summary (Nsummarizer call)
 * loads modal, accept and refuse (cancel) buttons
 */

//special actions
$info = isset($params['info']) ? $params['info'] : '';

wcmGUI::openCollapsablePane(_META_CONTENT, true, $info);
wcmGUI::openFieldset();

if (get_class($bizobject) == 'channel')
{
    wcmGUI::renderDropdownField('parentId', channel::getChannelHierarchy(), $bizobject->parentId, _BIZ_CHANNEL);
}

if (property_exists($bizobject, 'channelId'))
{
    wcmGUI::renderDropdownField('channelId', channel::getChannelHierarchy(), $bizobject->channelId, _BIZ_CHANNEL);
}

if (property_exists($bizobject, 'title'))
{
    switch ($bizobject->getType())
    {
        case 'article':
            wcmGUI::renderTextField('title', $bizobject->title, _BIZ_HEADLINE . ' *', array('class' => 'type-req'));
            break;

        default:
            wcmGUI::renderTextField('title', $bizobject->title, _BIZ_TITLE . ' *', array('class' => 'type-req'));
            break;
    }
}

if (property_exists($bizobject, 'subtitle'))
{
    wcmGUI::renderTextField('subtitle', $bizobject->subtitle, _BIZ_SUBTITLE);
}

if (property_exists($bizobject, 'suptitle'))
{
    wcmGUI::renderTextField('suptitle', $bizobject->suptitle, _BIZ_TEASER);
}

if (property_exists($bizobject, 'abstract'))
{
    wcmGUI::renderEditableField('abstract', $bizobject->abstract, _BIZ_ABSTRACT, null, null, _BIZ_SUGGEST);
}

if (property_exists($bizobject, 'caption'))
{
    wcmGUI::renderEditableField('caption', $bizobject->caption, _BIZ_CAPTION);
}

if (property_exists($bizobject, 'description'))
{
    wcmGUI::renderEditableField('description', $bizobject->description, _BIZ_DESCRIPTION);
}

if (property_exists($bizobject, 'author'))
{
    wcmGUI::renderTextField('author', $bizobject->author, _BIZ_AUTHOR);
}

if (property_exists($bizobject, 'credits'))
{
    wcmGUI::renderTextField('credits', $bizobject->credits, _BIZ_CREDITS);
}

wcmGUI::closeFieldset();
wcmGUI::closeCollapsablePane();
