<?php
/**
 * Project:     WCM
 * File:        $Id: footprint.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */
$bizobject = wcmMVC_Action::getContext();

$_SESSION['wcm']['footprint']['context'] = $bizobject;

echo '<div class="zone">';


// sentiment analysis
$tone = $bizobject->semanticData->tone;
if ($tone ==0)
{
    $toneLabel =_BIZ_TME_SENTIMENT_TONE_NEUTRAL;
}
elseif ($tone > 10)
{
    $toneLabel = _BIZ_TME_SENTIMENT_TONE_POSITIVE;
}
elseif ($tone < 10)
{
    $toneLabel = _BIZ_TME_SENTIMENT_TONE_NEGATIVE;
}


$subjectivity = $bizobject->semanticData->subjectivity;
if ($subjectivity > 30)
{
    $subjectivityLabel = _BIZ_TME_SENTIMENT_SUBJECTIVITY_OPINION;
}
else
{
    $subjectivityLabel = _BIZ_TME_SENTIMENT_SUBJECTIVITY_FACT;
}

// concepts and entities
wcmGUI::openCollapsablePane(_BIZ_TME);
wcmGUI::openFieldset(_BIZ_TME_ENTITITES_ON);
wcmGUI::renderListField('_semanticData[ON]', array_keys($bizobject->semanticData->ON), null, null, _BIZ_TME_ENTITITES_ON);
wcmGUI::closeFieldset();
wcmGUI::openFieldset(_BIZ_TME_ENTITITES_PN);
wcmGUI::renderListField('_semanticData[PN]', array_keys($bizobject->semanticData->PN), null, null, _BIZ_TME_ENTITITES_PN);
wcmGUI::closeFieldset();
wcmGUI::openFieldset(_BIZ_TME_ENTITITES_GL);
wcmGUI::renderListField('_semanticData[GL]', array_keys($bizobject->semanticData->GL), null, null, _BIZ_TME_ENTITITES_GL);
wcmGUI::closeFieldset();
wcmGUI::openFieldset(_BIZ_TME_CONCEPTS);
wcmGUI::renderListField('_semanticData[concepts]', array_keys($bizobject->semanticData->concepts), null, null, _BIZ_TME_CONCEPTS);
wcmGUI::closeFieldset();
wcmGUI::closeCollapsablePane();

wcmGUI::openCollapsablePane(_BIZ_TME_SENTIMENT);
wcmGUI::openFieldset();
echo '<li><label>' . _BIZ_TME_SENTIMENT_TONE . '</label><span>' . $toneLabel . ' (' . $tone . '%)</span></li>';
echo '<li><label>' . _BIZ_TME_SENTIMENT_SUBJECTIVITY . '</label><span>' . $subjectivityLabel . ' (' . $subjectivity . '%)</span></li>';
wcmGUI::closeFieldset();
wcmGUI::closeCollapsablePane();


echo '</div>';
