<?php
/**
 * Project:     WCM
 * File:        $Id: properties.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

$bizobject = wcmMVC_Action::getContext();

echo '<div class="zone">';

wcmGUI::openCollapsablePane(_META_CONTENT, true);
wcmGUI::openFieldset(_GENERAL);
wcmGUI::renderDropdownField('channelId', channel::getChannelHierarchy(), $bizobject->channelId, _BIZ_CHANNEL);
wcmGUI::renderTextField('title', $bizobject->title, _BIZ_TITLE . ' *', array('class' => 'type-req'));
wcmGUI::closeFieldset();
wcmGUI::closeCollapsablePane();

wcmGUI::openCollapsablePane(_SOURCE_INFORMATION);
wcmGUI::openFieldset(_BIZ_SOURCE);
wcmGUI::renderTextField('source', $bizobject->source, _BIZ_OTHER_SOURCE_NAME);
wcmGUI::renderTextField('sourceId', $bizobject->sourceId, _BIZ_ID);
wcmGUI::renderTextField('sourceVersion', $bizobject->sourceVersion, _BIZ_VERSION);
wcmGUI::closeFieldset();
wcmGUI::closeCollapsablePane();

echo '</div>';
