<?php
/**
 * Project:     WCM
 * File:        $Id: subscriptions.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

$sysobject = wcmMVC_Action::getContext();

echo '<div class="zone">';
wcmGUI::openCollapsablePane(_BIZ_SUBSCRIPTIONS);
wcmGUI::openFieldset(_BIZ_NEWSLETTER);

?>
    <div id="subscriptions" class="backup list">
<?php
wcmModule(
    'business/ugc/webuser/subscriptionList',
    array(
        'webuserId' => $sysobject->id
    )
);
?>
</div>
<?php 
wcmGUI::closeCollapsablePane();
wcmGUI::openCollapsablePane(_GENERAL);
wcmGUI::openFieldset(_PROPERTIES);
wcmGUI::renderDateField('subscriptionStart', null, _BIZ_SUBSCRIPTION_START, array('class' => 'type-date'));
wcmGUI::renderDateField('subscriptionEnd', null, _BIZ_SUBSCRIPTION_END, array('class' => 'type-date'));
// @todo = subscription types wcmGUI::renderDropDownField('subscriptionType', $subscription_type, null, _BIZ_SUBSCRIPTION_TYPE);
wcmGUI::renderHiddenField('subscribedClass', 'subscribedClass');
wcmGUI::renderHiddenField('webuser_id', $sysobject->id);
/* TODO wcmGUI::renderButton('searchForBizclass', _BIZ_SEARCH_OBJECTS); */
/* TODO wcmGUI::renderButton('saveSubscription', _BIZ_SUBSCRIPTION_BUTTON_ADD); */
//wcmGUI::renderTextField('subscribedId', null, _BIZ_SUBSCRIPTION_VALUE);

$subscription = new subscription;

$newsletters_obj = newsletter::getObjects('newsletter');
$newsletters = array();
foreach ($newsletters_obj as $newsletter)
{
    $newsletters[$newsletter->id] = $newsletter->title;
}

wcmGUI::renderDropdownField('newsletter_field_id', $newsletters, null, _BIZ_SUBSCRIPTION_VALUE . ' *', array('id'=>'newsletter_field_id'));
?>
    <ul>
        <li><a href="#" onclick="wcmCheckProperties()"><?php echo _BIZ_SUBSCRIPTION_ADD;?></a></li>
    </ul>
	
    <?php
/* TODO wcmGUI::renderButton('save', _BIZ_SUBSCRIPTION_VALUE); */
wcmGUI::closeCollapsablePane();
echo '</div>';
