<?php
/**
 * Project:     WCM
 * File:        $Id: config.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

    $bizobject = wcmMVC_Action::getContext();

    // Load languages
    $languages = $bizobject->getLanguageList();

    // Render form
    echo '<div class="zone">';
    wcmGUI::openCollapsablePane(_BIZ_FILE);
   
    // Display filename info
    wcmGUI::openFieldset();
    $filename =  siteConfigProvider::getFilename($bizobject->code);
    echo "<strong>" . _FILENAME . "</strong> => " . $filename;
    wcmGUI::closeFieldset();
    
    // Display xml filename
    if($filename)
    {
        wcmGUI::openFieldset();
	    highlight_file($filename);
        wcmGUI::closeFieldset();
    }

    wcmGUI::closeCollapsablePane();
    echo '</div>';
