<?php
/**
 * Project:     WCM
 * File:        $Id: properties.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

$bizobject = wcmMVC_Action::getContext();
// Load languages
$languages = $bizobject->getLanguageList();
// Render form
echo '<div class="zone">';
wcmGUI::openCollapsablePane(_META_CONTENT);
wcmGUI::openFieldset(_GENERAL);
wcmGUI::renderTextField('title', $bizobject->title, _TITLE . '*', array('class' => 'type-req'));
wcmGUI::renderTextField('code', $bizobject->code, _CODE . '*', array('class' => 'type-req'));
wcmGUI::renderTextArea('description', $bizobject->description, _BIZ_DESCRIPTION);
wcmGUI::renderDropdownField('language', $languages, $bizobject->language, _BIZ_LANGUAGE);
wcmGUI::closeFieldset();
wcmGUI::closeCollapsablePane();
echo '</div>';
