<?php
/**
 * Project:     WCM
 * File:        $Id: moderation.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

// Execute action
wcmMVC_Action::execute('business/moderation');

// Include header and script
include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/header.php');
echo '<script language="javascript" type="text/javascript">
function onSelectItem(className, idObjet) {
    window.location.href = "index.php?_wcmAction="+className+"&id="+idObjet;
    return; }
    </script>';

try
{
    // Create tabs pane
    $tabs = new wcmTabs();
    $tabs->startPane('moderation');

    echo '<div id="treeview">';
    $tabs = new wcmAjaxTabs('navmoderation', true);
    $tabs->addTab('tabs.tree.moderation', _SEARCH, true, wcmGUI::renderQuickSearchBox('className:' . $bizobject->getType()));
    $tabs->addTab('tabs.history.moderation', _HISTORY, false, wcmGUI::renderObjectHistory());
    $tabs->render();
    echo '</div>';

    $tabs->endPane();
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}

include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/footer.php');
