<?php

$pluginType = getArrayParameter($params, 'pluginType', null);

$pluginManager = new wcmPluginManager();
$pluginManager->initConfig($pluginType);
$plugins = $pluginManager->getPluginsList($pluginType, false);

/** TODO : Add a new plugin button */
$info = '';
/*
$info  = '<ul class="actions">';
$info .= '<li><a href="#")';
$info .= '">New plugin</a></li>';
$info .= '</ul>';
*/

echo '<div class="zone">';
wcmGUI::openCollapsablePane(_GENERAL, true, $info);

echo '<table width="80%">';
echo '<tr style="font-weight:bold;font-size:1.1em;background:#666;color:#FFF;">';
echo '<td>Activated</td><td>Id</td><td>name</td><td>className</td><td>Description</td></tr>';

foreach($plugins as $plugin)
{
    echo '<tr>';
    echo '<td>';
    if($plugin['general']['activated'])
    {
        echo 'Activated';
    }
    else
    {
        echo 'Unactivated';
    }

    echo '</td><td>' . $plugin['general']['id'] . '</td>';
    echo '<td>' . $plugin['general']['name'] . '</td>';
    echo '<td>' . $plugin['general']['className'] . '</td>';
    echo '<td>' . $plugin['general']['description'] . '</td>';

    /** TODO : Add an activate / deactivate option */
    // echo '<td><a href="?_wcmAction=plugins&pluginType=' . $pluginType . '&pluginId=' . $plugin['general']['id'] . '&_wcmTodo=switch">Activate / Deactivate</a></td>';

    echo '</tr>';
}
echo '</table>';

wcmGUI::closeCollapsablePane();
echo '</div>';
